GNU bug report logs - #15888
24.3.50; Eval-after-load eval'ed twice

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: org-mode; Reported by: "Sebastien Vauban" <sva-news@HIDDEN>; dated Wed, 13 Nov 2013 21:29:01 UTC; Maintainer for org-mode is emacs-orgmode@HIDDEN.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 4 Dec 2013 21:34:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 04 16:34:58 2013
Received: from localhost ([127.0.0.1]:58502 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VoK5y-0001pu-BK
	for submit <at> debbugs.gnu.org; Wed, 04 Dec 2013 16:34:58 -0500
Received: from mail-wg0-f43.google.com ([74.125.82.43]:43039)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <n.goaziou@HIDDEN>) id 1VoK5w-0001pk-0D
 for 15888 <at> debbugs.gnu.org; Wed, 04 Dec 2013 16:34:56 -0500
Received: by mail-wg0-f43.google.com with SMTP id k14so13247460wgh.22
 for <15888 <at> debbugs.gnu.org>; Wed, 04 Dec 2013 13:34:55 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type;
 bh=FPBgtg6UuE9ywkg95v1AcBJ15wYzqqCHBWchCwFSLYs=;
 b=O5sik8N9KNgsECAwyRy5TPqg84W3D6eGd4GY+f+gGGks34OOl9htC7ZsZLks3YoOMb
 Zzzh4M3okT4vrdPm7qOna/qqn4FERr8YQ9YZbFwtt7OjKt7/ipHOrL9wX5mXn/u6oq03
 ZD2YTJjIbYnv/yLZ3PeH8iPBfPM1xZwCZchqFxtx73VeurfYJC61c931mlPwplaHtNMZ
 A3nRsKacOzlJhuPOId8iLi86CNJ5sAhnomG4iyLbuPaA+Oo35tlpvirI9ChnieMSY/sM
 iyfHgQpHtZyY2BFX6VAS/+t+P+6VrnCf/DGdkfoliQMPV2WbnjoeXcHWb2L3oOTs0akA
 1SjA==
X-Received: by 10.194.219.1 with SMTP id pk1mr48247296wjc.36.1386192894991;
 Wed, 04 Dec 2013 13:34:54 -0800 (PST)
Received: from selenimh ([91.224.148.150])
 by mx.google.com with ESMTPSA id fj8sm6950wib.1.2013.12.04.13.34.49
 for <multiple recipients>
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 04 Dec 2013 13:34:54 -0800 (PST)
From: Nicolas Goaziou <n.goaziou@HIDDEN>
To: "Sebastien Vauban" <sva-news@HIDDEN>
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
In-Reply-To: <86wqjkjqbc.fsf@HIDDEN> (Sebastien Vauban's message of
 "Wed, 04 Dec 2013 21:48:07 +0100")
References: <868uws6lgt.fsf@HIDDEN>
 <CANdFEAEdD1rKvXOwi+ktROSqYXTGg3tbEgTd-hHe10Zfa7YbsQ@HIDDEN>
 <oofvqygzwk.fsf@HIDDEN> <86ob5mxktp.fsf@HIDDEN>
 <4jppq1ha35.fsf@HIDDEN>
 <mailman.6434.1384717570.10748.bug-gnu-emacs@HIDDEN>
 <86pppwkvhg.fsf__36548.772143624$1384891681$gmane$org@HIDDEN>
 <87txf71zv9.fsf@HIDDEN> <87iovj6wnq.fsf@HIDDEN>
 <86wqjkjqbc.fsf@HIDDEN>
Date: Wed, 04 Dec 2013 22:35:05 +0100
Message-ID: <87mwkguwom.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 15888
Cc: Nick Dokos <ndokos@HIDDEN>, emacs-orgmode@HIDDEN, 15888 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Hello,

"Sebastien Vauban" <sva-news@HIDDEN> writes:

> You say that opening an Org file requires first `ob-lob' before *providing*
> `org', right? [1]

Correct.

> IIUC, here are all the steps involved:
>
> 1. an Org file is opened
> 2. org.el is required -- but not yet provided at all, so loaded a first time
> 3. when loading it, it requires first extra packages; among others (via some
>    call tree), ob-lob.el -- see [1]
> 4. ob-lob.el is then loaded, and in fine provided
> 5. eval-after-load "ob-lob" is run straight away, and tries to open an Org file
> 6. org.el is hence required -- but it still is not yet provided, so loaded a
>    second time
> 7. at some point, org.el is provided for real
> 8. Eval-after-load "org" is run a first time, so are hooks
> 9. Eval-after-load "org" is run a second time, as the file has been loaded
>    twice

That's right.

> IOW, isn't the problem that the `eval-after-load' is RUN AFTER EACH `provide' of
> some lib, not after the FIRST `provide' of that lib?

It seems to be a feature. See `after-load-alist' docstring.


Regards,

-- 
Nicolas Goaziou




Information forwarded to emacs-orgmode@HIDDEN:
bug#15888; Package org-mode. Full text available.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 4 Dec 2013 20:48:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 04 15:48:54 2013
Received: from localhost ([127.0.0.1]:58450 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VoJNO-0000h7-4k
	for submit <at> debbugs.gnu.org; Wed, 04 Dec 2013 15:48:54 -0500
Received: from dd5e0353a.access.telenet.be ([213.224.53.58]:5497
 helo=mail.missioncriticalit.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sva-news@HIDDEN>) id 1VoJNL-0000gx-8c
 for 15888 <at> debbugs.gnu.org; Wed, 04 Dec 2013 15:48:52 -0500
Received: from MUNDANEUM.i-did-not-set--mail-host-address--so-tickle-me
 (unknown [10.10.4.62])
 by mail.missioncriticalit.com (Postfix) with ESMTPS id C84B7500AC5;
 Wed,  4 Dec 2013 21:51:26 +0100 (CET)
From: "Sebastien Vauban" <sva-news@HIDDEN>
To: Nicolas Goaziou <n.goaziou@HIDDEN>
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
Organization: Sebastien Vauban
References: <868uws6lgt.fsf@HIDDEN>
 <CANdFEAEdD1rKvXOwi+ktROSqYXTGg3tbEgTd-hHe10Zfa7YbsQ@HIDDEN>
 <oofvqygzwk.fsf@HIDDEN> <86ob5mxktp.fsf@HIDDEN>
 <4jppq1ha35.fsf@HIDDEN>
 <mailman.6434.1384717570.10748.bug-gnu-emacs@HIDDEN>
 <86pppwkvhg.fsf__36548.772143624$1384891681$gmane$org@HIDDEN>
 <87txf71zv9.fsf@HIDDEN> <87iovj6wnq.fsf@HIDDEN>
X-Url: Under construction...
X-Archive: encrypt
Date: Wed, 04 Dec 2013 21:48:07 +0100
Message-ID: <86wqjkjqbc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.4 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello, Nicolas Goaziou wrote: > Nick Dokos <ndokos@HIDDEN>
 writes: > >> (require 'org-loaddefs) >> >> (with-eval-after-load "ob-lob"
 >> ;; load some code blocks into the library of Babel >> (let ((lob-file
 (concat (file-name-directory (locate-library "org")) >>
 "../doc/library-of-babel.org")))
 >> (when (file-exists-p lob-file) >> (org-babel-lob-ingest lob-file)))) >>
 >> (defun foobar () >> (message "LOADED") (sit-for 3) (message "")) >> >>
 (setq org-load-hook (function foobar)) >> >> edebugged foobar and C-x C-f
 foo.org. It stopped at foobar twice >> and I got the following backtraces
 at the two stopping points. > > The code in "double-load.el" calls
 `org-babel-lob-ingest'
 as soon as > "ob-lob.el" is loaded. The problem is that: > > 1.
 `org-babel-lob-ingest'
 needs to open an Org file (and therefore > call `org-mode' in its buffer);
 > 2. `ob-lob' is required before `org' is provided. > > Therefore, org.el
 is read twice and hook run as many times. [...] 
 Content analysis details:   (2.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
 1.8 URIBL_BLACK            Contains an URL listed in the URIBL blacklist
 [URIs: foo.org]
X-Debbugs-Envelope-To: 15888
Cc: Nick Dokos <ndokos@HIDDEN>, emacs-orgmode@HIDDEN, 15888 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.4 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hello, Nicolas Goaziou wrote: > Nick Dokos <ndokos@HIDDEN>
    writes: > >> (require 'org-loaddefs) >> >> (with-eval-after-load "ob-lob"
    >> ;; load some code blocks into the library of Babel >> (let ((lob-file
   (concat (file-name-directory (locate-library "org")) >> "../doc/library-of-babel.org")))
    >> (when (file-exists-p lob-file) >> (org-babel-lob-ingest lob-file)))) >>
    >> (defun foobar () >> (message "LOADED") (sit-for 3) (message "")) >> >>
    (setq org-load-hook (function foobar)) >> >> edebugged foobar and C-x C-f
    foo.org. It stopped at foobar twice >> and I got the following backtraces
    at the two stopping points. > > The code in "double-load.el" calls `org-babel-lob-ingest'
    as soon as > "ob-lob.el" is loaded. The problem is that: > > 1. `org-babel-lob-ingest'
    needs to open an Org file (and therefore > call `org-mode' in its buffer);
    > 2. `ob-lob' is required before `org' is provided. > > Therefore, org.el
    is read twice and hook run as many times. [...] 
 
 Content analysis details:   (2.4 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.8 URIBL_BLACK            Contains an URL listed in the URIBL blacklist
                             [URIs: foo.org]
  0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)

Hello,

Nicolas Goaziou wrote:
> Nick Dokos <ndokos@HIDDEN> writes:
>
>> (require 'org-loaddefs)
>>
>> (with-eval-after-load "ob-lob"
>>   ;; load some code blocks into the library of Babel
>>   (let ((lob-file (concat (file-name-directory (locate-library "org"))
>>                           "../doc/library-of-babel.org")))
>>     (when (file-exists-p lob-file)
>>       (org-babel-lob-ingest lob-file))))
>>
>> (defun foobar ()
>>   (message "LOADED") (sit-for 3) (message ""))
>>
>> (setq org-load-hook (function foobar))
>>
>> edebugged foobar and C-x C-f foo.org. It stopped at foobar twice
>> and I got the following backtraces at the two stopping points.
>
> The code in "double-load.el" calls `org-babel-lob-ingest' as soon as
> "ob-lob.el" is loaded. The problem is that:
>
>   1. `org-babel-lob-ingest' needs to open an Org file (and therefore
>      call `org-mode' in its buffer);
>   2. `ob-lob' is required before `org' is provided.
>
> Therefore, org.el is read twice and hook run as many times.

I want to be sure I fully grasp the problem completely...

You say that opening an Org file requires first `ob-lob' before *providing*
`org', right? [1]

IIUC, here are all the steps involved:

1. an Org file is opened
2. org.el is required -- but not yet provided at all, so loaded a first time
3. when loading it, it requires first extra packages; among others (via some
   call tree), ob-lob.el -- see [1]
4. ob-lob.el is then loaded, and in fine provided
5. eval-after-load "ob-lob" is run straight away, and tries to open an Org file
6. org.el is hence required -- but it still is not yet provided, so loaded a
   second time
7. at some point, org.el is provided for real
8. Eval-after-load "org" is run a first time, so are hooks
9. Eval-after-load "org" is run a second time, as the file has been loaded
   twice

IOW, isn't the problem that the `eval-after-load' is RUN AFTER EACH `provide' of
some lib, not after the FIRST `provide' of that lib?

It seems to me that such call trees can't be managed properly otherwise (I
mean, with the current rule: a lot of code may be run multiple times, while
only logically scheduled once).

Best regards,
  Seb

[1] I can't following the full library "call tree":

  org -> ??? -> ob -> ob-lob

-- 
Sebastien Vauban




Information forwarded to emacs-orgmode@HIDDEN:
bug#15888; Package org-mode. Full text available.
bug No longer marked as found in versions 24.3.50. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug reassigned from package 'emacs,org-mode' to 'org-mode'. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 19 Nov 2013 20:06:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 19 15:06:20 2013
Received: from localhost ([127.0.0.1]:33655 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VirYy-0003IY-9s
	for submit <at> debbugs.gnu.org; Tue, 19 Nov 2013 15:06:20 -0500
Received: from dd5e0353a.access.telenet.be ([213.224.53.58]:48449
 helo=mail.missioncriticalit.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sva-news@HIDDEN>) id 1VirYw-0003IL-88
 for 15888 <at> debbugs.gnu.org; Tue, 19 Nov 2013 15:06:18 -0500
Received: from MUNDANEUM.i-did-not-set--mail-host-address--so-tickle-me
 (unknown [10.10.4.62])
 by mail.missioncriticalit.com (Postfix) with ESMTPS id 5DD66503B33;
 Tue, 19 Nov 2013 21:08:47 +0100 (CET)
From: "Sebastien Vauban" <sva-news@HIDDEN>
To: rgm@HIDDEN, eliz@HIDDEN, n.goaziou@HIDDEN, ndokos@HIDDEN
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
Organization: Sebastien Vauban
References: <868uws6lgt.fsf@HIDDEN>
 <CANdFEAEdD1rKvXOwi+ktROSqYXTGg3tbEgTd-hHe10Zfa7YbsQ@HIDDEN>
 <oofvqygzwk.fsf@HIDDEN> <86ob5mxktp.fsf@HIDDEN>
 <4jppq1ha35.fsf@HIDDEN>
 <mailman.6434.1384717570.10748.bug-gnu-emacs@HIDDEN>
X-Url: Under construction...
X-Archive: encrypt
Date: Tue, 19 Nov 2013 21:05:47 +0100
Message-ID: <86pppwkvhg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 15888
Cc: michael_heerdegen@HIDDEN, 15888 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

Glenn Morris wrote:
> Apparently this is fixed:
>
> http://lists.gnu.org/archive/html/emacs-orgmode/2013-11/msg00682.html

Sadly, it's only partially fixed: if it is WELL fixed for the original code,
the problem comes BACK with the following minimized Emacs file:

--8<---------------cut here---------------start------------->8---
(add-to-list 'load-path "~/Public/Repositories/org-mode/testing")
(add-to-list 'load-path "~/Public/Repositories/org-mode/contrib/lisp")
(add-to-list 'load-path "~/Public/Repositories/org-mode/lisp")

;; getting started
(require 'org-loaddefs)
(add-to-list 'auto-mode-alist '("\\.txt\\'" . org-mode))
(add-to-list 'auto-mode-alist '("\\.org\\'" . org-mode))

(with-eval-after-load "ob-lob"
  ;; load some code blocks into the library of Babel
  (let ((lob-file (concat (file-name-directory (locate-library "org"))
                          "../doc/library-of-babel.org")))
    (when (file-exists-p lob-file)
      (org-babel-lob-ingest lob-file))))

(with-eval-after-load "org"
  (message "Eval this when Org is loaded")
  (sit-for 3)
  (message ""))

(message "End of minimal .emacs")
--8<---------------cut here---------------end--------------->8---

FYI, I just added the lines 10-15 (expression with `ob-lob').

That's only reproducible with a development branch of Org mode, as
library-of-babel.org is not copied into the official Emacs release.

Best regards,
  Seb

-- 
Sebastien Vauban




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#15888; Package emacs,org-mode. Full text available.

Message received at 15888-done <at> debbugs.gnu.org:


Received: (at 15888-done) by debbugs.gnu.org; 17 Nov 2013 19:45:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 14:45:35 2013
Received: from localhost ([127.0.0.1]:59008 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vi8Hn-0005WK-G5
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2013 14:45:35 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:48837 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1Vi8Hl-0005WB-LQ
 for 15888-done <at> debbugs.gnu.org; Sun, 17 Nov 2013 14:45:34 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1Vi8Hk-0000CZ-So; Sun, 17 Nov 2013 14:45:32 -0500
From: Glenn Morris <rgm@HIDDEN>
To: 15888-done <at> debbugs.gnu.org
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
References: <868uws6lgt.fsf@HIDDEN>
 <CANdFEAEdD1rKvXOwi+ktROSqYXTGg3tbEgTd-hHe10Zfa7YbsQ@HIDDEN>
 <oofvqygzwk.fsf@HIDDEN> <86ob5mxktp.fsf@HIDDEN>
 <4jppq1ha35.fsf@HIDDEN>
X-Spook: RSA South Africa EuroFed secure unclassified Freeh pink
X-Ran: C8T&/X,2eh5S._b;0y*ba4'RYC)}>7O'%C"GAO!5>HN\&lF3tX\X[F+63o%MA^/1Hyj$Z#
X-Hue: red
X-Attribution: GM
Date: Sun, 17 Nov 2013 14:45:32 -0500
In-Reply-To: <4jppq1ha35.fsf@HIDDEN> (Glenn Morris's message of
 "Fri, 15 Nov 2013 12:02:38 -0500")
Message-ID: <tw1u2estgj.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.8 (----)
X-Debbugs-Envelope-To: 15888-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.8 (----)


Apparently this is fixed:

http://lists.gnu.org/archive/html/emacs-orgmode/2013-11/msg00682.html

Sadly the relevant messages were not sent to this tracker.

In case people do not know: you can think of ###@debbugs as an alias to
the bug-gnu-emacs@gnu list for bugs in package emacs, to
emacs-orgmode@gnu for bugs in package org-mode, and to both lists for
bugs in both packages. This is the whole reason why you see "bug#123"
messages appearing on your lists.





Notification sent to "Sebastien Vauban" <sva-news@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Glenn Morris <rgm@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 15 Nov 2013 17:02:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 15 12:02:42 2013
Received: from localhost ([127.0.0.1]:56158 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VhMn4-0000vK-DT
	for submit <at> debbugs.gnu.org; Fri, 15 Nov 2013 12:02:42 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:53846 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1VhMn2-0000vD-VQ
 for 15888 <at> debbugs.gnu.org; Fri, 15 Nov 2013 12:02:41 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1VhMn0-0001VP-Td; Fri, 15 Nov 2013 12:02:39 -0500
From: Glenn Morris <rgm@HIDDEN>
To: "Sebastien Vauban" <sva-news@HIDDEN>
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
References: <868uws6lgt.fsf@HIDDEN>
 <CANdFEAEdD1rKvXOwi+ktROSqYXTGg3tbEgTd-hHe10Zfa7YbsQ@HIDDEN>
 <oofvqygzwk.fsf@HIDDEN> <86ob5mxktp.fsf@HIDDEN>
X-Spook: Saudi Arabia Lon Horiuchi Craig Livingstone Vickie Weaver
X-Ran: I/R9^oFDPW~_r&F^&"k+S*cZS&I`}ZP3'0N=6{s0izzNB=BJc<s5~%h<Ier>>*+*."|,Gq
X-Hue: magenta
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Fri, 15 Nov 2013 12:02:38 -0500
In-Reply-To: <86ob5mxktp.fsf@HIDDEN> (Sebastien Vauban's message of
 "Fri, 15 Nov 2013 07:04:02 +0100")
Message-ID: <4jppq1ha35.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 15888
Cc: 15888 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

"Sebastien Vauban" wrote:

> But I wonder: how can you now reproduce it (and not before)?

Because I downloaded a snapshot of Org.
Your problem is not with code that is in Emacs current trunk.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#15888; Package emacs,org-mode. Full text available.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 15 Nov 2013 14:36:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 15 09:36:21 2013
Received: from localhost ([127.0.0.1]:54234 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VhKVR-0004EF-JR
	for submit <at> debbugs.gnu.org; Fri, 15 Nov 2013 09:36:21 -0500
Received: from mtaout23.012.net.il ([80.179.55.175]:64364)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VhKVN-0004Du-Na
 for 15888 <at> debbugs.gnu.org; Fri, 15 Nov 2013 09:36:19 -0500
Received: from conversion-daemon.a-mtaout23.012.net.il by
 a-mtaout23.012.net.il (HyperSendmail v2007.08) id
 <0MWB0020077V5Q00@HIDDEN> for 15888 <at> debbugs.gnu.org;
 Fri, 15 Nov 2013 16:36:09 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MWB002FS7894W10@HIDDEN>;
 Fri, 15 Nov 2013 16:36:09 +0200 (IST)
Date: Fri, 15 Nov 2013 16:35:55 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
In-reply-to: <86mwl53jl5.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Sebastien Vauban <sva-news@HIDDEN>
Message-id: <83d2m1ivg4.fsf@HIDDEN>
References: <868uws6lgt.fsf@HIDDEN>
 <mailman.6013.1384380609.10748.bug-gnu-emacs@HIDDEN>
 <864n7f7u8d.fsf@HIDDEN>
 <mailman.6027.1384398545.10748.bug-gnu-emacs@HIDDEN>
 <8638myzu9t.fsf@HIDDEN> <83siuyiyq4.fsf@HIDDEN>
 <868uwqxeoj.fsf@HIDDEN> <83iovuhx8w.fsf@HIDDEN>
 <86siuyvxtn.fsf@HIDDEN>
 <mailman.6245.1384511726.10748.bug-gnu-emacs@HIDDEN>
 <86mwl53jl5.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15888
Cc: michael_heerdegen@HIDDEN, 15888 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: "Sebastien Vauban" <sva-news@HIDDEN>
> Cc: Sebastien Vauban <sva-news@HIDDEN>,  michael_heerdegen@HIDDEN,  15888 <at> debbugs.gnu.org
> Date: Fri, 15 Nov 2013 14:01:10 +0100
> 
> What's weird is that I only saw once "org", but still have the code block
> executed twice in Emacs.

That probably means that some Lisp does the equivalent of
eval-after-load somewhere.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#15888; Package emacs,org-mode. Full text available.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 15 Nov 2013 14:28:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 15 09:28:22 2013
Received: from localhost ([127.0.0.1]:54228 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VhKNh-0003zg-M3
	for submit <at> debbugs.gnu.org; Fri, 15 Nov 2013 09:28:21 -0500
Received: from dd5e0353a.access.telenet.be ([213.224.53.58]:35998
 helo=mail.missioncriticalit.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sva-news@HIDDEN>) id 1VhKNe-0003zO-SX
 for 15888 <at> debbugs.gnu.org; Fri, 15 Nov 2013 09:28:19 -0500
Received: from MUNDANEUM.i-did-not-set--mail-host-address--so-tickle-me
 (unknown [10.10.10.51])
 by mail.missioncriticalit.com (Postfix) with ESMTPS id 07F48501481;
 Fri, 15 Nov 2013 15:30:49 +0100 (CET)
From: "Sebastien Vauban" <sva-news@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
Organization: Sebastien Vauban
References: <868uws6lgt.fsf@HIDDEN>
 <mailman.6013.1384380609.10748.bug-gnu-emacs@HIDDEN>
 <864n7f7u8d.fsf@HIDDEN>
 <mailman.6027.1384398545.10748.bug-gnu-emacs@HIDDEN>
 <8638myzu9t.fsf@HIDDEN> <83siuyiyq4.fsf@HIDDEN>
 <868uwqxeoj.fsf@HIDDEN> <83iovuhx8w.fsf@HIDDEN>
 <86siuyvxtn.fsf@HIDDEN>
 <mailman.6245.1384511726.10748.bug-gnu-emacs@HIDDEN>
 <86mwl53jl5.fsf@HIDDEN>
 <jwvbo1l4utn.fsf-monnier+emacsbugs@HIDDEN>
X-Url: Under construction...
X-Archive: encrypt
Date: Fri, 15 Nov 2013 15:27:53 +0100
In-Reply-To: <jwvbo1l4utn.fsf-monnier+emacsbugs@HIDDEN> (Stefan Monnier's
 message of "Fri, 15 Nov 2013 09:15:08 -0500")
Message-ID: <86ppq14u52.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 15888
Cc: michael_heerdegen@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 15888 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

Stefan Monnier wrote:
> BTW, it's probably easier to debug this in Elisp.
> You can start with
>
> (add-hook 'after-load-functions
>           (lambda (file) (message "Loaded %S" file)))
>
> Or change your recipe to replace (sit-for 3) with (debug).

Right. The above can prove very useful. Thanks!

Best regards,
  Seb

-- 
Sebastien Vauban




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#15888; Package emacs,org-mode. Full text available.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 15 Nov 2013 14:15:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 15 09:15:17 2013
Received: from localhost ([127.0.0.1]:54211 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VhKB2-0003eX-TS
	for submit <at> debbugs.gnu.org; Fri, 15 Nov 2013 09:15:17 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:30379)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1VhKB0-0003eJ-Jk
 for 15888 <at> debbugs.gnu.org; Fri, 15 Nov 2013 09:15:14 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AhEKABK/CFFsr+pX/2dsb2JhbABEuzWCVwQDexdzgh8BBVYjEAsOJhIUGA0kiCTBLZEKA4hhnBmBXoMV
X-IPAS-Result: AhEKABK/CFFsr+pX/2dsb2JhbABEuzWCVwQDexdzgh8BBVYjEAsOJhIUGA0kiCTBLZEKA4hhnBmBXoMV
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="37978218"
Received: from 108-175-234-87.dsl.teksavvy.com (HELO pastel.home)
 ([108.175.234.87])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 15 Nov 2013 09:15:09 -0500
Received: by pastel.home (Postfix, from userid 20848)
 id CABCF606D5; Fri, 15 Nov 2013 09:15:08 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: "Sebastien Vauban" <sva-news@HIDDEN>
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
Message-ID: <jwvbo1l4utn.fsf-monnier+emacsbugs@HIDDEN>
References: <868uws6lgt.fsf@HIDDEN>
 <mailman.6013.1384380609.10748.bug-gnu-emacs@HIDDEN>
 <864n7f7u8d.fsf@HIDDEN>
 <mailman.6027.1384398545.10748.bug-gnu-emacs@HIDDEN>
 <8638myzu9t.fsf@HIDDEN> <83siuyiyq4.fsf@HIDDEN>
 <868uwqxeoj.fsf@HIDDEN> <83iovuhx8w.fsf@HIDDEN>
 <86siuyvxtn.fsf@HIDDEN>
 <mailman.6245.1384511726.10748.bug-gnu-emacs@HIDDEN>
 <86mwl53jl5.fsf@HIDDEN>
Date: Fri, 15 Nov 2013 09:15:08 -0500
In-Reply-To: <86mwl53jl5.fsf@HIDDEN> (Sebastien Vauban's message of
 "Fri, 15 Nov 2013 14:01:10 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 15888
Cc: michael_heerdegen@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 15888 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

BTW, it's probably easier to debug this in Elisp.
You can start with

(add-hook 'after-load-functions
          (lambda (file) (message "Loaded %S" file)))

Or change your recipe to replace (sit-for 3) with (debug).


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#15888; Package emacs,org-mode. Full text available.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 15 Nov 2013 13:01:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 15 08:01:48 2013
Received: from localhost ([127.0.0.1]:54171 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VhJ1r-0001oW-U4
	for submit <at> debbugs.gnu.org; Fri, 15 Nov 2013 08:01:47 -0500
Received: from dd5e0353a.access.telenet.be ([213.224.53.58]:19407
 helo=mail.missioncriticalit.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sva-news@HIDDEN>) id 1VhJ1k-0001oD-SD
 for 15888 <at> debbugs.gnu.org; Fri, 15 Nov 2013 08:01:41 -0500
Received: from MUNDANEUM.i-did-not-set--mail-host-address--so-tickle-me
 (unknown [10.10.10.51])
 by mail.missioncriticalit.com (Postfix) with ESMTPS id D3E27500118;
 Fri, 15 Nov 2013 14:04:05 +0100 (CET)
From: "Sebastien Vauban" <sva-news@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
Organization: Sebastien Vauban
References: <868uws6lgt.fsf@HIDDEN>
 <mailman.6013.1384380609.10748.bug-gnu-emacs@HIDDEN>
 <864n7f7u8d.fsf@HIDDEN>
 <mailman.6027.1384398545.10748.bug-gnu-emacs@HIDDEN>
 <8638myzu9t.fsf@HIDDEN> <83siuyiyq4.fsf@HIDDEN>
 <868uwqxeoj.fsf@HIDDEN> <83iovuhx8w.fsf@HIDDEN>
 <86siuyvxtn.fsf@HIDDEN>
 <mailman.6245.1384511726.10748.bug-gnu-emacs@HIDDEN>
X-Url: Under construction...
X-Archive: encrypt
Date: Fri, 15 Nov 2013 14:01:10 +0100
In-Reply-To: <mailman.6245.1384511726.10748.bug-gnu-emacs@HIDDEN> (Eli
 Zaretskii's message of "Fri, 15 Nov 2013 12:34:31 +0200")
Message-ID: <86mwl53jl5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 15888
Cc: Sebastien Vauban <sva-news@HIDDEN>, michael_heerdegen@HIDDEN,
 15888 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

Eli Zaretskii wrote:
>> From: "Sebastien Vauban" <sva-news@HIDDEN>
>> Cc: rgm@HIDDEN,  michael_heerdegen@HIDDEN,  15888 <at> debbugs.gnu.org
>> Date: Fri, 15 Nov 2013 10:06:12 +0100
>> 
>> Eli Zaretskii wrote:
>> > Unfortunately, this:
>> >
>> >> (gdb) No symbol "backtrace_list" in current context.
>> >
>> > (whose reason I don't really understand) means that the Lisp backtrace
>> > is absent from your data.
>> 
>> Should the following explain it?  As I had no .gdbinit file (hence, no
>> definition for xstring), I had to found one that would match the requirements.
>> 
>> I took the .gdbinit from
>> http://alpha.gnu.org/gnu/emacs/pretest/emacs-24.2.90.tar.gz:
>
> You should use the one from the bzr revision used to produce the
> binary you are running.  You should be able to get that from
> http://bzr.savannah.gnu.org/lh/emacs/trunk/files.

Thanks. I've put it under ~/, and source it in the following session.

Here the new trace.

What's weird is that I only saw once "org", but still have the code block
executed twice in Emacs.

--8<---------------cut here---------------start------------->8---
$ gdb -p 12736
GNU gdb (GDB) 7.6.50.20130728-cvs (cygwin-special)
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-pc-cygwin".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word".

/cygdrive/d/Users/fni/.gdbinit:21: Error in sourced command file:
No symbol table is loaded.  Use the "file" command.
Attaching to process 12736
[New Thread 12736.0x7e8]
[New Thread 12736.0x3610]
[New Thread 12736.0x4cc]
Reading symbols from /cygdrive/c/Program Files (x86)/emacs-trunk/bin/emacs...done.
(gdb) break Fload
Breakpoint 1 at 0x119c210: file ../../repo/src/lread.c, line 1044.
(gdb) commands
Type commands for breakpoint(s) 1, one per line.
End with a line saying just "end".
>p file
>xstring
>end
(gdb) source ~/.gdbinit
Warning: /cygdrive/c/Program Files (x86)/emacs-trunk/bin/../lwlib: No such file or directory.
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
Environment variable "DISPLAY" not defined.
TERM = xterm-256color
Breakpoint 2 at 0x10e1819: file ../../repo/src/emacs.c, line 349.
Temporary breakpoint 3 at 0x1104806: file ../../repo/src/sysdep.c, line 846.
(gdb) r -Q
The program being debugged has been started already.
Start it from the beginning? (y or n) y
Starting program: /cygdrive/c/Program Files (x86)/emacs-trunk/bin/emacs -Q
[1]  + done       ./emacs -Q
[New Thread 5184.0x336c]
[New Thread 5184.0x22c0]
[New Thread 5184.0x2bc8]

Breakpoint 1, Fload (file=59406449, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    ../../repo/src/lread.c: No such file or directory.
$1 = 59406449
$2 = (struct Lisp_String *) 0x38a7870
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/subdirs.el"
(gdb) c
Continuing.

Breakpoint 1, Fload (file=60206689, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$3 = 60206689
$4 = (struct Lisp_String *) 0x396ae60
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/vc/subdirs.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=60206625, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$5 = 60206625
$6 = (struct Lisp_String *) 0x396ae20
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/url/subdirs.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=60206577, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$7 = 60206577
$8 = (struct Lisp_String *) 0x396adf0
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/textmodes/subdirs.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=60206529, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$9 = 60206529
$10 = (struct Lisp_String *) 0x396adc0
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/progmodes/subdirs.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=60206481, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$11 = 60206481
$12 = (struct Lisp_String *) 0x396ad90
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/play/subdirs.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=60206433, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$13 = 60206433
$14 = (struct Lisp_String *) 0x396ad60
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/org/subdirs.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=60206385, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$15 = 60206385
$16 = (struct Lisp_String *) 0x396ad30
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/nxml/subdirs.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=60206337, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$17 = 60206337
$18 = (struct Lisp_String *) 0x396ad00
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/net/subdirs.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=60206289, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$19 = 60206289
$20 = (struct Lisp_String *) 0x396acd0
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/mh-e/subdirs.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=60206241, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$21 = 60206241
$22 = (struct Lisp_String *) 0x396aca0
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/mail/subdirs.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=60206193, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$23 = 60206193
$24 = (struct Lisp_String *) 0x396ac70
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/language/subdirs.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=60206145, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$25 = 60206145
$26 = (struct Lisp_String *) 0x396ac40
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/international/subdirs.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=60206097, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$27 = 60206097
$28 = (struct Lisp_String *) 0x396ac10
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/gnus/subdirs.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=60204961, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$29 = 60204961
$30 = (struct Lisp_String *) 0x396a7a0
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/eshell/subdirs.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=60204881, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$31 = 60204881
$32 = (struct Lisp_String *) 0x396a750
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/erc/subdirs.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=60204833, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$33 = 60204833
$34 = (struct Lisp_String *) 0x396a720
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/emulation/subdirs.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=60204785, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$35 = 60204785
$36 = (struct Lisp_String *) 0x396a6f0
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/emacs-lisp/subdirs.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=60204737, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$37 = 60204737
$38 = (struct Lisp_String *) 0x396a6c0
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/cedet/subdirs.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=60204689, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$39 = 60204689
$40 = (struct Lisp_String *) 0x396a690
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/calendar/subdirs.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=60204641, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$41 = 60204641
$42 = (struct Lisp_String *) 0x396a660
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/calc/subdirs.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=60204593, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$43 = 60204593
$44 = (struct Lisp_String *) 0x396a630
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/obsolete/subdirs.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=60204545, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$45 = 60204545
$46 = (struct Lisp_String *) 0x396a600
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/leim/subdirs.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=60204497, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$47 = 60204497
$48 = (struct Lisp_String *) 0x396a5d0
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/leim/leim-list.el"
(gdb)
Continuing.
[New Thread 5184.0x3720]

Breakpoint 1, Fload (file=58307153, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$49 = 58307153
$50 = (struct Lisp_String *) 0x379b250
"international/uni-mirrored.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=19674481, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$51 = 19674481
$52 = (struct Lisp_String *) 0x12c3570 <pure+396720>
"time-date"
(gdb)
Continuing.
[New Thread 5184.0x20ac]

Breakpoint 1, Fload (file=60124369, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$53 = 60124369
$54 = (struct Lisp_String *) 0x3956cd0
"org-loaddefs"
(gdb)
Continuing.
c

Breakpoint 1, Fload (file=59478257, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$55 = 59478257
$56 = (struct Lisp_String *) 0x38b90f0
"org"
(gdb) c
Continuing.

Breakpoint 1, Fload (file=19323553, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$57 = 19323553
$58 = (struct Lisp_String *) 0x126daa0 <pure+45792>
"cl"
(gdb)
Continuing.

Breakpoint 1, Fload (file=19336225, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$59 = 19336225
$60 = (struct Lisp_String *) 0x1270c20 <pure+58464>
"cl-lib"
(gdb)
Continuing.

Breakpoint 1, Fload (file=61723345, noerror=59276794, nomessage=59370338, nosuffix=57608218, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$61 = 61723345
$62 = (struct Lisp_String *) 0x3add2d0
"cl-loaddefs"
(gdb)
Continuing.

Breakpoint 1, Fload (file=58306193, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$63 = 58306193
$64 = (struct Lisp_String *) 0x379ae90
"gnus-sum"
(gdb)
Continuing.

Breakpoint 1, Fload (file=19610417, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$65 = 19610417
$66 = (struct Lisp_String *) 0x12b3b30 <pure+332656>
"gnus"
(gdb)
Continuing.

Breakpoint 1, Fload (file=85491793, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$67 = 85491793
$68 = (struct Lisp_String *) 0x5188050
"wid-edit"
(gdb)
Continuing.

Breakpoint 1, Fload (file=85491809, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$69 = 85491809
$70 = (struct Lisp_String *) 0x5188060
"mm-util"
(gdb)
Continuing.

Breakpoint 1, Fload (file=61843121, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$71 = 61843121
$72 = (struct Lisp_String *) 0x3afa6b0
"mail-prsvr"
(gdb)
Continuing.

Breakpoint 1, Fload (file=85491825, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$73 = 85491825
$74 = (struct Lisp_String *) 0x5188070
"nnheader"
(gdb)
Continuing.

Breakpoint 1, Fload (file=86855441, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$75 = 86855441
$76 = (struct Lisp_String *) 0x52d4f10
"mail-utils"
(gdb)
Continuing.

Breakpoint 1, Fload (file=85460465, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$77 = 85460465
$78 = (struct Lisp_String *) 0x51805f0
"gnus-util"
(gdb)
Continuing.

Breakpoint 1, Fload (file=86853153, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$79 = 86853153
$80 = (struct Lisp_String *) 0x52d4620
"gnus-ems"
(gdb)
Continuing.

Breakpoint 1, Fload (file=85460385, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$81 = 85460385
$82 = (struct Lisp_String *) 0x51805a0
"gnus-group"
(gdb)
Continuing.

Breakpoint 1, Fload (file=85491953, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$83 = 85491953
$84 = (struct Lisp_String *) 0x51880f0
"gnus-start"
(gdb)
Continuing.

Breakpoint 1, Fload (file=61847249, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$85 = 61847249
$86 = (struct Lisp_String *) 0x3afb6d0
"gnus-win"
(gdb)
Continuing.

Breakpoint 1, Fload (file=85460433, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$87 = 85460433
$88 = (struct Lisp_String *) 0x51805d0
"gnus-int"
(gdb)
Continuing.

Breakpoint 1, Fload (file=19302545, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$89 = 19302545
$90 = (struct Lisp_String *) 0x1268890 <pure+24784>
"message"
(gdb)
Continuing.

Breakpoint 1, Fload (file=86087041, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$91 = 86087041
$92 = (struct Lisp_String *) 0x5219580
"mailheader"
(gdb)
Continuing.

Breakpoint 1, Fload (file=85460481, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$93 = 85460481
$94 = (struct Lisp_String *) 0x5180600
"gmm-utils"
(gdb)
Continuing.

Breakpoint 1, Fload (file=86087089, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$95 = 86087089
$96 = (struct Lisp_String *) 0x52195b0
"mailabbrev"
(gdb)
Continuing.

Breakpoint 1, Fload (file=86087105, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$97 = 86087105
$98 = (struct Lisp_String *) 0x52195c0
"mail-parse"
(gdb)
Continuing.

Breakpoint 1, Fload (file=85462833, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$99 = 85462833
$100 = (struct Lisp_String *) 0x5180f30
"ietf-drums"
(gdb)
Continuing.

Breakpoint 1, Fload (file=85462769, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$101 = 85462769
$102 = (struct Lisp_String *) 0x5180ef0
"rfc2231"
(gdb)
Continuing.

Breakpoint 1, Fload (file=85462737, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$103 = 85462737
$104 = (struct Lisp_String *) 0x5180ed0
"rfc2047"
(gdb)
Continuing.

Breakpoint 1, Fload (file=85462705, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$105 = 85462705
$106 = (struct Lisp_String *) 0x5180eb0
"rfc2045"
(gdb)
Continuing.

Breakpoint 1, Fload (file=86087121, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$107 = 86087121
$108 = (struct Lisp_String *) 0x52195d0
"mml"
(gdb)
Continuing.
[Thread 5184.0x20ac exited with code 0]

Breakpoint 1, Fload (file=86076785, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$109 = 86076785
$110 = (struct Lisp_String *) 0x5216d70
"mm-bodies"
(gdb)
Continuing.

Breakpoint 1, Fload (file=86076769, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$111 = 86076769
$112 = (struct Lisp_String *) 0x5216d60
"mm-encode"
(gdb)
Continuing.
[New Thread 5184.0x34e8]

Breakpoint 1, Fload (file=85460497, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$113 = 85460497
$114 = (struct Lisp_String *) 0x5180610
"mm-decode"
(gdb)
Continuing.

Breakpoint 1, Fload (file=86076737, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$115 = 86076737
$116 = (struct Lisp_String *) 0x5216d40
"mml-sec"
(gdb)
Continuing.

Breakpoint 1, Fload (file=19589313, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$117 = 19589313
$118 = (struct Lisp_String *) 0x12ae8c0 <pure+311552>
"easymenu"
(gdb)
Continuing.

Breakpoint 1, Fload (file=86087137, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$119 = 86087137
$120 = (struct Lisp_String *) 0x52195e0
"rfc822"
(gdb)
Continuing.

Breakpoint 1, Fload (file=86087153, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$121 = 86087153
$122 = (struct Lisp_String *) 0x52195f0
"format-spec"
(gdb)
Continuing.

Breakpoint 1, Fload (file=58290417, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$123 = 58290417
$124 = (struct Lisp_String *) 0x37970f0
"cl-macs"
(gdb)
Continuing.

Breakpoint 1, Fload (file=87059809, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$125 = 87059809
$126 = (struct Lisp_String *) 0x5306d60
"gv"
(gdb)
Continuing.

Breakpoint 1, Fload (file=85474161, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$127 = 85474161
$128 = (struct Lisp_String *) 0x5183b70
"idna"
(gdb)
Continuing.

Breakpoint 1, Fload (file=85460417, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$129 = 85460417
$130 = (struct Lisp_String *) 0x51805c0
"gnus-range"
(gdb)
Continuing.

Breakpoint 1, Fload (file=85460401, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$131 = 85460401
$132 = (struct Lisp_String *) 0x51805b0
"gnus-spec"
(gdb)
Continuing.

Breakpoint 1, Fload (file=86951393, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$133 = 86951393
$134 = (struct Lisp_String *) 0x52ec5e0
"nnmail"
(gdb)
Continuing.

Breakpoint 1, Fload (file=86954369, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$135 = 86954369
$136 = (struct Lisp_String *) 0x52ed180
"mail-source"
(gdb)
Continuing.

Breakpoint 1, Fload (file=85460449, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$137 = 85460449
$138 = (struct Lisp_String *) 0x51805e0
"gnus-undo"
(gdb)
Continuing.

Breakpoint 1, Fload (file=85460513, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$139 = 85460513
$140 = (struct Lisp_String *) 0x5180620
"nnoo"
(gdb)
Continuing.

Breakpoint 1, Fload (file=19578129, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$141 = 19578129
$142 = (struct Lisp_String *) 0x12abd10 <pure+300368>
"calendar"
(gdb)
Continuing.

Breakpoint 1, Fload (file=86611361, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$143 = 86611361
$144 = (struct Lisp_String *) 0x52995a0
"cal-loaddefs"
(gdb)
Continuing.

Breakpoint 1, Fload (file=86611457, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$145 = 86611457
$146 = (struct Lisp_String *) 0x5299600
"cal-menu"
(gdb)
Continuing.

Breakpoint 1, Fload (file=19607121, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$147 = 19607121
$148 = (struct Lisp_String *) 0x12b2e50 <pure+329360>
"find-func"
(gdb)
Continuing.

Breakpoint 1, Fload (file=86593921, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$149 = 86593921
$150 = (struct Lisp_String *) 0x5295180
"org-loaddefs.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=86364113, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$151 = 86364113
$152 = (struct Lisp_String *) 0x525cfd0
"org-macs"
(gdb)
Continuing.

Breakpoint 1, Fload (file=58396033, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$153 = 58396033
$154 = (struct Lisp_String *) 0x37b0d80
"org-compat"
(gdb)
Continuing.

Breakpoint 1, Fload (file=19570417, noerror=57719290, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$155 = 19570417
$156 = (struct Lisp_String *) 0x12a9ef0 <pure+292656>
"advice"
(gdb)
Continuing.

Breakpoint 1, Fload (file=87368305, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$157 = 87368305
$158 = (struct Lisp_String *) 0x5352270
"help-fns"
(gdb)
Continuing.

Breakpoint 1, Fload (file=88758417, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$159 = 88758417
$160 = (struct Lisp_String *) 0x54a5890
"ob-emacs-lisp"
(gdb)
Continuing.

Breakpoint 1, Fload (file=88760673, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$161 = 88760673
$162 = (struct Lisp_String *) 0x54a6160
"ob"
(gdb)
Continuing.

Breakpoint 1, Fload (file=88763025, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$163 = 88763025
$164 = (struct Lisp_String *) 0x54a6a90
"ob-eval"
(gdb)
Continuing.

Breakpoint 1, Fload (file=88747329, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$165 = 88747329
$166 = (struct Lisp_String *) 0x54a2d40
"ob-core"
(gdb)
Continuing.

Breakpoint 1, Fload (file=88773361, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$167 = 88773361
$168 = (struct Lisp_String *) 0x54a92f0
"ob-comint"
(gdb)
Continuing.

Breakpoint 1, Fload (file=88761121, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$169 = 88761121
$170 = (struct Lisp_String *) 0x54a6320
"comint"
(gdb)
Continuing.

Breakpoint 1, Fload (file=19662529, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$171 = 19662529
$172 = (struct Lisp_String *) 0x12c06c0 <pure+384768>
"ring"
(gdb)
Continuing.

Breakpoint 1, Fload (file=19571857, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$173 = 19571857
$174 = (struct Lisp_String *) 0x12aa490 <pure+294096>
"ansi-color"
(gdb)
Continuing.

Breakpoint 1, Fload (file=87049937, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$175 = 87049937
$176 = (struct Lisp_String *) 0x53046d0
"ob-exp"
(gdb)
Continuing.

Breakpoint 1, Fload (file=89018977, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$177 = 89018977
$178 = (struct Lisp_String *) 0x54e5260
"ob-keys"
(gdb)
Continuing.

Breakpoint 1, Fload (file=89034369, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$179 = 89034369
$180 = (struct Lisp_String *) 0x54e8e80
"ob-table"
(gdb)
Continuing.

Breakpoint 1, Fload (file=89049569, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$181 = 89049569
$182 = (struct Lisp_String *) 0x54ec9e0
"ob-lob"
(gdb)
Continuing.

Breakpoint 1, Fload (file=87052545, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$183 = 87052545
$184 = (struct Lisp_String *) 0x5305100
"ob-ref"
(gdb)
Continuing.

Breakpoint 1, Fload (file=61794961, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$185 = 61794961
$186 = (struct Lisp_String *) 0x3aeea90
"ob-tangle"
(gdb)
Continuing.

Breakpoint 1, Fload (file=88011297, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$187 = 88011297
$188 = (struct Lisp_String *) 0x53ef220
"org-src"
(gdb)
Continuing.

Breakpoint 1, Fload (file=19589065, noerror=57719290, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$189 = 19589065
$190 = (struct Lisp_String *) 0x12ae7c8 <pure+311304>
"easy-mmode"
(gdb)
Continuing.

Breakpoint 1, Fload (file=89053889, noerror=59276794, nomessage=57608242, nosuffix=57608218, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$191 = 89053889
$192 = (struct Lisp_String *) 0x54edac0
"d:/Users/fni/Public/Repositories/org-mode/lisp/org-version.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=19317113, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$193 = 19317113
$194 = (struct Lisp_String *) 0x126c178 <pure+39352>
"outline"
(gdb)
Continuing.

Breakpoint 1, Fload (file=87057697, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$195 = 87057697
$196 = (struct Lisp_String *) 0x5306520
"org-entities"
(gdb)
Continuing.

Breakpoint 1, Fload (file=89482609, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$197 = 89482609
$198 = (struct Lisp_String *) 0x5556570
"org-faces"
(gdb)
Continuing.

Breakpoint 1, Fload (file=58394993, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$199 = 58394993
$200 = (struct Lisp_String *) 0x37b0970
"org-list"
(gdb)
Continuing.

Breakpoint 1, Fload (file=57977169, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$201 = 57977169
$202 = (struct Lisp_String *) 0x374a950
"org-pcomplete"
(gdb)
Continuing.
[Thread 5184.0x22c0 exited with code 0]
[Thread 5184.0x34e8 exited with code 0]

Breakpoint 1, Fload (file=19651153, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$203 = 19651153
$204 = (struct Lisp_String *) 0x12bda50 <pure+373392>
"pcomplete"
(gdb)
Continuing.

Breakpoint 1, Fload (file=89541233, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$205 = 89541233
$206 = (struct Lisp_String *) 0x5564a70
"org-footnote"
(gdb)
Continuing.

Breakpoint 1, Fload (file=87647505, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$207 = 87647505
$208 = (struct Lisp_String *) 0x5396510
"org-element"
(gdb)
Continuing.

Breakpoint 1, Fload (file=58252145, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$209 = 58252145
$210 = (struct Lisp_String *) 0x378db70
"org"
(gdb) bt
#0  Fload (file=58252145, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
#1  0x0117d707 in Frequire (feature=88571362, filename=57608218, noerror=57608218) at ../../repo/src/fns.c:2637
#2  0x011714b6 in eval_sub (form=89634070) at ../../repo/src/eval.c:2181
#3  0x0119dfbd in readevalloop (readcharfun=58125317, stream=0x0, sourcename=89247777, printflag=false, unibyte=57608218, readfun=57608218, start=57608218, end=57608218) at ../../repo/src/lread.c:1888
#4  0x0119e237 in Feval_buffer (buffer=58125317, printflag=57608218, filename=89441585, unibyte=57608218, do_allow_print=57608242) at ../../repo/src/lread.c:1949
#5  0x011728c4 in Ffuncall (nargs=6, args=0x88ac04) at ../../repo/src/eval.c:2821
#6  0x011b2b73 in exec_byte_code (bytestr=19372289, vector=19372309, maxdepth=24, args_template=57608218, nargs=0, args=0x0) at ../../repo/src/bytecode.c:919
#7  0x01173396 in funcall_lambda (fun=19372229, nargs=4, arg_vector=0x1279915 <pure+94549>) at ../../repo/src/eval.c:3039
#8  0x01172a2c in Ffuncall (nargs=5, args=0x88af3c) at ../../repo/src/eval.c:2854
#9  0x0117239b in call4 (fn=59276746, arg1=89441585, arg2=89441585, arg3=57608218, arg4=57608242) at ../../repo/src/eval.c:2653
#10 0x0119ca49 in Fload (file=87647505, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1294
#11 0x01170c23 in Fautoload_do_load (fundef=85620742, funname=61369114, macro_only=57608218) at ../../repo/src/eval.c:1960
#12 0x01171797 in eval_sub (form=89639966) at ../../repo/src/eval.c:2232
#13 0x0116d00c in Fprogn (body=89639046) at ../../repo/src/eval.c:458
#14 0x011711c6 in eval_sub (form=89639038) at ../../repo/src/eval.c:2123
#15 0x0116cd96 in Fif (args=89639022) at ../../repo/src/eval.c:409
#16 0x011711c6 in eval_sub (form=89639014) at ../../repo/src/eval.c:2123
#17 0x0116d00c in Fprogn (body=89638942) at ../../repo/src/eval.c:458
#18 0x01173301 in funcall_lambda (fun=89638966, nargs=2, arg_vector=0x88b938) at ../../repo/src/eval.c:3032
#19 0x01172aff in Ffuncall (nargs=3, args=0x88b934) at ../../repo/src/eval.c:2866
#20 0x011b2b73 in exec_byte_code (bytestr=19358281, vector=19358309, maxdepth=24, args_template=57608218, nargs=0, args=0x0) at ../../repo/src/bytecode.c:919
#21 0x011b1fc8 in Fbyte_code (bytestr=19358281, vector=19358309, maxdepth=24) at ../../repo/src/bytecode.c:482
#22 0x011714b6 in eval_sub (form=19358270) at ../../repo/src/eval.c:2181
#23 0x0116d00c in Fprogn (body=19358262) at ../../repo/src/eval.c:458
#24 0x0116f59e in internal_lisp_condition_case (var=57608218, bodyform=19358230, handlers=19358246) at ../../repo/src/eval.c:1302
#25 0x011b3ab3 in exec_byte_code (bytestr=19358193, vector=19358213, maxdepth=12, args_template=57608218, nargs=0, args=0x0) at ../../repo/src/bytecode.c:1169
#26 0x01173396 in funcall_lambda (fun=19358173, nargs=2, arg_vector=0x1276205 <pure+80453>) at ../../repo/src/eval.c:3039
#27 0x01172a2c in Ffuncall (nargs=3, args=0x88c064) at ../../repo/src/eval.c:2854
#28 0x011b2b73 in exec_byte_code (bytestr=19359417, vector=19359437, maxdepth=20, args_template=57608218, nargs=0, args=0x0) at ../../repo/src/bytecode.c:919
#29 0x01173396 in funcall_lambda (fun=19359381, nargs=11, arg_vector=0x12766cd <pure+81677>) at ../../repo/src/eval.c:3039
#30 0x01172cf1 in apply_lambda (fun=19359381, args=89638094) at ../../repo/src/eval.c:2914
#31 0x011716cf in eval_sub (form=89638102) at ../../repo/src/eval.c:2220
#32 0x0119dfbd in readevalloop (readcharfun=61193221, stream=0x0, sourcename=89478673, printflag=false, unibyte=57608218, readfun=57608218, start=57608218, end=57608218) at ../../repo/src/lread.c:1888
#33 0x0119e237 in Feval_buffer (buffer=61193221, printflag=57608218, filename=89483473, unibyte=57608218, do_allow_print=57608242) at ../../repo/src/lread.c:1949
#34 0x011728c4 in Ffuncall (nargs=6, args=0x88c5e4) at ../../repo/src/eval.c:2821
#35 0x011b2b73 in exec_byte_code (bytestr=19372289, vector=19372309, maxdepth=24, args_template=57608218, nargs=0, args=0x0) at ../../repo/src/bytecode.c:919
#36 0x01173396 in funcall_lambda (fun=19372229, nargs=4, arg_vector=0x1279915 <pure+94549>) at ../../repo/src/eval.c:3039
#37 0x01172a2c in Ffuncall (nargs=5, args=0x88c91c) at ../../repo/src/eval.c:2854
#38 0x0117239b in call4 (fn=59276746, arg1=89483473, arg2=89483473, arg3=57608218, arg4=57608242) at ../../repo/src/eval.c:2653
#39 0x0119ca49 in Fload (file=89541233, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1294
#40 0x0117d707 in Frequire (feature=89539586, filename=57608218, noerror=57608218) at ../../repo/src/fns.c:2637
#41 0x011714b6 in eval_sub (form=89603270) at ../../repo/src/eval.c:2181
#42 0x0119dfbd in readevalloop (readcharfun=61190661, stream=0x0, sourcename=58306513, printflag=false, unibyte=57608218, readfun=57608218, start=57608218, end=57608218) at ../../repo/src/lread.c:1888
#43 0x0119e237 in Feval_buffer (buffer=61190661, printflag=57608218, filename=58290049, unibyte=57608218, do_allow_print=57608242) at ../../repo/src/lread.c:1949
#44 0x011728c4 in Ffuncall (nargs=6, args=0x88d124) at ../../repo/src/eval.c:2821
#45 0x011b2b73 in exec_byte_code (bytestr=19372289, vector=19372309, maxdepth=24, args_template=57608218, nargs=0, args=0x0) at ../../repo/src/bytecode.c:919
#46 0x01173396 in funcall_lambda (fun=19372229, nargs=4, arg_vector=0x1279915 <pure+94549>) at ../../repo/src/eval.c:3039
#47 0x01172a2c in Ffuncall (nargs=5, args=0x88d45c) at ../../repo/src/eval.c:2854
#48 0x0117239b in call4 (fn=59276746, arg1=58290049, arg2=58290049, arg3=57608218, arg4=57608242) at ../../repo/src/eval.c:2653
#49 0x0119ca49 in Fload (file=59478257, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1294
#50 0x01170c23 in Fautoload_do_load (fundef=60164790, funname=59360402, macro_only=57608218) at ../../repo/src/eval.c:1960
#51 0x01172b29 in Ffuncall (nargs=1, args=0x88dacc) at ../../repo/src/eval.c:2869
#52 0x011b2b73 in exec_byte_code (bytestr=19482545, vector=19482565, maxdepth=20, args_template=2052, nargs=2, args=0x88de20) at ../../repo/src/bytecode.c:919
#53 0x01172fd2 in funcall_lambda (fun=19482525, nargs=2, arg_vector=0x88de18) at ../../repo/src/eval.c:2973
#54 0x01172a2c in Ffuncall (nargs=3, args=0x88de14) at ../../repo/src/eval.c:2854
#55 0x011b2b73 in exec_byte_code (bytestr=19481929, vector=19481949, maxdepth=64, args_template=1024, nargs=0, args=0x88e158) at ../../repo/src/bytecode.c:919
#56 0x01172fd2 in funcall_lambda (fun=19481909, nargs=0, arg_vector=0x88e158) at ../../repo/src/eval.c:2973
#57 0x01172a2c in Ffuncall (nargs=1, args=0x88e154) at ../../repo/src/eval.c:2854
#58 0x011b2b73 in exec_byte_code (bytestr=19340929, vector=19476845, maxdepth=4, args_template=0, nargs=0, args=0x88e484) at ../../repo/src/bytecode.c:919
#59 0x01172fd2 in funcall_lambda (fun=19476821, nargs=0, arg_vector=0x88e484) at ../../repo/src/eval.c:2973
#60 0x01172a2c in Ffuncall (nargs=1, args=0x88e480) at ../../repo/src/eval.c:2854
#61 0x01171358 in eval_sub (form=61527222) at ../../repo/src/eval.c:2147
#62 0x0116f5e1 in internal_lisp_condition_case (var=59761506, bodyform=61527222, handlers=61527454) at ../../repo/src/eval.c:1313
#63 0x011b3ab3 in exec_byte_code (bytestr=19476721, vector=19476741, maxdepth=28, args_template=1024, nargs=1, args=0x88e950) at ../../repo/src/bytecode.c:1169
#64 0x01172fd2 in funcall_lambda (fun=19476693, nargs=1, arg_vector=0x88e94c) at ../../repo/src/eval.c:2973
---Type <return> to continue, or q <return> to quit---
#65 0x01172a2c in Ffuncall (nargs=2, args=0x88e948) at ../../repo/src/eval.c:2854
#66 0x011b2b73 in exec_byte_code (bytestr=19476041, vector=19476061, maxdepth=44, args_template=5120, nargs=2, args=0x88ec9c) at ../../repo/src/bytecode.c:919
#67 0x01172fd2 in funcall_lambda (fun=19476021, nargs=2, arg_vector=0x88ec94) at ../../repo/src/eval.c:2973
#68 0x01172a2c in Ffuncall (nargs=3, args=0x88ec90) at ../../repo/src/eval.c:2854
#69 0x011b2b73 in exec_byte_code (bytestr=19474929, vector=19474949, maxdepth=76, args_template=6168, nargs=6, args=0x88f018) at ../../repo/src/bytecode.c:919
#70 0x01172fd2 in funcall_lambda (fun=19474909, nargs=6, arg_vector=0x88f000) at ../../repo/src/eval.c:2973
#71 0x01172a2c in Ffuncall (nargs=7, args=0x88effc) at ../../repo/src/eval.c:2854
#72 0x011b2b73 in exec_byte_code (bytestr=19474121, vector=19474141, maxdepth=72, args_template=4100, nargs=4, args=0x88f350) at ../../repo/src/bytecode.c:919
#73 0x01172fd2 in funcall_lambda (fun=19474101, nargs=4, arg_vector=0x88f340) at ../../repo/src/eval.c:2973
#74 0x01172a2c in Ffuncall (nargs=5, args=0x88f33c) at ../../repo/src/eval.c:2854
#75 0x011b2b73 in exec_byte_code (bytestr=19471009, vector=19471029, maxdepth=28, args_template=2052, nargs=2, args=0x88f66c) at ../../repo/src/bytecode.c:919
#76 0x01172fd2 in funcall_lambda (fun=19470981, nargs=2, arg_vector=0x88f664) at ../../repo/src/eval.c:2973
#77 0x01172a2c in Ffuncall (nargs=3, args=0x88f660) at ../../repo/src/eval.c:2854
#78 0x01171d51 in Fapply (nargs=2, args=0x88f6e4) at ../../repo/src/eval.c:2344
#79 0x01172286 in apply1 (fn=59454114, arg=61535174) at ../../repo/src/eval.c:2578
#80 0x0116a66a in Fcall_interactively (function=59454114, record_flag=57608218, keys=57629557) at ../../repo/src/callint.c:378
#81 0x01172845 in Ffuncall (nargs=4, args=0x88f91c) at ../../repo/src/eval.c:2812
#82 0x011b2b73 in exec_byte_code (bytestr=19731689, vector=19731709, maxdepth=52, args_template=4100, nargs=1, args=0x88fc60) at ../../repo/src/bytecode.c:919
#83 0x01172fd2 in funcall_lambda (fun=19731669, nargs=1, arg_vector=0x88fc5c) at ../../repo/src/eval.c:2973
#84 0x01172a2c in Ffuncall (nargs=2, args=0x88fc58) at ../../repo/src/eval.c:2854
#85 0x011722db in call1 (fn=57650066, arg1=59454114) at ../../repo/src/eval.c:2604
#86 0x010e5a68 in command_loop_1 () at ../../repo/src/keyboard.c:1551
#87 0x0116f6ec in internal_condition_case (bfun=0x10e5407 <command_loop_1>, handlers=57658634, hfun=0x10e4c6f <cmd_error>) at ../../repo/src/eval.c:1344
#88 0x010e50bc in command_loop_2 (ignore=57608218) at ../../repo/src/keyboard.c:1169
#89 0x0116ec99 in internal_catch (tag=57648538, func=0x10e5098 <command_loop_2>, arg=57608218) at ../../repo/src/eval.c:1108
#90 0x010e5074 in command_loop () at ../../repo/src/keyboard.c:1148
#91 0x010e480c in recursive_edit_1 () at ../../repo/src/keyboard.c:776
#92 0x010e49c8 in Frecursive_edit () at ../../repo/src/keyboard.c:840
#93 0x010e2c33 in main (argc=2, argv=0xbc2fe8) at ../../repo/src/emacs.c:1594

Lisp Backtrace:
"require" (0x88aa00)
"eval-buffer" (0x88ac08)
"load-with-code-conversion" (0x88af40)
"org-element-cache-reset" (0x88b584)
"progn" (0x88b694)
"if" (0x88b7a4)
0x557c830 Lisp type 6
"byte-code" (0x88bbd0)
"custom-initialize-set" (0x88c068)
"custom-declare-variable" (0x88c300)
"eval-buffer" (0x88c5e8)
"load-with-code-conversion" (0x88c920)
"require" (0x88cf20)
"eval-buffer" (0x88d128)
"load-with-code-conversion" (0x88d460)
"org-mode" (0x88dad0)
"set-auto-mode-0" (0x88de18)
"set-auto-mode" (0x88e158)
0x1293150 PVEC_COMPILED
"funcall" (0x88e480)
"normal-mode" (0x88e94c)
"after-find-file" (0x88ec94)
"find-file-noselect-1" (0x88f000)
"find-file-noselect" (0x88f340)
"find-file" (0x88f664)
"call-interactively" (0x88f920)
"command-execute" (0x88fc5c)
(gdb) c
Continuing.

Breakpoint 1, Fload (file=89215857, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$211 = 89215857
$212 = (struct Lisp_String *) 0x5515370
"org-loaddefs.el"
(gdb)
Continuing.

Breakpoint 1, Fload (file=89541233, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$213 = 89541233
$214 = (struct Lisp_String *) 0x5564a70
"org-footnote"
(gdb)
Continuing.

Breakpoint 1, Fload (file=88723489, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$215 = 88723489
$216 = (struct Lisp_String *) 0x549d020
"org-macro"
(gdb)
Continuing.

Breakpoint 1, Fload (file=19586161, noerror=57719290, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$217 = 19586161
$218 = (struct Lisp_String *) 0x12adc70 <pure+308400>
"derived"
(gdb)
Continuing.

Breakpoint 1, Fload (file=19593929, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$219 = 19593929
$220 = (struct Lisp_String *) 0x12afac8 <pure+316168>
"edmacro"
(gdb)
Continuing.

Breakpoint 1, Fload (file=89478497, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$221 = 89478497
$222 = (struct Lisp_String *) 0x5555560
"kmacro"
(gdb)
Continuing.

Breakpoint 1, Fload (file=19576985, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$223 = 19576985
$224 = (struct Lisp_String *) 0x12ab898 <pure+299224>
"bytecomp"
(gdb)
Continuing.

Breakpoint 1, Fload (file=57933377, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$225 = 57933377
$226 = (struct Lisp_String *) 0x373fe40
"cconv"
(gdb)
Continuing.

Breakpoint 1, Fload (file=88943457, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$227 = 88943457
$228 = (struct Lisp_String *) 0x54d2b60
"byte-opt"
(gdb)
Continuing.

Breakpoint 1, Fload (file=89186897, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$229 = 89186897
$230 = (struct Lisp_String *) 0x550e250
"org-w3m"
(gdb)
Continuing.

Breakpoint 1, Fload (file=89186913, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$231 = 89186913
$232 = (struct Lisp_String *) 0x550e260
"org-bbdb"
(gdb)
Continuing.

Breakpoint 1, Fload (file=89186929, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$233 = 89186929
$234 = (struct Lisp_String *) 0x550e270
"org-bibtex"
(gdb)
Continuing.

Breakpoint 1, Fload (file=92210705, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$235 = 92210705
$236 = (struct Lisp_String *) 0x57f0610
"bibtex"
(gdb)
Continuing.

Breakpoint 1, Fload (file=89186945, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$237 = 89186945
$238 = (struct Lisp_String *) 0x550e280
"org-docview"
(gdb)
Continuing.

Breakpoint 1, Fload (file=57717329, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$239 = 57717329
$240 = (struct Lisp_String *) 0x370b250
"doc-view"
(gdb)
Continuing.

Breakpoint 1, Fload (file=19422577, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$241 = 19422577
$242 = (struct Lisp_String *) 0x1285d70 <pure+144816>
"dired"
(gdb)
Continuing.

Breakpoint 1, Fload (file=19474049, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$243 = 19474049
$244 = (struct Lisp_String *) 0x1292680 <pure+196288>
"image-mode"
(gdb)
Continuing.

Breakpoint 1, Fload (file=19636041, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$245 = 19636041
$246 = (struct Lisp_String *) 0x12b9f48 <pure+358280>
"jka-compr"
(gdb)
Continuing.

Breakpoint 1, Fload (file=89186961, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$247 = 89186961
$248 = (struct Lisp_String *) 0x550e290
"org-gnus"
(gdb)
Continuing.

Breakpoint 1, Fload (file=89186977, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$249 = 89186977
$250 = (struct Lisp_String *) 0x550e2a0
"org-info"
(gdb)
Continuing.

Breakpoint 1, Fload (file=89186993, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$251 = 89186993
$252 = (struct Lisp_String *) 0x550e2b0
"org-irc"
(gdb)
Continuing.

Breakpoint 1, Fload (file=89187009, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$253 = 89187009
$254 = (struct Lisp_String *) 0x550e2c0
"org-mhe"
(gdb)
Continuing.

Breakpoint 1, Fload (file=89187025, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$255 = 89187025
$256 = (struct Lisp_String *) 0x550e2d0
"org-rmail"
(gdb)
Continuing.

Breakpoint 1, Fload (file=19685425, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$257 = 19685425
$258 = (struct Lisp_String *) 0x12c6030 <pure+407664>
"vc-git"
(gdb)
Continuing.
[New Thread 5184.0x38a4]
[Thread 5184.0x38a4 exited with code 1]
[New Thread 5184.0x28c8]
[Thread 5184.0x28c8 exited with code 1]
[New Thread 5184.0x1f40]
[Thread 5184.0x1f40 exited with code 1]
[New Thread 5184.0x3730]
[Thread 5184.0x3730 exited with code 1]
--8<---------------cut here---------------end--------------->8---

Best regards,
  Seb

-- 
Sebastien Vauban




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#15888; Package emacs,org-mode. Full text available.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 15 Nov 2013 10:34:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 15 05:34:58 2013
Received: from localhost ([127.0.0.1]:54041 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VhGjp-0005XE-Oo
	for submit <at> debbugs.gnu.org; Fri, 15 Nov 2013 05:34:58 -0500
Received: from mtaout21.012.net.il ([80.179.55.169]:35783)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VhGjl-0005Ww-6d
 for 15888 <at> debbugs.gnu.org; Fri, 15 Nov 2013 05:34:54 -0500
Received: from conversion-daemon.a-mtaout21.012.net.il by
 a-mtaout21.012.net.il (HyperSendmail v2007.08) id
 <0MWA00E00W1HRB00@HIDDEN> for 15888 <at> debbugs.gnu.org;
 Fri, 15 Nov 2013 12:34:46 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MWA00EX6W1YMV60@HIDDEN>;
 Fri, 15 Nov 2013 12:34:46 +0200 (IST)
Date: Fri, 15 Nov 2013 12:34:31 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
In-reply-to: <86siuyvxtn.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Sebastien Vauban <sva-news@HIDDEN>
Message-id: <83fvqyhs20.fsf@HIDDEN>
References: <868uws6lgt.fsf@HIDDEN>
 <mailman.6013.1384380609.10748.bug-gnu-emacs@HIDDEN>
 <864n7f7u8d.fsf@HIDDEN>
 <mailman.6027.1384398545.10748.bug-gnu-emacs@HIDDEN>
 <8638myzu9t.fsf@HIDDEN> <83siuyiyq4.fsf@HIDDEN>
 <868uwqxeoj.fsf@HIDDEN> <83iovuhx8w.fsf@HIDDEN>
 <86siuyvxtn.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15888
Cc: michael_heerdegen@HIDDEN, rgm@HIDDEN, 15888 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: "Sebastien Vauban" <sva-news@HIDDEN>
> Cc: rgm@HIDDEN,  michael_heerdegen@HIDDEN,  15888 <at> debbugs.gnu.org
> Date: Fri, 15 Nov 2013 10:06:12 +0100
> 
> Eli Zaretskii wrote:
> > Unfortunately, this:
> >
> >> (gdb) No symbol "backtrace_list" in current context.
> >
> > (whose reason I don't really understand) means that the Lisp backtrace
> > is absent from your data.
> 
> Should the following explain it?  As I had no .gdbinit file (hence, no
> definition for xstring), I had to found one that would match the requirements.
> 
> I took the .gdbinit from
> http://alpha.gnu.org/gnu/emacs/pretest/emacs-24.2.90.tar.gz:

You should use the one from the bzr revision used to produce the
binary you are running.  You should be able to get that from
http://bzr.savannah.gnu.org/lh/emacs/trunk/files.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#15888; Package emacs,org-mode. Full text available.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 15 Nov 2013 09:06:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 15 04:06:45 2013
Received: from localhost ([127.0.0.1]:53993 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VhFMQ-0003PH-Cb
	for submit <at> debbugs.gnu.org; Fri, 15 Nov 2013 04:06:44 -0500
Received: from dd5e0353a.access.telenet.be ([213.224.53.58]:4917
 helo=mail.missioncriticalit.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sva-news@HIDDEN>) id 1VhFML-0003P1-NN
 for 15888 <at> debbugs.gnu.org; Fri, 15 Nov 2013 04:06:40 -0500
Received: from MUNDANEUM.i-did-not-set--mail-host-address--so-tickle-me
 (unknown [10.10.10.51])
 by mail.missioncriticalit.com (Postfix) with ESMTPS id 50634500AC5;
 Fri, 15 Nov 2013 10:09:07 +0100 (CET)
From: "Sebastien Vauban" <sva-news@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
Organization: Sebastien Vauban
References: <868uws6lgt.fsf@HIDDEN>
 <mailman.6013.1384380609.10748.bug-gnu-emacs@HIDDEN>
 <864n7f7u8d.fsf@HIDDEN>
 <mailman.6027.1384398545.10748.bug-gnu-emacs@HIDDEN>
 <8638myzu9t.fsf@HIDDEN> <83siuyiyq4.fsf@HIDDEN>
 <868uwqxeoj.fsf@HIDDEN> <83iovuhx8w.fsf@HIDDEN>
X-Url: Under construction...
X-Archive: encrypt
Date: Fri, 15 Nov 2013 10:06:12 +0100
In-Reply-To: <83iovuhx8w.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 15 Nov
 2013 10:42:23 +0200")
Message-ID: <86siuyvxtn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 15888
Cc: michael_heerdegen@HIDDEN, rgm@HIDDEN, 15888 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

Eli Zaretskii wrote:
> Unfortunately, this:
>
>> (gdb) No symbol "backtrace_list" in current context.
>
> (whose reason I don't really understand) means that the Lisp backtrace
> is absent from your data.

Should the following explain it?  As I had no .gdbinit file (hence, no
definition for xstring), I had to found one that would match the requirements.

I took the .gdbinit from
http://alpha.gnu.org/gnu/emacs/pretest/emacs-24.2.90.tar.gz:

--8<---------------cut here---------------start------------->8---
# Copyright (C) 1992-1998, 2000-2012  Free Software Foundation, Inc.
#
# This file is part of GNU Emacs.
#
# GNU Emacs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Emacs is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Emacs; see the file COPYING.  If not, write to the
# Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA 02110-1301, USA.

# Force loading of symbols, enough to give us VALBITS etc.
set $dummy = main + 8
# With some compilers, we need this to give us struct Lisp_Symbol etc.:
set $dummy = Fmake_symbol + 8

# Find lwlib source files too.
dir ../lwlib
#dir /gd/gnu/lesstif-0.89.9/lib/Xm

# Don't enter GDB when user types C-g to quit.
# This has one unfortunate effect: you can't type C-c
# at the GDB to stop Emacs, when using X.
# However, C-z works just as well in that case.
handle 2 noprint pass

# Make it work like SIGINT normally does.
handle SIGTSTP nopass

# Pass on user signals
handle SIGUSR1 noprint pass
handle SIGUSR2 noprint pass

# Don't pass SIGALRM to Emacs.  This makes problems when
# debugging.
handle SIGALRM ignore

# Use $bugfix so that the value isn't a constant.
# Using a constant runs into GDB bugs sometimes.
define xgetptr
  if (CHECK_LISP_OBJECT_TYPE)
    set $bugfix = $arg0.i
  else
    set $bugfix = $arg0
  end
  set $ptr = ($bugfix & VALMASK) | DATA_SEG_BITS
end

define xgetint
  if (CHECK_LISP_OBJECT_TYPE)
    set $bugfix = $arg0.i
  else
    set $bugfix = $arg0
  end
  set $int = $bugfix << (USE_LSB_TAG ? 0 : INTTYPEBITS) >> INTTYPEBITS
end

define xgettype
  if (CHECK_LISP_OBJECT_TYPE)
    set $bugfix = $arg0.i
  else
    set $bugfix = $arg0
  end
  set $type = (enum Lisp_Type) (USE_LSB_TAG ? $bugfix & (1 << GCTYPEBITS) - 1 : $bugfix >> VALBITS)
end

# Set up something to print out s-expressions.
# We save and restore print_output_debug_flag to prevent the w32 port
# from calling OutputDebugString, which causes GDB to display each
# character twice (yuk!).
define pr
  pp $
end
document pr
Print the emacs s-expression which is $.
Works only when an inferior emacs is executing.
end

# Print out s-expressions
define pp
  set $tmp = $arg0
  set $output_debug = print_output_debug_flag
  set print_output_debug_flag = 0
  call safe_debug_print ($tmp)
  set print_output_debug_flag = $output_debug
end
document pp
Print the argument as an emacs s-expression
Works only when an inferior emacs is executing.
end

# Print value of lisp variable
define pv
  set $tmp = "$arg0"
  set $output_debug = print_output_debug_flag
  set print_output_debug_flag = 0
  call safe_debug_print (find_symbol_value (intern ($tmp)))
  set print_output_debug_flag = $output_debug
end
document pv
Print the value of the lisp variable given as argument.
Works only when an inferior emacs is executing.
end

# Print out current buffer point and boundaries
define ppt
  set $b = current_buffer
  set $t = $b->text
  printf "BUF PT: %d", $b->pt
  if ($b->pt != $b->pt_byte)
    printf "[%d]", $b->pt_byte
  end
  printf " of 1..%d", $t->z
  if ($t->z != $t->z_byte)
    printf "[%d]", $t->z_byte
  end
  if ($b->begv != 1 || $b->zv != $t->z)
    printf " NARROW=%d..%d", $b->begv, $b->zv
    if ($b->begv != $b->begv_byte || $b->zv != $b->zv_byte)
      printf " [%d..%d]", $b->begv_byte, $b->zv_byte
    end
  end
  printf " GAP: %d", $t->gpt
  if ($t->gpt != $t->gpt_byte)
    printf "[%d]", $t->gpt_byte
  end
  printf " SZ=%d\n", $t->gap_size
end
document ppt
Print current buffer's point and boundaries.
Prints values of point, beg, end, narrow, and gap for current buffer.
end

define pitmethod
  set $itmethod = $arg0
  # output $itmethod
  if ($itmethod == 0)
    printf "GET_FROM_BUFFER"
  end
  if ($itmethod == 1)
    printf "GET_FROM_DISPLAY_VECTOR"
  end
  if ($itmethod == 2)
    printf "GET_FROM_STRING"
  end
  if ($itmethod == 3)
    printf "GET_FROM_C_STRING"
  end
  if ($itmethod == 4)
    printf "GET_FROM_IMAGE"
  end
  if ($itmethod == 5)
    printf "GET_FROM_STRETCH"
  end
  if ($itmethod < 0 || $itmethod > 5)
    output $itmethod
  end
end
document pitmethod
Pretty print it->method given as first arg
end

# Print out iterator given as first arg
define pitx
  set $it = $arg0
  printf "cur=%d", $it->current.pos.charpos
  if ($it->current.pos.charpos != $it->current.pos.bytepos)
    printf "[%d]", $it->current.pos.bytepos
  end
  printf " pos=%d", $it->position.charpos
  if ($it->position.charpos != $it->position.bytepos)
    printf "[%d]", $it->position.bytepos
  end
  printf " start=%d", $it->start.pos.charpos
  if ($it->start.pos.charpos != $it->start.pos.bytepos)
    printf "[%d]", $it->start.pos.bytepos
  end
  printf " end=%d", $it->end_charpos
  printf " stop=%d", $it->stop_charpos
  printf " face=%d", $it->face_id
  if ($it->multibyte_p)
    printf " MB"
  end
  if ($it->header_line_p)
    printf " HL"
  end
  if ($it->n_overlay_strings > 0)
    printf " nov=%d", $it->n_overlay_strings
  end
  if ($it->sp != 0)
    printf " sp=%d", $it->sp
  end
  # IT_CHARACTER
  if ($it->what == 0)
    if ($it->len == 1 && $it->c >= ' ' && it->c < 255)
      printf " ch='%c'", $it->c
    else
      printf " ch=[%d,%d]", $it->c, $it->len
    end
  else
    printf " "
    # output $it->what
    if ($it->what == 0)
      printf "IT_CHARACTER"
    end
    if ($it->what == 1)
      printf "IT_COMPOSITION"
    end
    if ($it->what == 2)
      printf "IT_IMAGE"
    end
    if ($it->what == 3)
      printf "IT_STRETCH"
    end
    if ($it->what == 4)
      printf "IT_EOB"
    end
    if ($it->what == 5)
      printf "IT_TRUNCATION"
    end
    if ($it->what == 6)
      printf "IT_CONTINUATION"
    end
    if ($it->what < 0 || $it->what > 6)
      output $it->what
    end
  end
  if ($it->method != 0)
    # !GET_FROM_BUFFER
    printf " next="
    pitmethod $it->method
    if ($it->method == 2)
      # GET_FROM_STRING
      printf "[%d]", $it->current.string_pos.charpos
    end
    if ($it->method == 4)
      # GET_FROM_IMAGE
      printf "[%d]", $it->image_id
    end
  end
  printf "\n"
  if ($it->bidi_p)
    printf "BIDI: base_stop=%d prev_stop=%d level=%d\n", $it->base_level_stop, $it->prev_stop, $it->bidi_it.resolved_level
  end
  if ($it->region_beg_charpos >= 0)
    printf "reg=%d-%d ", $it->region_beg_charpos, $it->region_end_charpos
  end
  printf "vpos=%d hpos=%d", $it->vpos, $it->hpos,
  printf " y=%d lvy=%d", $it->current_y, $it->last_visible_y
  printf " x=%d vx=%d-%d", $it->current_x, $it->first_visible_x, $it->last_visible_x
  printf " w=%d", $it->pixel_width
  printf " a+d=%d+%d=%d", $it->ascent, $it->descent, $it->ascent+$it->descent
  printf " max=%d+%d=%d", $it->max_ascent, $it->max_descent, $it->max_ascent+$it->max_descent
  printf "\n"
  set $i = 0
  while ($i < $it->sp && $i < 4)
    set $e = $it->stack[$i]
    printf "stack[%d]: ", $i
    pitmethod $e.method
    printf "[%d]", $e.position.charpos
    printf "\n"
    set $i = $i + 1
  end
end
document pitx
Pretty print a display iterator.
Take one arg, an iterator object or pointer.
end

define pit
  pitx it
end
document pit
Pretty print the display iterator it.
end

define prowx
  set $row = $arg0
  printf "y=%d x=%d pwid=%d", $row->y, $row->x, $row->pixel_width
  printf " a+d=%d+%d=%d", $row->ascent, $row->height-$row->ascent, $row->height
  printf " phys=%d+%d=%d", $row->phys_ascent, $row->phys_height-$row->phys_ascent, $row->phys_height
  printf " vis=%d\n", $row->visible_height
  printf "used=(LMargin=%d,Text=%d,RMargin=%d) Hash=%d\n", $row->used[0], $row->used[1], $row->used[2], $row->hash
  printf "start=%d end=%d", $row->start.pos.charpos, $row->end.pos.charpos
  if ($row->enabled_p)
    printf " ENA"
  end
  if ($row->displays_text_p)
    printf " DISP"
  end
  if ($row->mode_line_p)
    printf " MODEL"
  end
  if ($row->continued_p)
    printf " CONT"
  end
  if ($row-> truncated_on_left_p)
    printf " TRUNC:L"
  end
  if ($row-> truncated_on_right_p)
    printf " TRUNC:R"
  end
  if ($row->starts_in_middle_of_char_p)
    printf " STARTMID"
  end
  if ($row->ends_in_middle_of_char_p)
    printf " ENDMID"
  end
  if ($row->ends_in_newline_from_string_p)
    printf " ENDNLFS"
  end
  if ($row->ends_at_zv_p)
    printf " ENDZV"
  end
  if ($row->overlapped_p)
    printf " OLAPD"
  end
  if ($row->overlapping_p)
    printf " OLAPNG"
  end
  printf "\n"
end
document prowx
Pretty print information about glyph_row.
Takes one argument, a row object or pointer.
end

define prow
  prowx row
end
document prow
Pretty print information about glyph_row in row.
end


define pcursorx
  set $cp = $arg0
  printf "y=%d x=%d vpos=%d hpos=%d", $cp->y, $cp->x, $cp->vpos, $cp->hpos
end
document pcursorx
Pretty print a window cursor.
end

define pcursor
  printf "output: "
  pcursorx output_cursor
  printf "\n"
end
document pcursor
Pretty print the output_cursor.
end

define pwinx
  set $w = $arg0
  xgetint $w->sequence_number
  if ($w->mini_p != Qnil)
    printf "Mini "
  end
  printf "Window %d ", $int
  xgetptr $w->buffer
  set $tem = (struct buffer *) $ptr
  xgetptr $tem->name_
  printf "%s", ((struct Lisp_String *) $ptr)->data
  printf "\n"
  xgetptr $w->start
  set $tem = (struct Lisp_Marker *) $ptr
  printf "start=%d end:", $tem->charpos
  if ($w->window_end_valid != Qnil)
    xgetint $w->window_end_pos
    printf "pos=%d", $int
    xgetint $w->window_end_vpos
    printf " vpos=%d", $int
  else
    printf "invalid"
  end
  printf " vscroll=%d", $w->vscroll
  if ($w->force_start != Qnil)
    printf " FORCE_START"
  end
  if ($w->must_be_updated_p)
    printf " MUST_UPD"
  end
  printf "\n"
  printf "cursor: "
  pcursorx $w->cursor
  printf "  phys: "
  pcursorx $w->phys_cursor
  if ($w->phys_cursor_on_p)
    printf " ON"
  else
    printf " OFF"
  end
  printf " blk="
  if ($w->last_cursor_off_p != $w->cursor_off_p)
    if ($w->last_cursor_off_p)
      printf "ON->"
    else
      printf "OFF->"
    end
  end
  if ($w->cursor_off_p)
    printf "ON"
  else
    printf "OFF"
  end
  printf "\n"
end
document pwinx
Pretty print a window structure.
Takes one argument, a pointer to a window structure.
end

define pwin
  pwinx w
end
document pwin
Pretty print window structure w.
end

define pbiditype
  if ($arg0 == 0)
    printf "UNDEF"
  end
  if ($arg0 == 1)
    printf "L"
  end
  if ($arg0 == 2)
    printf "R"
  end
  if ($arg0 == 3)
    printf "EN"
  end
  if ($arg0 == 4)
    printf "AN"
  end
  if ($arg0 == 5)
    printf "BN"
  end
  if ($arg0 == 6)
    printf "B"
  end
  if ($arg0 < 0 || $arg0 > 6)
    printf "%d??", $arg0
  end
end
document pbiditype
Print textual description of bidi type given as first argument.
end

define pgx
  set $g = $arg0
  # CHAR_GLYPH
  if ($g.type == 0)
    if ($g.u.ch >= ' ' && $g.u.ch < 127)
      printf "CHAR[%c]", $g.u.ch
    else
      printf "CHAR[0x%x]", $g.u.ch
    end
  end
  # COMPOSITE_GLYPH
  if ($g.type == 1)
    printf "COMP[%d (%d..%d)]", $g.u.cmp.id, $g.slice.cmp.from, $g.slice.cmp.to
  end
  # GLYPHLESS_GLYPH
  if ($g.type == 2)
    printf "GLYPHLESS["
    if ($g.u.glyphless.method == 0)
      printf "THIN]"
    end
    if ($g.u.glyphless.method == 1)
      printf "EMPTY]"
    end
    if ($g.u.glyphless.method == 2)
      printf "ACRO]"
    end
    if ($g.u.glyphless.method == 3)
      printf "HEX]"
    end
  end
  # IMAGE_GLYPH
  if ($g.type == 3)
    printf "IMAGE[%d]", $g.u.img_id
  end
  # STRETCH_GLYPH
  if ($g.type == 4)
    printf "STRETCH[%d+%d]", $g.u.stretch.height, $g.u.stretch.ascent
  end
  xgettype ($g.object)
  if ($type == Lisp_String)
    xgetptr $g.object
    printf " str=0x%x[%d]", ((struct Lisp_String *)$ptr)->data, $g.charpos
  else
    printf " pos=%d", $g.charpos
  end
  # For characters, print their resolved level and bidi type
  if ($g.type == 0)
    printf " blev=%d,btyp=", $g.resolved_level
    pbiditype $g.bidi_type
  end
  printf " w=%d a+d=%d+%d", $g.pixel_width, $g.ascent, $g.descent
  # If not DEFAULT_FACE_ID
  if ($g.face_id != 0)
    printf " face=%d", $g.face_id
  end
  if ($g.voffset)
    printf " vof=%d", $g.voffset
  end
  if ($g.multibyte_p)
    printf " MB"
  end
  if ($g.padding_p)
    printf " PAD"
  end
  if ($g.glyph_not_available_p)
    printf " N/A"
  end
  if ($g.overlaps_vertically_p)
    printf " OVL"
  end
  if ($g.avoid_cursor_p)
    printf " AVOID"
  end
  if ($g.left_box_line_p)
    printf " ["
  end
  if ($g.right_box_line_p)
    printf " ]"
  end
  if ($g.slice.img.x || $g.slice.img.y || $g.slice.img.width || $g.slice.img.height)
    printf " slice=%d,%d,%d,%d" ,$g.slice.img.x, $g.slice.img.y, $g.slice.img.width, $g.slice.img.height
  end
  printf "\n"
end
document pgx
Pretty print a glyph structure.
Takes one argument, a pointer to a glyph structure.
end

define pg
  set $pgidx = 0
  pgx glyph
end
document pg
Pretty print glyph structure glyph.
end

define pgi
  set $pgidx = $arg0
  pgx (&glyph[$pgidx])
end
document pgi
Pretty print glyph structure glyph[I].
Takes one argument, a integer I.
end

define pgn
  set $pgidx = $pgidx + 1
  pgx (&glyph[$pgidx])
end
document pgn
Pretty print next glyph structure.
end

define pgrowx
  set $row = $arg0
  set $area = 0
  set $xofs = $row->x
  while ($area < 3)
    set $used = $row->used[$area]
    if ($used > 0)
      set $gl0 = $row->glyphs[$area]
      set $pgidx = 0
      printf "%s: %d glyphs\n", ($area == 0 ? "LEFT" : $area == 2 ? "RIGHT" : "TEXT"), $used
      while ($pgidx < $used)
	printf "%3d %4d: ", $pgidx, $xofs
	pgx $gl0[$pgidx]
	set $xofs = $xofs + $gl0[$pgidx]->pixel_width
	set $pgidx = $pgidx + 1
      end
    end
    set $area = $area + 1
  end
end
document pgrowx
Pretty print all glyphs in a row structure.
Takes one argument, a pointer to a row structure.
end

define pgrow
  pgrowx row
end
document pgrow
Pretty print all glyphs in row structure row.
end

define pgrowit
  pgrowx it->glyph_row
end
document pgrowit
Pretty print all glyphs in it->glyph_row.
end

define prowlims
  printf "edges=(%d,%d),r2l=%d,cont=%d,trunc=(%d,%d),at_zv=%d\n", $arg0->minpos.charpos, $arg0->maxpos.charpos, $arg0->reversed_p, $arg0->continued_p, $arg0->truncated_on_left_p, $arg0->truncated_on_right_p, $arg0->ends_at_zv_p
end
document prowlims
Print important attributes of a glyph_row structure.
Takes one argument, a pointer to a glyph_row structure.
end

define pmtxrows
  set $mtx = $arg0
  set $gl = $mtx->rows
  set $glend = $mtx->rows + $mtx->nrows - 1
  set $i = 0
  while ($gl < $glend)
    printf "%d: ", $i
    prowlims $gl
    set $gl = $gl + 1
    set $i = $i + 1
  end
end
document pmtxrows
Print data about glyph rows in a glyph matrix.
Takes one argument, a pointer to a glyph_matrix structure.
end

define xtype
  xgettype $
  output $type
  echo \n
  if $type == Lisp_Misc
    xmisctype
  else
    if $type == Lisp_Vectorlike
      xvectype
    end
  end
end
document xtype
Print the type of $, assuming it is an Emacs Lisp value.
If the first type printed is Lisp_Vector or Lisp_Misc,
a second line gives the more precise type.
end

define xvectype
  xgetptr $
  set $size = ((struct Lisp_Vector *) $ptr)->header.size
  if ($size & PSEUDOVECTOR_FLAG)
    output (enum pvec_type) (($size & PVEC_TYPE_MASK) >> PSEUDOVECTOR_SIZE_BITS)
  else
    output $size & ~ARRAY_MARK_FLAG
  end
  echo \n
end
document xvectype
Print the size or vector subtype of $.
This command assumes that $ is a vector or pseudovector.
end

define xmisctype
  xgetptr $
  output (enum Lisp_Misc_Type) (((struct Lisp_Free *) $ptr)->type)
  echo \n
end
document xmisctype
Assume that $ is some misc type and print its specific type.
end

define xint
  xgetint $
  print $int
end
document xint
Print $ as an Emacs Lisp integer.  This gets the sign right.
end

define xptr
  xgetptr $
  print (void *) $ptr
end
document xptr
Print the pointer portion of an Emacs Lisp value in $.
end

define xmarker
  xgetptr $
  print (struct Lisp_Marker *) $ptr
end
document xmarker
Print $ as a marker pointer.
This command assumes that $ is an Emacs Lisp marker value.
end

define xoverlay
  xgetptr $
  print (struct Lisp_Overlay *) $ptr
end
document xoverlay
Print $ as a overlay pointer.
This command assumes that $ is an Emacs Lisp overlay value.
end

define xmiscfree
  xgetptr $
  print (struct Lisp_Free *) $ptr
end
document xmiscfree
Print $ as a misc free-cell pointer.
This command assumes that $ is an Emacs Lisp Misc value.
end

define xsymbol
  set $sym = $
  xgetptr $sym
  print (struct Lisp_Symbol *) $ptr
  xprintsym $sym
  echo \n
end
document xsymbol
Print the name and address of the symbol $.
This command assumes that $ is an Emacs Lisp symbol value.
end

define xstring
  xgetptr $
  print (struct Lisp_String *) $ptr
  xprintstr $
  echo \n
end
document xstring
Print the contents and address of the string $.
This command assumes that $ is an Emacs Lisp string value.
end

define xvector
  xgetptr $
  print (struct Lisp_Vector *) $ptr
  output ($->header.size > 50) ? 0 : ($->contents[0])@($->header.size & ~ARRAY_MARK_FLAG)
echo \n
end
document xvector
Print the contents and address of the vector $.
This command assumes that $ is an Emacs Lisp vector value.
end

define xprocess
  xgetptr $
  print (struct Lisp_Process *) $ptr
  output *$
  echo \n
end
document xprocess
Print the address of the struct Lisp_process to which $ points.
This command assumes that $ is a Lisp_Object.
end

define xframe
  xgetptr $
  print (struct frame *) $ptr
  xgetptr $->name
  set $ptr = (struct Lisp_String *) $ptr
  xprintstr $ptr
  echo \n
end
document xframe
Print $ as a frame pointer.
This command assumes $ is an Emacs Lisp frame value.
end

define xcompiled
  xgetptr $
  print (struct Lisp_Vector *) $ptr
  output ($->contents[1])@($->header.size & 0xff)
end
document xcompiled
Print $ as a compiled function pointer.
This command assumes that $ is an Emacs Lisp compiled value.
end

define xwindow
  xgetptr $
  print (struct window *) $ptr
  set $window = (struct window *) $ptr
  xgetint $window->total_cols
  set $width=$int
  xgetint $window->total_lines
  set $height=$int
  xgetint $window->left_col
  set $left=$int
  xgetint $window->top_line
  set $top=$int
  printf "%dx%d+%d+%d\n", $width, $height, $left, $top
end
document xwindow
Print $ as a window pointer, assuming it is an Emacs Lisp window value.
Print the window's position as "WIDTHxHEIGHT+LEFT+TOP".
end

define xwinconfig
  xgetptr $
  print (struct save_window_data *) $ptr
end
document xwinconfig
Print $ as a window configuration pointer.
This command assumes that $ is an Emacs Lisp window configuration value.
end

define xsubr
  xgetptr $
  print (struct Lisp_Subr *) $ptr
  output *$
  echo \n
end
document xsubr
Print the address of the subr which the Lisp_Object $ points to.
end

define xchartable
  xgetptr $
  print (struct Lisp_Char_Table *) $ptr
  printf "Purpose: "
  xprintsym $->purpose
  printf "  %d extra slots", ($->header.size & 0x1ff) - 68
  echo \n
end
document xchartable
Print the address of the char-table $, and its purpose.
This command assumes that $ is an Emacs Lisp char-table value.
end

define xsubchartable
  xgetptr $
  print (struct Lisp_Sub_Char_Table *) $ptr
  xgetint $->depth
  set $depth = $int
  xgetint $->min_char
  printf "Depth: %d, Min char: %d (0x%x)\n", $depth, $int, $int
end
document xsubchartable
Print the address of the sub-char-table $, its depth and min-char.
This command assumes that $ is an Emacs Lisp sub-char-table value.
end

define xboolvector
  xgetptr $
  print (struct Lisp_Bool_Vector *) $ptr
  output ($->size > 256) ? 0 : ($->data[0])@(($->size + BOOL_VECTOR_BITS_PER_CHAR - 1)/ BOOL_VECTOR_BITS_PER_CHAR)
  echo \n
end
document xboolvector
Print the contents and address of the bool-vector $.
This command assumes that $ is an Emacs Lisp bool-vector value.
end

define xbuffer
  xgetptr $
  print (struct buffer *) $ptr
  xgetptr $->name_
  output ((struct Lisp_String *) $ptr)->data
  echo \n
end
document xbuffer
Set $ as a buffer pointer and the name of the buffer.
This command assumes $ is an Emacs Lisp buffer value.
end

define xhashtable
  xgetptr $
  print (struct Lisp_Hash_Table *) $ptr
end
document xhashtable
Set $ as a hash table pointer.
This command assumes that $ is an Emacs Lisp hash table value.
end

define xcons
  xgetptr $
  print (struct Lisp_Cons *) $ptr
  output/x *$
  echo \n
end
document xcons
Print the contents of $ as an Emacs Lisp cons.
end

define nextcons
  p $.u.cdr
  xcons
end
document nextcons
Print the contents of the next cell in a list.
This command assumes that the last thing you printed was a cons cell contents
(type struct Lisp_Cons) or a pointer to one.
end
define xcar
  xgetptr $
  xgettype $
  print/x ($type == Lisp_Cons ? ((struct Lisp_Cons *) $ptr)->car : 0)
end
document xcar
Assume that $ is an Emacs Lisp pair and print its car.
end

define xcdr
  xgetptr $
  xgettype $
  print/x ($type == Lisp_Cons ? ((struct Lisp_Cons *) $ptr)->u.cdr : 0)
end
document xcdr
Assume that $ is an Emacs Lisp pair and print its cdr.
end

define xlist
  xgetptr $
  set $cons = (struct Lisp_Cons *) $ptr
  xgetptr Qnil
  set $nil = $ptr
  set $i = 0
  while $cons != $nil && $i < 10
    p/x $cons->car
    xpr
    xgetptr $cons->u.cdr
    set $cons = (struct Lisp_Cons *) $ptr
    set $i = $i + 1
    printf "---\n"
  end
  if $cons == $nil
    printf "nil\n"
  else
    printf "...\n"
    p $ptr
  end
end
document xlist
Print $ assuming it is a list.
end

define xfloat
  xgetptr $
  print ((struct Lisp_Float *) $ptr)->u.data
end
document xfloat
Print $ assuming it is a lisp floating-point number.
end

define xscrollbar
  xgetptr $
  print (struct scrollbar *) $ptr
output *$
echo \n
end
document xscrollbar
Print $ as a scrollbar pointer.
end

define xpr
  xtype
  if $type == Lisp_Int0 || $type == Lisp_Int1
    xint
  end
  if $type == Lisp_Symbol
    xsymbol
  end
  if $type == Lisp_String
    xstring
  end
  if $type == Lisp_Cons
    xcons
  end
  if $type == Lisp_Float
    xfloat
  end
  if $type == Lisp_Misc
    set $misc = (enum Lisp_Misc_Type) (((struct Lisp_Free *) $ptr)->type)
    if $misc == Lisp_Misc_Free
      xmiscfree
    end
    if $misc == Lisp_Misc_Marker
      xmarker
    end
    if $misc == Lisp_Misc_Overlay
      xoverlay
    end
#    if $misc == Lisp_Misc_Save_Value
#      xsavevalue
#    end
  end
  if $type == Lisp_Vectorlike
    set $size = ((struct Lisp_Vector *) $ptr)->header.size
    if ($size & PSEUDOVECTOR_FLAG)
      set $vec = (enum pvec_type) (($size & PVEC_TYPE_MASK) >> PSEUDOVECTOR_SIZE_BITS)
      if $vec == PVEC_NORMAL_VECTOR
	xvector
      end
      if $vec == PVEC_PROCESS
	xprocess
      end
      if $vec == PVEC_FRAME
	xframe
      end
      if $vec == PVEC_COMPILED
	xcompiled
      end
      if $vec == PVEC_WINDOW
	xwindow
      end
      if $vec == PVEC_WINDOW_CONFIGURATION
	xwinconfig
      end
      if $vec == PVEC_SUBR
	xsubr
      end
      if $vec == PVEC_CHAR_TABLE
	xchartable
      end
      if $vec == PVEC_BOOL_VECTOR
	xboolvector
      end
      if $vec == PVEC_BUFFER
	xbuffer
      end
      if $vec == PVEC_HASH_TABLE
	xhashtable
      end
    else
      xvector
    end
  end
end
document xpr
Print $ as a lisp object of any type.
end

define xprintstr
  set $data = (char *) $arg0->data
  output ($arg0->size > 1000) ? 0 : ($data[0])@($arg0->size_byte < 0 ? $arg0->size & ~ARRAY_MARK_FLAG : $arg0->size_byte)
end

define xprintsym
  xgetptr $arg0
  set $sym = (struct Lisp_Symbol *) $ptr
  xgetptr $sym->name
  set $sym_name = (struct Lisp_String *) $ptr
  xprintstr $sym_name
end
document xprintsym
  Print argument as a symbol.
end

define xcoding
  set $tmp = (struct Lisp_Hash_Table *) ((Vcoding_system_hash_table & VALMASK) | DATA_SEG_BITS)
  set $tmp = (struct Lisp_Vector *) (($tmp->key_and_value & VALMASK) | DATA_SEG_BITS)
  set $name = $tmp->contents[$arg0 * 2]
  print $name
  pr
  print $tmp->contents[$arg0 * 2 + 1]
  pr
end
document xcoding
  Print the name and attributes of coding system that has ID (argument).
end

define xcharset
  set $tmp = (struct Lisp_Hash_Table *) ((Vcharset_hash_table & VALMASK) | DATA_SEG_BITS)
  set $tmp = (struct Lisp_Vector *) (($tmp->key_and_value & VALMASK) | DATA_SEG_BITS)
  p $tmp->contents[charset_table[$arg0].hash_index * 2]
  pr
end
document xcharset
  Print the name of charset that has ID (argument).
end

define xfontset
  xgetptr $
  set $tbl = (struct Lisp_Char_Table *) $ptr
  print $tbl
  xgetint $tbl->extras[0]
  printf " ID:%d", $int
  xgettype $tbl->extras[1]
  xgetptr $tbl->extras[1]
  if $type == Lisp_String
    set $ptr = (struct Lisp_String *) $ptr
    printf " Name:"
    xprintstr $ptr
  else
    xgetptr $tbl->extras[2]
    set $ptr = (struct Lisp_Char_Table *) $ptr
    xgetptr $ptr->extras[1]
    set $ptr = (struct Lisp_String *) $ptr
    printf " Realized from:"
    xprintstr $ptr
  end
  echo \n
end

define xfont
  xgetptr $
  set $size = (((struct Lisp_Vector *) $ptr)->header.size & 0x1FF)
  if $size == FONT_SPEC_MAX
    print (struct font_spec *) $ptr
  else
    if $size == FONT_ENTITY_MAX
      print (struct font_entity *) $ptr
    else
      print (struct font *) $ptr
    end
  end
end
document xfont
Print $ assuming it is a list font (font-spec, font-entity, or font-object).
end

define xbacktrace
  set $bt = backtrace_list
  while $bt
    xgettype ($bt->function)
    if $type == Lisp_Symbol
      xprintsym ($bt->function)
      printf " (0x%x)\n", $bt->args
    else
      xgetptr $bt->function
      printf "0x%x ", $ptr
      if $type == Lisp_Vectorlike
	xgetptr ($bt->function)
        set $size = ((struct Lisp_Vector *) $ptr)->header.size
        if ($size & PSEUDOVECTOR_FLAG)
	  output (enum pvec_type) (($size & PVEC_TYPE_MASK) >> PSEUDOVECTOR_SIZE_BITS)
	else
	  output $size & ~ARRAY_MARK_FLAG
	end
      else
        printf "Lisp type %d", $type
      end
      echo \n
    end
    set $bt = $bt->next
  end
end
document xbacktrace
  Print a backtrace of Lisp function calls from backtrace_list.
  Set a breakpoint at Fsignal and call this to see from where
  an error was signaled.
end

define xprintbytestr
  set $data = (char *) $arg0->data
  printf "Bytecode: "
  output/u ($arg0->size > 1000) ? 0 : ($data[0])@($arg0->size_byte < 0 ? $arg0->size & ~ARRAY_MARK_FLAG : $arg0->size_byte)
end
document xprintbytestr
  Print a string of byte code.
end

define xwhichsymbols
  set $output_debug = print_output_debug_flag
  set print_output_debug_flag = 0
  call safe_debug_print (which_symbols ($arg0, $arg1))
  set print_output_debug_flag = $output_debug
end
document xwhichsymbols
  Print symbols which references a given lisp object
  either as its symbol value or symbol function.
  Call with two arguments: the lisp object and the
  maximum number of symbols referencing it to produce.
end

define xbytecode
  set $bt = byte_stack_list
  while $bt
    xgetptr $bt->byte_string
    set $ptr = (struct Lisp_String *) $ptr
    xprintbytestr $ptr
    printf "\n0x%x => ", $bt->byte_string
    xwhichsymbols $bt->byte_string 5
    set $bt = $bt->next
  end
end
document xbytecode
  Print a backtrace of the byte code stack.
end

# Show Lisp backtrace after normal backtrace.
define hookpost-backtrace
  set $bt = backtrace_list
  if $bt
    echo \n
    echo Lisp Backtrace:\n
    xbacktrace
  end
end

# Flush display (X only)
define ff
  set x_flush (0)
end
document ff
Flush pending X window display updates to screen.
Works only when an inferior emacs is executing.
end


set print pretty on
set print sevenbit-strings

show environment DISPLAY
show environment TERM

# When debugging, it is handy to be able to "return" from
# terminate_due_to_signal when an assertion failure is non-fatal.
break terminate_due_to_signal

# x_error_quitter is defined only on X.  But window-system is set up
# only at run time, during Emacs startup, so we need to defer setting
# the breakpoint.  init_sys_modes is the first function called on
# every platform after init_display, where window-system is set.
tbreak init_sys_modes
commands
  silent
  xgetptr globals.f_Vinitial_window_system
  set $tem = (struct Lisp_Symbol *) $ptr
  xgetptr $tem->name
  set $tem = (struct Lisp_String *) $ptr
  set $tem = (char *) $tem->data
  # If we are running in synchronous mode, we want a chance to look
  # around before Emacs exits.  Perhaps we should put the break
  # somewhere else instead...
  if $tem[0] == 'x' && $tem[1] == '\0'
    break x_error_quitter
  end
  continue
end
--8<---------------cut here---------------end--------------->8---

If it isn't good, could you point me to a correct .gdbinit file, or send me
yours?

> Nevertheless, given this part:
>
>> Breakpoint 3, Fload (file=60203985, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
>> 1048    in ../../repo/src/lread.c
>> $53 = 60203985
>> $54 = (struct Lisp_String *) 0x396a3d0
>> "org-loaddefs"
>> (gdb)
>> Continuing.
>> [Thread 3332.0xaf4 exited with code 0]
>> 
>> Breakpoint 3, Fload (file=59407297, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
>> 1048    in ../../repo/src/lread.c
>> $55 = 59407297
>> $56 = (struct Lisp_String *) 0x38a7bc0
>> "org"
>
> It is quite clear that org-loaddefs has something to do with the
> problem.  As I understand it, Bastien just fixed that in Org trunk.

Yes but, unfortunately, Bastien's patch did not solve the problem.

Best regards,
  Seb

[1] DEFINITION NOT FOUND: 0

-- 
Sebastien Vauban




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#15888; Package emacs,org-mode. Full text available.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 15 Nov 2013 08:42:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 15 03:42:50 2013
Received: from localhost ([127.0.0.1]:53970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VhEzJ-0002py-Md
	for submit <at> debbugs.gnu.org; Fri, 15 Nov 2013 03:42:50 -0500
Received: from mtaout22.012.net.il ([80.179.55.172]:59739)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VhEzG-0002pj-6m
 for 15888 <at> debbugs.gnu.org; Fri, 15 Nov 2013 03:42:47 -0500
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0MWA00500QRWP700@HIDDEN> for 15888 <at> debbugs.gnu.org;
 Fri, 15 Nov 2013 10:42:39 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MWA005TYQV2IL50@HIDDEN>;
 Fri, 15 Nov 2013 10:42:39 +0200 (IST)
Date: Fri, 15 Nov 2013 10:42:23 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
In-reply-to: <868uwqxeoj.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Sebastien Vauban <sva-news@HIDDEN>
Message-id: <83iovuhx8w.fsf@HIDDEN>
References: <868uws6lgt.fsf@HIDDEN>
 <mailman.6013.1384380609.10748.bug-gnu-emacs@HIDDEN>
 <864n7f7u8d.fsf@HIDDEN>
 <mailman.6027.1384398545.10748.bug-gnu-emacs@HIDDEN>
 <8638myzu9t.fsf@HIDDEN> <83siuyiyq4.fsf@HIDDEN>
 <868uwqxeoj.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15888
Cc: michael_heerdegen@HIDDEN, rgm@HIDDEN, 15888 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: "Sebastien Vauban" <sva-news@HIDDEN>
> Cc: rgm@HIDDEN,  michael_heerdegen@HIDDEN,  15888 <at> debbugs.gnu.org
> Date: Fri, 15 Nov 2013 09:16:44 +0100
> 
> >  (gdb) break Fload
> >  (gdb) commands
> >    > p file
> >    > xstring
> >    > end
> >  (gdb) r -Q
> >
> > Now, when the breakpoint breaks, you will see which file is being
> > loaded, and need just type "c RET" (or just "RET" after the first
> > time), and wait for "org-mode" to show in the output of the above
> > commands; then type "bt" to see who loaded it.
> 
> Here it is.

Thanks.

Unfortunately, this:

> (gdb) No symbol "backtrace_list" in current context.

(whose reason I don't really understand) means that the Lisp backtrace
is absent from your data.  Nevertheless, given this part:

> Breakpoint 3, Fload (file=60203985, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
> 1048    in ../../repo/src/lread.c
> $53 = 60203985
> $54 = (struct Lisp_String *) 0x396a3d0
> "org-loaddefs"
> (gdb)
> Continuing.
> [Thread 3332.0xaf4 exited with code 0]
> 
> Breakpoint 3, Fload (file=59407297, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
> 1048    in ../../repo/src/lread.c
> $55 = 59407297
> $56 = (struct Lisp_String *) 0x38a7bc0
> "org"

It is quite clear that org-loaddefs has something to do with the
problem.  As I understand it, Bastien just fixed that in Org trunk.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#15888; Package emacs,org-mode. Full text available.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 15 Nov 2013 08:34:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 15 03:34:04 2013
Received: from localhost ([127.0.0.1]:53951 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VhEqp-0002cj-BP
	for submit <at> debbugs.gnu.org; Fri, 15 Nov 2013 03:34:04 -0500
Received: from dd5e0353a.access.telenet.be ([213.224.53.58]:48973
 helo=mail.missioncriticalit.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sva-news@HIDDEN>) id 1VhEqm-0002cF-6r
 for 15888 <at> debbugs.gnu.org; Fri, 15 Nov 2013 03:34:00 -0500
Received: from MUNDANEUM.i-did-not-set--mail-host-address--so-tickle-me
 (unknown [10.10.10.51])
 by mail.missioncriticalit.com (Postfix) with ESMTPS id 2A51250092E;
 Fri, 15 Nov 2013 09:36:30 +0100 (CET)
From: "Sebastien Vauban" <sva-news@HIDDEN>
To: Bastien <bzg@HIDDEN>
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
Organization: Sebastien Vauban
References: <868uws6lgt.fsf@HIDDEN>
 <mailman.6013.1384380609.10748.bug-gnu-emacs@HIDDEN>
 <864n7f7u8d.fsf@HIDDEN>
 <mailman.6027.1384398545.10748.bug-gnu-emacs@HIDDEN>
 <8638myzu9t.fsf@HIDDEN> <3238myfxsn.fsf@HIDDEN>
 <87y54qdwvh.fsf@HIDDEN>
X-Url: Under construction...
X-Archive: encrypt
Date: Fri, 15 Nov 2013 09:33:34 +0100
In-Reply-To: <87y54qdwvh.fsf@HIDDEN> (Bastien's message of "Fri, 15 Nov
 2013 07:04:02 +0100")
Message-ID: <86wqkavzc1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 15888
Cc: michael_heerdegen@HIDDEN, Glenn Morris <rgm@HIDDEN>, 15888 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

Bastien wrote:
> Glenn Morris <rgm@HIDDEN> writes:
>> "Sebastien Vauban" wrote:
>>
>>> Where is the black magic?
>>
>> Somewhere in the labyrinthine depths of Org, so I suggest you ask the
>> Org maintainers to figure out why:
>>
>> emacs -Q -L /path/to/git/org-mode/lisp
>> (with-eval-after-load "org"
>>   (message "Eval this when Org is loaded")
>>   (sit-for 3)
>>   (message ""))
>> (require 'org)
>>
>> ends up loading org twice.
>
> I fixed this by removing any use of `org-autoload', which looked like
> code smell to me.
>
> This is in Org 8.2.3c, which I just released.
>
> S=C3=A9bastien, can you confirmed this?

I updated, made the autoloads, and rerun my test.

Conclusion: it does not solve it.

See http://screencast.com/t/JlbEBkonN.

Best regards,
  Seb

--=20
Sebastien Vauban




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#15888; Package emacs,org-mode. Full text available.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 15 Nov 2013 08:17:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 15 03:17:22 2013
Received: from localhost ([127.0.0.1]:53907 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VhEac-00013p-Ua
	for submit <at> debbugs.gnu.org; Fri, 15 Nov 2013 03:17:22 -0500
Received: from dd5e0353a.access.telenet.be ([213.224.53.58]:57818
 helo=mail.missioncriticalit.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sva-news@HIDDEN>) id 1VhEaV-00013U-0e
 for 15888 <at> debbugs.gnu.org; Fri, 15 Nov 2013 03:17:15 -0500
Received: from MUNDANEUM.i-did-not-set--mail-host-address--so-tickle-me
 (unknown [10.10.10.51])
 by mail.missioncriticalit.com (Postfix) with ESMTPS id 2C1A5500B35;
 Fri, 15 Nov 2013 09:19:40 +0100 (CET)
From: "Sebastien Vauban" <sva-news@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
Organization: Sebastien Vauban
References: <868uws6lgt.fsf@HIDDEN>
 <mailman.6013.1384380609.10748.bug-gnu-emacs@HIDDEN>
 <864n7f7u8d.fsf@HIDDEN>
 <mailman.6027.1384398545.10748.bug-gnu-emacs@HIDDEN>
 <8638myzu9t.fsf@HIDDEN> <83siuyiyq4.fsf@HIDDEN>
X-Url: Under construction...
X-Archive: encrypt
Date: Fri, 15 Nov 2013 09:16:44 +0100
In-Reply-To: <83siuyiyq4.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 14 Nov
 2013 21:12:51 +0200")
Message-ID: <868uwqxeoj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 15888
Cc: michael_heerdegen@HIDDEN, rgm@HIDDEN, 15888 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

Eli Zaretskii wrote:
>> From: "Sebastien Vauban" <sva-news@HIDDEN>
>> Date: Thu, 14 Nov 2013 19:57:02 +0100
>> Cc: 15888 <at> debbugs.gnu.org
>> 
>> 0. Copy the minimal configuration in the clipboard
>> 1. Go into C:/Program Files/emacs-trunk/bin/
>> 2. Launch emacs -Q
>> 3. Paste the minimal configuration in the scratch buffer
>> 4. Eval it
>> 5. Open one random Org file (~/Public/Repositories/worg/ChangeLog.org)
>> 6. Look at the echo area
>> 7. Check in the Messages buffer -> block has been executed twice!
>> 
>> See http://screencast.com/t/pfWMZStlb23Z.
>> 
>> I do not see where extra `load' instructions could stay hidden (and out of my
>> mind) by applying this recipe.
>> 
>> Where is the black magic?
>
> Instead of wondering, run all this under GDB, after putting a
> breakpoint at Fload, and see whodunit.
>
> Since 'load' is potentially called many times during startup, I
> suggest the following setup:
>
>  (gdb) break Fload
>  (gdb) commands
>    > p file
>    > xstring
>    > end
>  (gdb) r -Q
>
> Now, when the breakpoint breaks, you will see which file is being
> loaded, and need just type "c RET" (or just "RET" after the first
> time), and wait for "org-mode" to show in the output of the above
> commands; then type "bt" to see who loaded it.

Here it is.

$ gdb -p 12788
GNU gdb (GDB) 7.6.50.20130728-cvs (cygwin-special)
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-pc-cygwin".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word".

Attaching to process 12788
[New Thread 12788.0x396c]
[New Thread 12788.0x2a78]
[New Thread 12788.0x25ec]
Reading symbols from /cygdrive/c/Program Files (x86)/emacs-trunk/bin/emacs...done.
Warning: /cygdrive/c/Program Files (x86)/emacs-trunk/bin/../lwlib: No such file or directory.
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
Environment variable "DISPLAY" not defined.
TERM = xterm-256color
Breakpoint 1 at 0x10e1819: file ../../repo/src/emacs.c, line 349.
Temporary breakpoint 2 at 0x1104806: file ../../repo/src/sysdep.c, line 846.
(gdb) break Fload
Breakpoint 3 at 0x119c210: file ../../repo/src/lread.c, line 1044.
(gdb) commands
Type commands for breakpoint(s) 3, one per line.
End with a line saying just "end".
>p file
>xstring
>end
(gdb) r -Q
The program being debugged has been started already.
Start it from the beginning? (y or n) y
Starting program: /cygdrive/c/Program Files (x86)/emacs-trunk/bin/emacs -Q
[New Thread 3332.0x1bfc]
[New Thread 3332.0xaf4]
[New Thread 3332.0xca4]

Breakpoint 3, Fload (file=59406449, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    ../../repo/src/lread.c: No such file or directory.
$1 = 59406449
$2 = (struct Lisp_String *) 0x38a7870
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/subdirs.el"
(gdb) c
Continuing.

Breakpoint 3, Fload (file=60206689, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$3 = 60206689
$4 = (struct Lisp_String *) 0x396ae60
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/vc/subdirs.el"
(gdb)
Continuing.

Breakpoint 3, Fload (file=60206625, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$5 = 60206625
$6 = (struct Lisp_String *) 0x396ae20
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/url/subdirs.el"
(gdb)
Continuing.

Breakpoint 3, Fload (file=60206577, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$7 = 60206577
$8 = (struct Lisp_String *) 0x396adf0
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/textmodes/subdirs.el"
(gdb)
Continuing.

Breakpoint 3, Fload (file=60206529, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$9 = 60206529
$10 = (struct Lisp_String *) 0x396adc0
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/progmodes/subdirs.el"
(gdb)
Continuing.

Breakpoint 3, Fload (file=60206481, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$11 = 60206481
$12 = (struct Lisp_String *) 0x396ad90
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/play/subdirs.el"
(gdb)
Continuing.

Breakpoint 3, Fload (file=60206433, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$13 = 60206433
$14 = (struct Lisp_String *) 0x396ad60
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/org/subdirs.el"
(gdb)
Continuing.

Breakpoint 3, Fload (file=60206385, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$15 = 60206385
$16 = (struct Lisp_String *) 0x396ad30
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/nxml/subdirs.el"
(gdb)
Continuing.

Breakpoint 3, Fload (file=60206337, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$17 = 60206337
$18 = (struct Lisp_String *) 0x396ad00
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/net/subdirs.el"
(gdb)
Continuing.

Breakpoint 3, Fload (file=60206289, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$19 = 60206289
$20 = (struct Lisp_String *) 0x396acd0
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/mh-e/subdirs.el"
(gdb)
Continuing.

Breakpoint 3, Fload (file=60206241, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$21 = 60206241
$22 = (struct Lisp_String *) 0x396aca0
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/mail/subdirs.el"
(gdb)
Continuing.

Breakpoint 3, Fload (file=60206193, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$23 = 60206193
$24 = (struct Lisp_String *) 0x396ac70
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/language/subdirs.el"
(gdb)
Continuing.
[New Thread 3332.0x1da4]

Breakpoint 3, Fload (file=60206145, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$25 = 60206145
$26 = (struct Lisp_String *) 0x396ac40
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/international/subdirs.el"
(gdb)
Continuing.

Breakpoint 3, Fload (file=60206097, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$27 = 60206097
$28 = (struct Lisp_String *) 0x396ac10
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/gnus/subdirs.el"
(gdb)
Continuing.

Breakpoint 3, Fload (file=60204961, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$29 = 60204961
$30 = (struct Lisp_String *) 0x396a7a0
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/eshell/subdirs.el"
(gdb)
Continuing.

Breakpoint 3, Fload (file=60204881, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$31 = 60204881
$32 = (struct Lisp_String *) 0x396a750
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/erc/subdirs.el"
(gdb)
Continuing.

Breakpoint 3, Fload (file=60204833, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$33 = 60204833
$34 = (struct Lisp_String *) 0x396a720
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/emulation/subdirs.el"
(gdb)
Continuing.

Breakpoint 3, Fload (file=60204785, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$35 = 60204785
$36 = (struct Lisp_String *) 0x396a6f0
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/emacs-lisp/subdirs.el"
(gdb)
Continuing.

Breakpoint 3, Fload (file=60204737, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$37 = 60204737
$38 = (struct Lisp_String *) 0x396a6c0
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/cedet/subdirs.el"
(gdb)
Continuing.

Breakpoint 3, Fload (file=60204689, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$39 = 60204689
$40 = (struct Lisp_String *) 0x396a690
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/calendar/subdirs.el"
(gdb)
Continuing.

Breakpoint 3, Fload (file=60204641, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$41 = 60204641
$42 = (struct Lisp_String *) 0x396a660
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/calc/subdirs.el"
(gdb)
Continuing.

Breakpoint 3, Fload (file=60204593, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$43 = 60204593
$44 = (struct Lisp_String *) 0x396a630
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/lisp/obsolete/subdirs.el"
(gdb)
Continuing.

Breakpoint 3, Fload (file=60204545, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$45 = 60204545
$46 = (struct Lisp_String *) 0x396a600
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/leim/subdirs.el"
(gdb)
Continuing.

Breakpoint 3, Fload (file=60204497, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$47 = 60204497
$48 = (struct Lisp_String *) 0x396a5d0
"c:/Program Files (x86)/emacs-trunk/share/emacs/24.3.50/leim/leim-list.el"
(gdb)
Continuing.
[New Thread 3332.0x359c]

Breakpoint 3, Fload (file=58307153, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$49 = 58307153
$50 = (struct Lisp_String *) 0x379b250
"international/uni-mirrored.el"
(gdb)
Continuing.

Breakpoint 3, Fload (file=19674481, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$51 = 19674481
$52 = (struct Lisp_String *) 0x12c3570 <pure+396720>
"time-date"
(gdb)
Continuing.
[1]  + done       ./emacs -Q

Breakpoint 3, Fload (file=60203985, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$53 = 60203985
$54 = (struct Lisp_String *) 0x396a3d0
"org-loaddefs"
(gdb)
Continuing.
[Thread 3332.0xaf4 exited with code 0]

Breakpoint 3, Fload (file=59407297, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$55 = 59407297
$56 = (struct Lisp_String *) 0x38a7bc0
"org"
(gdb) bt
#0  Fload (file=59407297, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
#1  0x01170c23 in Fautoload_do_load (fundef=59971502, funname=59360402, macro_only=57608218) at ../../repo/src/eval.c:1960
#2  0x01172b29 in Ffuncall (nargs=1, args=0x88dacc) at ../../repo/src/eval.c:2869
#3  0x011b2b73 in exec_byte_code (bytestr=19482545, vector=19482565, maxdepth=20, args_template=2052, nargs=2, args=0x88de20) at ../../repo/src/bytecode.c:919
#4  0x01172fd2 in funcall_lambda (fun=19482525, nargs=2, arg_vector=0x88de18) at ../../repo/src/eval.c:2973
#5  0x01172a2c in Ffuncall (nargs=3, args=0x88de14) at ../../repo/src/eval.c:2854
#6  0x011b2b73 in exec_byte_code (bytestr=19481929, vector=19481949, maxdepth=64, args_template=1024, nargs=0, args=0x88e158) at ../../repo/src/bytecode.c:919
#7  0x01172fd2 in funcall_lambda (fun=19481909, nargs=0, arg_vector=0x88e158) at ../../repo/src/eval.c:2973
#8  0x01172a2c in Ffuncall (nargs=1, args=0x88e154) at ../../repo/src/eval.c:2854
#9  0x011b2b73 in exec_byte_code (bytestr=19340929, vector=19476845, maxdepth=4, args_template=0, nargs=0, args=0x88e484) at ../../repo/src/bytecode.c:919
#10 0x01172fd2 in funcall_lambda (fun=19476821, nargs=0, arg_vector=0x88e484) at ../../repo/src/eval.c:2973
#11 0x01172a2c in Ffuncall (nargs=1, args=0x88e480) at ../../repo/src/eval.c:2854
#12 0x01171358 in eval_sub (form=61528558) at ../../repo/src/eval.c:2147
#13 0x0116f5e1 in internal_lisp_condition_case (var=59761506, bodyform=61528558, handlers=61528606) at ../../repo/src/eval.c:1313
#14 0x011b3ab3 in exec_byte_code (bytestr=19476721, vector=19476741, maxdepth=28, args_template=1024, nargs=1, args=0x88e950) at ../../repo/src/bytecode.c:1169
#15 0x01172fd2 in funcall_lambda (fun=19476693, nargs=1, arg_vector=0x88e94c) at ../../repo/src/eval.c:2973
#16 0x01172a2c in Ffuncall (nargs=2, args=0x88e948) at ../../repo/src/eval.c:2854
#17 0x011b2b73 in exec_byte_code (bytestr=19476041, vector=19476061, maxdepth=44, args_template=5120, nargs=2, args=0x88ec9c) at ../../repo/src/bytecode.c:919
#18 0x01172fd2 in funcall_lambda (fun=19476021, nargs=2, arg_vector=0x88ec94) at ../../repo/src/eval.c:2973
#19 0x01172a2c in Ffuncall (nargs=3, args=0x88ec90) at ../../repo/src/eval.c:2854
#20 0x011b2b73 in exec_byte_code (bytestr=19474929, vector=19474949, maxdepth=76, args_template=6168, nargs=6, args=0x88f018) at ../../repo/src/bytecode.c:919
#21 0x01172fd2 in funcall_lambda (fun=19474909, nargs=6, arg_vector=0x88f000) at ../../repo/src/eval.c:2973
#22 0x01172a2c in Ffuncall (nargs=7, args=0x88effc) at ../../repo/src/eval.c:2854
#23 0x011b2b73 in exec_byte_code (bytestr=19474121, vector=19474141, maxdepth=72, args_template=4100, nargs=4, args=0x88f350) at ../../repo/src/bytecode.c:919
#24 0x01172fd2 in funcall_lambda (fun=19474101, nargs=4, arg_vector=0x88f340) at ../../repo/src/eval.c:2973
#25 0x01172a2c in Ffuncall (nargs=5, args=0x88f33c) at ../../repo/src/eval.c:2854
#26 0x011b2b73 in exec_byte_code (bytestr=19471009, vector=19471029, maxdepth=28, args_template=2052, nargs=2, args=0x88f66c) at ../../repo/src/bytecode.c:919
#27 0x01172fd2 in funcall_lambda (fun=19470981, nargs=2, arg_vector=0x88f664) at ../../repo/src/eval.c:2973
#28 0x01172a2c in Ffuncall (nargs=3, args=0x88f660) at ../../repo/src/eval.c:2854
#29 0x01171d51 in Fapply (nargs=2, args=0x88f6e4) at ../../repo/src/eval.c:2344
#30 0x01172286 in apply1 (fn=59454114, arg=61504622) at ../../repo/src/eval.c:2578
#31 0x0116a66a in Fcall_interactively (function=59454114, record_flag=57608218, keys=57629557) at ../../repo/src/callint.c:378
#32 0x01172845 in Ffuncall (nargs=4, args=0x88f91c) at ../../repo/src/eval.c:2812
#33 0x011b2b73 in exec_byte_code (bytestr=19731689, vector=19731709, maxdepth=52, args_template=4100, nargs=1, args=0x88fc60) at ../../repo/src/bytecode.c:919
#34 0x01172fd2 in funcall_lambda (fun=19731669, nargs=1, arg_vector=0x88fc5c) at ../../repo/src/eval.c:2973
#35 0x01172a2c in Ffuncall (nargs=2, args=0x88fc58) at ../../repo/src/eval.c:2854
#36 0x011722db in call1 (fn=57650066, arg1=59454114) at ../../repo/src/eval.c:2604
#37 0x010e5a68 in command_loop_1 () at ../../repo/src/keyboard.c:1551
#38 0x0116f6ec in internal_condition_case (bfun=0x10e5407 <command_loop_1>, handlers=57658634, hfun=0x10e4c6f <cmd_error>) at ../../repo/src/eval.c:1344
#39 0x010e50bc in command_loop_2 (ignore=57608218) at ../../repo/src/keyboard.c:1169
#40 0x0116ec99 in internal_catch (tag=57648538, func=0x10e5098 <command_loop_2>, arg=57608218) at ../../repo/src/eval.c:1108
#41 0x010e5074 in command_loop () at ../../repo/src/keyboard.c:1148
#42 0x010e480c in recursive_edit_1 () at ../../repo/src/keyboard.c:776
#43 0x010e49c8 in Frecursive_edit () at ../../repo/src/keyboard.c:840
#44 0x010e2c33 in main (argc=2, argv=0xd52ff0) at ../../repo/src/emacs.c:1594
(gdb) No symbol "backtrace_list" in current context.
c
Continuing.
[New Thread 3332.0x36e0]

Breakpoint 3, Fload (file=19323553, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$57 = 19323553
$58 = (struct Lisp_String *) 0x126daa0 <pure+45792>
"cl"
(gdb)
Continuing.

Breakpoint 3, Fload (file=19336225, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$59 = 19336225
$60 = (struct Lisp_String *) 0x1270c20 <pure+58464>
"cl-lib"
(gdb)
Continuing.

Breakpoint 3, Fload (file=61320705, noerror=59276794, nomessage=59370338, nosuffix=57608218, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$61 = 61320705
$62 = (struct Lisp_String *) 0x3a7ae00
"cl-loaddefs"
(gdb)
Continuing.

Breakpoint 3, Fload (file=19578129, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$63 = 19578129
$64 = (struct Lisp_String *) 0x12abd10 <pure+300368>
"calendar"
(gdb)
Continuing.

Breakpoint 3, Fload (file=84775809, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$65 = 84775809
$66 = (struct Lisp_String *) 0x50d9380
"cal-loaddefs"
(gdb)
Continuing.

Breakpoint 3, Fload (file=84775905, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$67 = 84775905
$68 = (struct Lisp_String *) 0x50d93e0
"cal-menu"
(gdb)
Continuing.

Breakpoint 3, Fload (file=19589313, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$69 = 19589313
$70 = (struct Lisp_String *) 0x12ae8c0 <pure+311552>
"easymenu"
(gdb)
Continuing.

Breakpoint 3, Fload (file=19607121, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$71 = 19607121
$72 = (struct Lisp_String *) 0x12b2e50 <pure+329360>
"find-func"
(gdb)
Continuing.

Breakpoint 3, Fload (file=61759777, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$73 = 61759777
$74 = (struct Lisp_String *) 0x3ae6120
"format-spec"
(gdb)
Continuing.

Breakpoint 3, Fload (file=61424065, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$75 = 61424065
$76 = (struct Lisp_String *) 0x3a941c0
"org-loaddefs.el"
(gdb)
Continuing.

Breakpoint 3, Fload (file=58088785, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$77 = 58088785
$78 = (struct Lisp_String *) 0x3765d50
"org-macs"
(gdb)
Continuing.

Breakpoint 3, Fload (file=61841809, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$79 = 61841809
$80 = (struct Lisp_String *) 0x3afa190
"org-compat"
(gdb)
Continuing.

Breakpoint 3, Fload (file=19570417, noerror=57719290, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$81 = 19570417
$82 = (struct Lisp_String *) 0x12a9ef0 <pure+292656>
"advice"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85304081, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$83 = 85304081
$84 = (struct Lisp_String *) 0x515a310
"help-fns"
(gdb)
Continuing.

Breakpoint 3, Fload (file=58287457, noerror=57719290, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$85 = 58287457
$86 = (struct Lisp_String *) 0x3796560
"cl-macs"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85518769, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$87 = 85518769
$88 = (struct Lisp_String *) 0x518e9b0
"gv"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85416657, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$89 = 85416657
$90 = (struct Lisp_String *) 0x5175ad0
"ob-emacs-lisp"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85429969, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$91 = 85429969
$92 = (struct Lisp_String *) 0x5178ed0
"ob"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85439089, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$93 = 85439089
$94 = (struct Lisp_String *) 0x517b270
"ob-eval"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85394529, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$95 = 85394529
$96 = (struct Lisp_String *) 0x5170460
"ob-core"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85708305, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$97 = 85708305
$98 = (struct Lisp_String *) 0x51bce10
"ob-comint"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85706561, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$99 = 85706561
$100 = (struct Lisp_String *) 0x51bc740
"comint"
(gdb)
Continuing.

Breakpoint 3, Fload (file=19662529, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$101 = 19662529
$102 = (struct Lisp_String *) 0x12c06c0 <pure+384768>
"ring"
(gdb)
Continuing.

Breakpoint 3, Fload (file=19571857, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$103 = 19571857
$104 = (struct Lisp_String *) 0x12aa490 <pure+294096>
"ansi-color"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85519329, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$105 = 85519329
$106 = (struct Lisp_String *) 0x518ebe0
"ob-exp"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85729329, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$107 = 85729329
$108 = (struct Lisp_String *) 0x51c2030
"ob-keys"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85869521, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$109 = 85869521
$110 = (struct Lisp_String *) 0x51e43d0
"ob-table"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85887777, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$111 = 85887777
$112 = (struct Lisp_String *) 0x51e8b20
"ob-lob"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85909009, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$113 = 85909009
$114 = (struct Lisp_String *) 0x51ede10
"ob-ref"
(gdb)
Continuing.

Breakpoint 3, Fload (file=58504497, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$115 = 58504497
$116 = (struct Lisp_String *) 0x37cb530
"ob-tangle"
(gdb)
Continuing.

Breakpoint 3, Fload (file=58503441, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$117 = 58503441
$118 = (struct Lisp_String *) 0x37cb110
"org-src"
(gdb)
Continuing.

Breakpoint 3, Fload (file=19589065, noerror=57719290, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$119 = 19589065
$120 = (struct Lisp_String *) 0x12ae7c8 <pure+311304>
"easy-mmode"
(gdb)
Continuing.

Breakpoint 3, Fload (file=84834561, noerror=59276794, nomessage=57608242, nosuffix=57608218, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$121 = 84834561
$122 = (struct Lisp_String *) 0x50e7900
"d:/Users/fni/Public/Repositories/org-mode/lisp/org-version.el"
(gdb)
Continuing.

Breakpoint 3, Fload (file=19317113, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$123 = 19317113
$124 = (struct Lisp_String *) 0x126c178 <pure+39352>
"outline"
(gdb)
Continuing.

Breakpoint 3, Fload (file=57996177, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$125 = 57996177
$126 = (struct Lisp_String *) 0x374f390
"org-entities"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85829089, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$127 = 85829089
$128 = (struct Lisp_String *) 0x51da5e0
"org-faces"
(gdb)
Continuing.

Breakpoint 3, Fload (file=86342225, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$129 = 86342225
$130 = (struct Lisp_String *) 0x5257a50
"org-list"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85804689, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$131 = 85804689
$132 = (struct Lisp_String *) 0x51d4690
"org-pcomplete"
(gdb)
Continuing.

Breakpoint 3, Fload (file=19651153, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$133 = 19651153
$134 = (struct Lisp_String *) 0x12bda50 <pure+373392>
"pcomplete"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85395073, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$135 = 85395073
$136 = (struct Lisp_String *) 0x5170680
"org-footnote"
(gdb)
Continuing.

Breakpoint 3, Fload (file=57723569, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$137 = 57723569
$138 = (struct Lisp_String *) 0x370cab0
"org-element"
(gdb)
Continuing.

Breakpoint 3, Fload (file=84745553, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$139 = 84745553
$140 = (struct Lisp_String *) 0x50d1d50
"org"
(gdb) bt
#0  Fload (file=84745553, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
#1  0x0117d707 in Frequire (feature=58087146, filename=57608218, noerror=57608218) at ../../repo/src/fns.c:2637
#2  0x011714b6 in eval_sub (form=85105918) at ../../repo/src/eval.c:2181
#3  0x0119dfbd in readevalloop (readcharfun=61193221, stream=0x0, sourcename=60341313, printflag=false, unibyte=57608218, readfun=57608218, start=57608218, end=57608218) at ../../repo/src/lread.c:1888
#4  0x0119e237 in Feval_buffer (buffer=61193221, printflag=57608218, filename=61845089, unibyte=57608218, do_allow_print=57608242) at ../../repo/src/lread.c:1949
#5  0x011728c4 in Ffuncall (nargs=6, args=0x88ac04) at ../../repo/src/eval.c:2821
#6  0x011b2b73 in exec_byte_code (bytestr=19372289, vector=19372309, maxdepth=24, args_template=57608218, nargs=0, args=0x0) at ../../repo/src/bytecode.c:919
#7  0x01173396 in funcall_lambda (fun=19372229, nargs=4, arg_vector=0x1279915 <pure+94549>) at ../../repo/src/eval.c:3039
#8  0x01172a2c in Ffuncall (nargs=5, args=0x88af3c) at ../../repo/src/eval.c:2854
#9  0x0117239b in call4 (fn=59276746, arg1=61845089, arg2=61845089, arg3=57608218, arg4=57608242) at ../../repo/src/eval.c:2653
#10 0x0119ca49 in Fload (file=57723569, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1294
#11 0x01170c23 in Fautoload_do_load (fundef=85088894, funname=61368898, macro_only=57608218) at ../../repo/src/eval.c:1960
#12 0x01171797 in eval_sub (form=85110998) at ../../repo/src/eval.c:2232
#13 0x0116d00c in Fprogn (body=85109414) at ../../repo/src/eval.c:458
#14 0x011711c6 in eval_sub (form=85109406) at ../../repo/src/eval.c:2123
#15 0x0116cd96 in Fif (args=85109390) at ../../repo/src/eval.c:409
#16 0x011711c6 in eval_sub (form=85109382) at ../../repo/src/eval.c:2123
#17 0x0116d00c in Fprogn (body=85109270) at ../../repo/src/eval.c:458
#18 0x01173301 in funcall_lambda (fun=85109294, nargs=2, arg_vector=0x88b938) at ../../repo/src/eval.c:3032
#19 0x01172aff in Ffuncall (nargs=3, args=0x88b934) at ../../repo/src/eval.c:2866
#20 0x011b2b73 in exec_byte_code (bytestr=19358281, vector=19358309, maxdepth=24, args_template=57608218, nargs=0, args=0x0) at ../../repo/src/bytecode.c:919
#21 0x011b1fc8 in Fbyte_code (bytestr=19358281, vector=19358309, maxdepth=24) at ../../repo/src/bytecode.c:482
#22 0x011714b6 in eval_sub (form=19358270) at ../../repo/src/eval.c:2181
#23 0x0116d00c in Fprogn (body=19358262) at ../../repo/src/eval.c:458
#24 0x0116f59e in internal_lisp_condition_case (var=57608218, bodyform=19358230, handlers=19358246) at ../../repo/src/eval.c:1302
#25 0x011b3ab3 in exec_byte_code (bytestr=19358193, vector=19358213, maxdepth=12, args_template=57608218, nargs=0, args=0x0) at ../../repo/src/bytecode.c:1169
#26 0x01173396 in funcall_lambda (fun=19358173, nargs=2, arg_vector=0x1276205 <pure+80453>) at ../../repo/src/eval.c:3039
#27 0x01172a2c in Ffuncall (nargs=3, args=0x88c064) at ../../repo/src/eval.c:2854
#28 0x011b2b73 in exec_byte_code (bytestr=19359417, vector=19359437, maxdepth=20, args_template=57608218, nargs=0, args=0x0) at ../../repo/src/bytecode.c:919
#29 0x01173396 in funcall_lambda (fun=19359381, nargs=11, arg_vector=0x12766cd <pure+81677>) at ../../repo/src/eval.c:3039
#30 0x01172cf1 in apply_lambda (fun=19359381, args=85109198) at ../../repo/src/eval.c:2914
#31 0x011716cf in eval_sub (form=85109206) at ../../repo/src/eval.c:2220
#32 0x0119dfbd in readevalloop (readcharfun=57631237, stream=0x0, sourcename=84763153, printflag=false, unibyte=57608218, readfun=57608218, start=57608218, end=57608218) at ../../repo/src/lread.c:1888
#33 0x0119e237 in Feval_buffer (buffer=57631237, printflag=57608218, filename=58086321, unibyte=57608218, do_allow_print=57608242) at ../../repo/src/lread.c:1949
#34 0x011728c4 in Ffuncall (nargs=6, args=0x88c5e4) at ../../repo/src/eval.c:2821
#35 0x011b2b73 in exec_byte_code (bytestr=19372289, vector=19372309, maxdepth=24, args_template=57608218, nargs=0, args=0x0) at ../../repo/src/bytecode.c:919
#36 0x01173396 in funcall_lambda (fun=19372229, nargs=4, arg_vector=0x1279915 <pure+94549>) at ../../repo/src/eval.c:3039
#37 0x01172a2c in Ffuncall (nargs=5, args=0x88c91c) at ../../repo/src/eval.c:2854
#38 0x0117239b in call4 (fn=59276746, arg1=58086321, arg2=58086321, arg3=57608218, arg4=57608242) at ../../repo/src/eval.c:2653
#39 0x0119ca49 in Fload (file=85395073, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1294
#40 0x0117d707 in Frequire (feature=86400770, filename=57608218, noerror=57608218) at ../../repo/src/fns.c:2637
#41 0x011714b6 in eval_sub (form=84851598) at ../../repo/src/eval.c:2181
#42 0x0119dfbd in readevalloop (readcharfun=61190661, stream=0x0, sourcename=58304881, printflag=false, unibyte=57608218, readfun=57608218, start=57608218, end=57608218) at ../../repo/src/lread.c:1888
#43 0x0119e237 in Feval_buffer (buffer=61190661, printflag=57608218, filename=58290449, unibyte=57608218, do_allow_print=57608242) at ../../repo/src/lread.c:1949
#44 0x011728c4 in Ffuncall (nargs=6, args=0x88d124) at ../../repo/src/eval.c:2821
#45 0x011b2b73 in exec_byte_code (bytestr=19372289, vector=19372309, maxdepth=24, args_template=57608218, nargs=0, args=0x0) at ../../repo/src/bytecode.c:919
#46 0x01173396 in funcall_lambda (fun=19372229, nargs=4, arg_vector=0x1279915 <pure+94549>) at ../../repo/src/eval.c:3039
#47 0x01172a2c in Ffuncall (nargs=5, args=0x88d45c) at ../../repo/src/eval.c:2854
#48 0x0117239b in call4 (fn=59276746, arg1=58290449, arg2=58290449, arg3=57608218, arg4=57608242) at ../../repo/src/eval.c:2653
#49 0x0119ca49 in Fload (file=59407297, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1294
#50 0x01170c23 in Fautoload_do_load (fundef=59971502, funname=59360402, macro_only=57608218) at ../../repo/src/eval.c:1960
#51 0x01172b29 in Ffuncall (nargs=1, args=0x88dacc) at ../../repo/src/eval.c:2869
#52 0x011b2b73 in exec_byte_code (bytestr=19482545, vector=19482565, maxdepth=20, args_template=2052, nargs=2, args=0x88de20) at ../../repo/src/bytecode.c:919
#53 0x01172fd2 in funcall_lambda (fun=19482525, nargs=2, arg_vector=0x88de18) at ../../repo/src/eval.c:2973
#54 0x01172a2c in Ffuncall (nargs=3, args=0x88de14) at ../../repo/src/eval.c:2854
#55 0x011b2b73 in exec_byte_code (bytestr=19481929, vector=19481949, maxdepth=64, args_template=1024, nargs=0, args=0x88e158) at ../../repo/src/bytecode.c:919
#56 0x01172fd2 in funcall_lambda (fun=19481909, nargs=0, arg_vector=0x88e158) at ../../repo/src/eval.c:2973
#57 0x01172a2c in Ffuncall (nargs=1, args=0x88e154) at ../../repo/src/eval.c:2854
#58 0x011b2b73 in exec_byte_code (bytestr=19340929, vector=19476845, maxdepth=4, args_template=0, nargs=0, args=0x88e484) at ../../repo/src/bytecode.c:919
#59 0x01172fd2 in funcall_lambda (fun=19476821, nargs=0, arg_vector=0x88e484) at ../../repo/src/eval.c:2973
#60 0x01172a2c in Ffuncall (nargs=1, args=0x88e480) at ../../repo/src/eval.c:2854
#61 0x01171358 in eval_sub (form=61528558) at ../../repo/src/eval.c:2147
#62 0x0116f5e1 in internal_lisp_condition_case (var=59761506, bodyform=61528558, handlers=61528606) at ../../repo/src/eval.c:1313
#63 0x011b3ab3 in exec_byte_code (bytestr=19476721, vector=19476741, maxdepth=28, args_template=1024, nargs=1, args=0x88e950) at ../../repo/src/bytecode.c:1169
#64 0x01172fd2 in funcall_lambda (fun=19476693, nargs=1, arg_vector=0x88e94c) at ../../repo/src/eval.c:2973
#65 0x01172a2c in Ffuncall (nargs=2, args=0x88e948) at ../../repo/src/eval.c:2854
#66 0x011b2b73 in exec_byte_code (bytestr=19476041, vector=19476061, maxdepth=44, args_template=5120, nargs=2, args=0x88ec9c) at ../../repo/src/bytecode.c:919
#67 0x01172fd2 in funcall_lambda (fun=19476021, nargs=2, arg_vector=0x88ec94) at ../../repo/src/eval.c:2973
#68 0x01172a2c in Ffuncall (nargs=3, args=0x88ec90) at ../../repo/src/eval.c:2854
#69 0x011b2b73 in exec_byte_code (bytestr=19474929, vector=19474949, maxdepth=76, args_template=6168, nargs=6, args=0x88f018) at ../../repo/src/bytecode.c:919
#70 0x01172fd2 in funcall_lambda (fun=19474909, nargs=6, arg_vector=0x88f000) at ../../repo/src/eval.c:2973
#71 0x01172a2c in Ffuncall (nargs=7, args=0x88effc) at ../../repo/src/eval.c:2854
#72 0x011b2b73 in exec_byte_code (bytestr=19474121, vector=19474141, maxdepth=72, args_template=4100, nargs=4, args=0x88f350) at ../../repo/src/bytecode.c:919
#73 0x01172fd2 in funcall_lambda (fun=19474101, nargs=4, arg_vector=0x88f340) at ../../repo/src/eval.c:2973
#74 0x01172a2c in Ffuncall (nargs=5, args=0x88f33c) at ../../repo/src/eval.c:2854
#75 0x011b2b73 in exec_byte_code (bytestr=19471009, vector=19471029, maxdepth=28, args_template=2052, nargs=2, args=0x88f66c) at ../../repo/src/bytecode.c:919
#76 0x01172fd2 in funcall_lambda (fun=19470981, nargs=2, arg_vector=0x88f664) at ../../repo/src/eval.c:2973
#77 0x01172a2c in Ffuncall (nargs=3, args=0x88f660) at ../../repo/src/eval.c:2854
#78 0x01171d51 in Fapply (nargs=2, args=0x88f6e4) at ../../repo/src/eval.c:2344
#79 0x01172286 in apply1 (fn=59454114, arg=61504622) at ../../repo/src/eval.c:2578
#80 0x0116a66a in Fcall_interactively (function=59454114, record_flag=57608218, keys=57629557) at ../../repo/src/callint.c:378
#81 0x01172845 in Ffuncall (nargs=4, args=0x88f91c) at ../../repo/src/eval.c:2812
#82 0x011b2b73 in exec_byte_code (bytestr=19731689, vector=19731709, maxdepth=52, args_template=4100, nargs=1, args=0x88fc60) at ../../repo/src/bytecode.c:919
#83 0x01172fd2 in funcall_lambda (fun=19731669, nargs=1, arg_vector=0x88fc5c) at ../../repo/src/eval.c:2973
#84 0x01172a2c in Ffuncall (nargs=2, args=0x88fc58) at ../../repo/src/eval.c:2854
#85 0x011722db in call1 (fn=57650066, arg1=59454114) at ../../repo/src/eval.c:2604
#86 0x010e5a68 in command_loop_1 () at ../../repo/src/keyboard.c:1551
#87 0x0116f6ec in internal_condition_case (bfun=0x10e5407 <command_loop_1>, handlers=57658634, hfun=0x10e4c6f <cmd_error>) at ../../repo/src/eval.c:1344
#88 0x010e50bc in command_loop_2 (ignore=57608218) at ../../repo/src/keyboard.c:1169
#89 0x0116ec99 in internal_catch (tag=57648538, func=0x10e5098 <command_loop_2>, arg=57608218) at ../../repo/src/eval.c:1108
#90 0x010e5074 in command_loop () at ../../repo/src/keyboard.c:1148
#91 0x010e480c in recursive_edit_1 () at ../../repo/src/keyboard.c:776
#92 0x010e49c8 in Frecursive_edit () at ../../repo/src/keyboard.c:840
#93 0x010e2c33 in main (argc=2, argv=0xd52ff0) at ../../repo/src/emacs.c:1594
(gdb) No symbol "backtrace_list" in current context.
c
Continuing.
[Thread 3332.0x1da4 exited with code 0]
[Thread 3332.0x36e0 exited with code 0]

Breakpoint 3, Fload (file=85379153, noerror=57608242, nomessage=57608242, nosuffix=57608242, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$141 = 85379153
$142 = (struct Lisp_String *) 0x516c850
"org-loaddefs.el"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85395073, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$143 = 85395073
$144 = (struct Lisp_String *) 0x5170680
"org-footnote"
(gdb)
Continuing.

Breakpoint 3, Fload (file=86322673, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$145 = 86322673
$146 = (struct Lisp_String *) 0x5252df0
"org-macro"
(gdb)
Continuing.

Breakpoint 3, Fload (file=19586161, noerror=57719290, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$147 = 19586161
$148 = (struct Lisp_String *) 0x12adc70 <pure+308400>
"derived"
(gdb)
Continuing.

Breakpoint 3, Fload (file=19593929, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$149 = 19593929
$150 = (struct Lisp_String *) 0x12afac8 <pure+316168>
"edmacro"
(gdb)
Continuing.

Breakpoint 3, Fload (file=86298833, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$151 = 86298833
$152 = (struct Lisp_String *) 0x524d0d0
"kmacro"
(gdb)
Continuing.

Breakpoint 3, Fload (file=19576985, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$153 = 19576985
$154 = (struct Lisp_String *) 0x12ab898 <pure+299224>
"bytecomp"
(gdb)
Continuing.

Breakpoint 3, Fload (file=87603537, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$155 = 87603537
$156 = (struct Lisp_String *) 0x538b950
"cconv"
(gdb)
Continuing.

Breakpoint 3, Fload (file=87161185, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$157 = 87161185
$158 = (struct Lisp_String *) 0x531f960
"byte-opt"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85909105, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$159 = 85909105
$160 = (struct Lisp_String *) 0x51ede70
"org-w3m"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85909089, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$161 = 85909089
$162 = (struct Lisp_String *) 0x51ede60
"org-bbdb"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85909073, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$163 = 85909073
$164 = (struct Lisp_String *) 0x51ede50
"org-bibtex"
(gdb)
Continuing.

Breakpoint 3, Fload (file=89318081, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$165 = 89318081
$166 = (struct Lisp_String *) 0x552e2c0
"bibtex"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85909057, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$167 = 85909057
$168 = (struct Lisp_String *) 0x51ede40
"org-docview"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85909041, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$169 = 85909041
$170 = (struct Lisp_String *) 0x51ede30
"org-gnus"
(gdb)
Continuing.

Breakpoint 3, Fload (file=89992321, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$171 = 89992321
$172 = (struct Lisp_String *) 0x55d2c80
"gnus-util"
(gdb)
Continuing.

Breakpoint 3, Fload (file=87460545, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$173 = 87460545
$174 = (struct Lisp_String *) 0x5368ac0
"gnus-sum"
(gdb)
Continuing.

Breakpoint 3, Fload (file=19610417, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$175 = 19610417
$176 = (struct Lisp_String *) 0x12b3b30 <pure+332656>
"gnus"
(gdb)
Continuing.

Breakpoint 3, Fload (file=86630865, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$177 = 86630865
$178 = (struct Lisp_String *) 0x529e1d0
"wid-edit"
(gdb)
Continuing.

Breakpoint 3, Fload (file=88225537, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$179 = 88225537
$180 = (struct Lisp_String *) 0x5423700
"mm-util"
(gdb)
Continuing.

Breakpoint 3, Fload (file=87229761, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$181 = 87229761
$182 = (struct Lisp_String *) 0x5330540
"mail-prsvr"
(gdb)
Continuing.

Breakpoint 3, Fload (file=86630801, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$183 = 86630801
$184 = (struct Lisp_String *) 0x529e190
"nnheader"
(gdb)
Continuing.

Breakpoint 3, Fload (file=90923985, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$185 = 90923985
$186 = (struct Lisp_String *) 0x56b63d0
"mail-utils"
(gdb)
Continuing.

Breakpoint 3, Fload (file=91153713, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$187 = 91153713
$188 = (struct Lisp_String *) 0x56ee530
"gnus-ems"
(gdb)
Continuing.

Breakpoint 3, Fload (file=89575921, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$189 = 89575921
$190 = (struct Lisp_String *) 0x556d1f0
"gnus-group"
(gdb)
Continuing.

Breakpoint 3, Fload (file=88990961, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$191 = 88990961
$192 = (struct Lisp_String *) 0x54de4f0
"gnus-start"
(gdb)
Continuing.

Breakpoint 3, Fload (file=90006545, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$193 = 90006545
$194 = (struct Lisp_String *) 0x55d6410
"gnus-win"
(gdb)
Continuing.

Breakpoint 3, Fload (file=87428353, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$195 = 87428353
$196 = (struct Lisp_String *) 0x5360d00
"gnus-int"
(gdb)
Continuing.

Breakpoint 3, Fload (file=19302545, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$197 = 19302545
$198 = (struct Lisp_String *) 0x1268890 <pure+24784>
"message"
(gdb)
Continuing.

Breakpoint 3, Fload (file=87176337, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$199 = 87176337
$200 = (struct Lisp_String *) 0x5323490
"mailheader"
(gdb)
Continuing.

Breakpoint 3, Fload (file=87428273, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$201 = 87428273
$202 = (struct Lisp_String *) 0x5360cb0
"gmm-utils"
(gdb)
Continuing.

Breakpoint 3, Fload (file=86657825, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$203 = 86657825
$204 = (struct Lisp_String *) 0x52a4b20
"mailabbrev"
(gdb)
Continuing.

Breakpoint 3, Fload (file=86657745, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$205 = 86657745
$206 = (struct Lisp_String *) 0x52a4ad0
"mail-parse"
(gdb)
Continuing.

Breakpoint 3, Fload (file=88446241, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$207 = 88446241
$208 = (struct Lisp_String *) 0x5459520
"ietf-drums"
(gdb)
Continuing.

Breakpoint 3, Fload (file=88446177, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$209 = 88446177
$210 = (struct Lisp_String *) 0x54594e0
"rfc2231"
(gdb)
Continuing.

Breakpoint 3, Fload (file=88446145, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$211 = 88446145
$212 = (struct Lisp_String *) 0x54594c0
"rfc2047"
(gdb)
Continuing.

Breakpoint 3, Fload (file=88446001, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$213 = 88446001
$214 = (struct Lisp_String *) 0x5459430
"rfc2045"
(gdb)
Continuing.

Breakpoint 3, Fload (file=86657729, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$215 = 86657729
$216 = (struct Lisp_String *) 0x52a4ac0
"mml"
(gdb)
Continuing.

Breakpoint 3, Fload (file=91246961, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$217 = 91246961
$218 = (struct Lisp_String *) 0x5705170
"mm-bodies"
(gdb)
Continuing.

Breakpoint 3, Fload (file=91246913, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$219 = 91246913
$220 = (struct Lisp_String *) 0x5705140
"mm-encode"
(gdb)
Continuing.

Breakpoint 3, Fload (file=87428241, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$221 = 87428241
$222 = (struct Lisp_String *) 0x5360c90
"mm-decode"
(gdb)
Continuing.

Breakpoint 3, Fload (file=91246833, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$223 = 91246833
$224 = (struct Lisp_String *) 0x57050f0
"mml-sec"
(gdb)
Continuing.

Breakpoint 3, Fload (file=86657601, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$225 = 86657601
$226 = (struct Lisp_String *) 0x52a4a40
"rfc822"
(gdb)
Continuing.

Breakpoint 3, Fload (file=89578097, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$227 = 89578097
$228 = (struct Lisp_String *) 0x556da70
"idna"
(gdb)
Continuing.

Breakpoint 3, Fload (file=87428369, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$229 = 87428369
$230 = (struct Lisp_String *) 0x5360d10
"gnus-range"
(gdb)
Continuing.

Breakpoint 3, Fload (file=87428385, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$231 = 87428385
$232 = (struct Lisp_String *) 0x5360d20
"gnus-spec"
(gdb)
Continuing.

Breakpoint 3, Fload (file=88774593, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$233 = 88774593
$234 = (struct Lisp_String *) 0x54a97c0
"nnmail"
(gdb)
Continuing.

Breakpoint 3, Fload (file=91363537, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$235 = 91363537
$236 = (struct Lisp_String *) 0x57218d0
"mail-source"
(gdb)
Continuing.

Breakpoint 3, Fload (file=87428337, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$237 = 87428337
$238 = (struct Lisp_String *) 0x5360cf0
"gnus-undo"
(gdb)
Continuing.

Breakpoint 3, Fload (file=87428193, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$239 = 87428193
$240 = (struct Lisp_String *) 0x5360c60
"nnoo"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85909025, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$241 = 85909025
$242 = (struct Lisp_String *) 0x51ede20
"org-info"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85908993, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$243 = 85908993
$244 = (struct Lisp_String *) 0x51ede00
"org-irc"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85908977, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$245 = 85908977
$246 = (struct Lisp_String *) 0x51eddf0
"org-mhe"
(gdb)
Continuing.

Breakpoint 3, Fload (file=85908961, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608242) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$247 = 85908961
$248 = (struct Lisp_String *) 0x51edde0
"org-rmail"
(gdb)
Continuing.

Breakpoint 3, Fload (file=19685425, noerror=57608218, nomessage=57608242, nosuffix=57608218, must_suffix=57608218) at ../../repo/src/lread.c:1048
1048    in ../../repo/src/lread.c
$249 = 19685425
$250 = (struct Lisp_String *) 0x12c6030 <pure+407664>
"vc-git"
(gdb)
Continuing.
[New Thread 3332.0x31b4]
[Thread 3332.0x31b4 exited with code 1]
[New Thread 3332.0x828]
[Thread 3332.0x828 exited with code 1]
[New Thread 3332.0x269c]
[Thread 3332.0x269c exited with code 1]
[New Thread 3332.0x1f84]
[Thread 3332.0x1f84 exited with code 1]

Best regards,
  Seb

-- 
Sebastien Vauban




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#15888; Package emacs,org-mode. Full text available.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 15 Nov 2013 06:04:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 15 01:04:28 2013
Received: from localhost ([127.0.0.1]:53774 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VhCW4-0003rz-13
	for submit <at> debbugs.gnu.org; Fri, 15 Nov 2013 01:04:28 -0500
Received: from dd5e0353a.access.telenet.be ([213.224.53.58]:47714
 helo=mail.missioncriticalit.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sva-news@HIDDEN>) id 1VhCW2-0003rm-Hx
 for 15888 <at> debbugs.gnu.org; Fri, 15 Nov 2013 01:04:27 -0500
Received: from MUNDANEUM.i-did-not-set--mail-host-address--so-tickle-me
 (unknown [10.10.4.62])
 by mail.missioncriticalit.com (Postfix) with ESMTPS id 85F8B500530;
 Fri, 15 Nov 2013 07:06:55 +0100 (CET)
From: "Sebastien Vauban" <sva-news@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
Organization: Sebastien Vauban
References: <868uws6lgt.fsf@HIDDEN>
 <CANdFEAEdD1rKvXOwi+ktROSqYXTGg3tbEgTd-hHe10Zfa7YbsQ@HIDDEN>
 <oofvqygzwk.fsf@HIDDEN>
X-Url: Under construction...
X-Archive: encrypt
Date: Fri, 15 Nov 2013 07:04:02 +0100
In-Reply-To: <oofvqygzwk.fsf@HIDDEN> (Glenn Morris's message of
 "Thu, 14 Nov 2013 21:30:19 -0500")
Message-ID: <86ob5mxktp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 15888
Cc: Josh <josh@HIDDEN>, 15888 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

Glenn Morris wrote:
> It's nothing to do with eval-after-load. Same result with:
>
> emacs -Q -L /path/to/org/git/lisp \
>    --eval '(setq org-load-hook (lambda () (message "LOADED") (sit-for 3) (message "")))'
>
> Then (require 'org). It is some peculiarity of Org trunk.

I'll do ask this on Org ML, and I'll make the test of Eli anyway.

But I wonder: how can you now reproduce it (and not before)?

Best regards,
  Seb

-- 
Sebastien Vauban




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#15888; Package emacs,org-mode. Full text available.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 15 Nov 2013 06:04:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 15 01:04:15 2013
Received: from localhost ([127.0.0.1]:53771 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VhCVq-0003rY-F7
	for submit <at> debbugs.gnu.org; Fri, 15 Nov 2013 01:04:14 -0500
Received: from mail-wg0-f50.google.com ([74.125.82.50]:50235)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <bastienguerry@HIDDEN>) id 1VhCVn-0003rI-GA
 for 15888 <at> debbugs.gnu.org; Fri, 15 Nov 2013 01:04:12 -0500
Received: by mail-wg0-f50.google.com with SMTP id k14so3120929wgh.29
 for <15888 <at> debbugs.gnu.org>; Thu, 14 Nov 2013 22:04:05 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version:content-type:content-transfer-encoding;
 bh=4IYXYwemBd5JsBxzmorTRpl1mUufM5NUSoW8HkFZBe8=;
 b=pGPaOSsY1EqIMDJ7wkXwq/SCLduyIRcJmlfFYm80w5lSzKfGPr4LXVrGHYju36QVUT
 7plYoghEtYqKAR6hA+A2CYRBamAQa1cd0PlBTAM5VJP2oJDwaGOomtUPwxscVSCw53mo
 3CxdyHVJjrJ7G7SatUhKWUoTeZ8m3FeGiTZgcZiOg3m0zMDks5hXUm8E/qTCdYZVXDvp
 6s0jZF9X860eEqVFtIhNf942QXC1vXvoLI0qbB4O1EVdRF/Cw1Ih0FOsLJnUNuHTPUOV
 HGRBCA9nxiqN5VOR/829UCDS/5nlLlZOZ+iLiTo7lVdEknwJGGPuvoa99zxnF8w4t/Zo
 4fhQ==
X-Received: by 10.194.57.243 with SMTP id l19mr500674wjq.54.1384495445700;
 Thu, 14 Nov 2013 22:04:05 -0800 (PST)
Received: from bzg.localdomain (mar75-2-81-56-68-112.fbx.proxad.net.
 [81.56.68.112])
 by mx.google.com with ESMTPSA id ey4sm1681329wic.11.2013.11.14.22.04.03
 for <multiple recipients>
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 14 Nov 2013 22:04:04 -0800 (PST)
Received: by bzg.localdomain (Postfix, from userid 1000)
 id 71AFE1C20182; Fri, 15 Nov 2013 07:04:02 +0100 (CET)
From: Bastien <bzg@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
In-Reply-To: <3238myfxsn.fsf@HIDDEN> (Glenn Morris's message of
 "Thu, 14 Nov 2013 17:01:12 -0500")
References: <868uws6lgt.fsf@HIDDEN>
 <mailman.6013.1384380609.10748.bug-gnu-emacs@HIDDEN>
 <864n7f7u8d.fsf@HIDDEN>
 <mailman.6027.1384398545.10748.bug-gnu-emacs@HIDDEN>
 <8638myzu9t.fsf@HIDDEN> <3238myfxsn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
Date: Fri, 15 Nov 2013 07:04:02 +0100
Message-ID: <87y54qdwvh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 15888
Cc: Sebastien Vauban <sva-news@HIDDEN>, michael_heerdegen@HIDDEN,
 15888 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Glenn Morris <rgm@HIDDEN> writes:

> "Sebastien Vauban" wrote:
>
>> Where is the black magic?
>
> Somewhere in the labyrinthine depths of Org, so I suggest you ask the
> Org maintainers to figure out why:
>
> emacs -Q -L /path/to/git/org-mode/lisp
> (with-eval-after-load "org"
>   (message "Eval this when Org is loaded")
>   (sit-for 3)
>   (message ""))
> (require 'org)
>
> ends up loading org twice.

I fixed this by removing any use of `org-autoload', which looked like
code smell to me.

This is in Org 8.2.3c, which I just released.

Sébastien, can you confirmed this?

-- 
 Bastien




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#15888; Package emacs,org-mode. Full text available.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 15 Nov 2013 02:30:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 14 21:30:25 2013
Received: from localhost ([127.0.0.1]:52895 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vh9Au-0005ti-SZ
	for submit <at> debbugs.gnu.org; Thu, 14 Nov 2013 21:30:25 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:52826 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1Vh9Aq-0005tS-NH
 for 15888 <at> debbugs.gnu.org; Thu, 14 Nov 2013 21:30:21 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1Vh9Ap-0007cZ-Sz; Thu, 14 Nov 2013 21:30:19 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Josh <josh@HIDDEN>
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
References: <868uws6lgt.fsf@HIDDEN>
 <CANdFEAEdD1rKvXOwi+ktROSqYXTGg3tbEgTd-hHe10Zfa7YbsQ@HIDDEN>
X-Spook: spy USCOI sweep Mantis Sears Tower George W. Bush NSA
X-Ran: X;R/B)$+0_GjPtr!m^zv]8XKNKlBR(-qD;=\3\7T3[7>50N<R1hjahO_>b9>FnOeapdG%@
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 14 Nov 2013 21:30:19 -0500
In-Reply-To: <CANdFEAEdD1rKvXOwi+ktROSqYXTGg3tbEgTd-hHe10Zfa7YbsQ@HIDDEN>
 (josh@HIDDEN's message of "Thu, 14 Nov 2013 16:06:58 -0800")
Message-ID: <oofvqygzwk.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 15888
Cc: Sebastien Vauban <sva-news@HIDDEN>, 15888 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


It's nothing to do with eval-after-load. Same result with:

emacs -Q -L /path/to/org/git/lisp \
   --eval '(setq org-load-hook (lambda () (message "LOADED") (sit-for 3) (message "")))'

Then (require 'org). It is some peculiarity of Org trunk.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#15888; Package emacs,org-mode. Full text available.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 15 Nov 2013 00:07:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 14 19:07:38 2013
Received: from localhost ([127.0.0.1]:52813 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vh6wj-0002Lg-Ug
	for submit <at> debbugs.gnu.org; Thu, 14 Nov 2013 19:07:38 -0500
Received: from mail-wg0-f42.google.com ([74.125.82.42]:62509)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jlf@HIDDEN>) id 1Vh6wg-0002LP-TH
 for 15888 <at> debbugs.gnu.org; Thu, 14 Nov 2013 19:07:35 -0500
Received: by mail-wg0-f42.google.com with SMTP id k14so1471983wgh.1
 for <15888 <at> debbugs.gnu.org>; Thu, 14 Nov 2013 16:07:29 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc:content-type;
 bh=WMguds5BKRt4GDzwolL/D1P4YIYiELzw5SRUCkcdDYM=;
 b=hbuw1Ko/hCVlBfk51NoEsdqqNflrTUBjNTaeKtdu+gTyzyord8aK8JsJSHDyY3mHbg
 ieRfuCK+4qL3ThPn1AqZyWoeRZlegOSlOIBAdsjClQeH84BpuMxKQ56Y1+W8254xWBer
 0r99woqB1o86JU+zAzHxJ+SgYTl5Ot84WH74/kH2osm/aoyWNvvZ++swN4hwF9BczKll
 NA1CYasv0i8CJbGYzMz1fHo9ZfbbaMJUBvU+ojy6MgubTgPCor+74QJg8mD1cRcS5JzG
 N9F4rfBsI20AA3B6Q0DhaZZbquisPh2EmavhBnPgvMTT7L07anIMxDKU390jjrBgsLxg
 Tq6Q==
X-Gm-Message-State: ALoCoQm53hhID+jk3tqKh2Xy/wK3RWeBVCINTd9n+spnUiEiOTED+kpjL1Irfu5h/GPP6dpD27d6
X-Received: by 10.180.84.97 with SMTP id x1mr5194499wiy.12.1384474049041; Thu,
 14 Nov 2013 16:07:29 -0800 (PST)
MIME-Version: 1.0
Received: by 10.194.24.7 with HTTP; Thu, 14 Nov 2013 16:06:58 -0800 (PST)
In-Reply-To: <868uws6lgt.fsf@HIDDEN>
References: <868uws6lgt.fsf@HIDDEN>
From: Josh <josh@HIDDEN>
Date: Thu, 14 Nov 2013 16:06:58 -0800
X-Google-Sender-Auth: gUpEB4Xaypn_cNA5g7eISvaSdog
Message-ID: <CANdFEAEdD1rKvXOwi+ktROSqYXTGg3tbEgTd-hHe10Zfa7YbsQ@HIDDEN>
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
To: Sebastien Vauban <sva-news@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 15888
Cc: 15888 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Wed, Nov 13, 2013 at 1:27 PM, Sebastien Vauban
<sva-news@HIDDEN> wrote:
> (with-eval-after-load "org"
>   (message "Eval this when Org is loaded")
>   (sit-for 3)
>   (message ""))
>
> the code block in the `with-eval-after-load' is eval'ed twice whenever an Org
> file is loaded.

Have you checked to see what happens if you specify 'org (a symbol
designating a feature) rather than "org" (a string representing a
file name) above?




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#15888; Package emacs,org-mode. Full text available.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 14 Nov 2013 22:01:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 14 17:01:16 2013
Received: from localhost ([127.0.0.1]:52758 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vh4yS-0007lc-5r
	for submit <at> debbugs.gnu.org; Thu, 14 Nov 2013 17:01:16 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:48656 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1Vh4yP-0007lU-NP
 for 15888 <at> debbugs.gnu.org; Thu, 14 Nov 2013 17:01:14 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1Vh4yO-0002Fo-Sp; Thu, 14 Nov 2013 17:01:12 -0500
From: Glenn Morris <rgm@HIDDEN>
To: "Sebastien Vauban" <sva-news@HIDDEN>
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
References: <868uws6lgt.fsf@HIDDEN>
 <mailman.6013.1384380609.10748.bug-gnu-emacs@HIDDEN>
 <864n7f7u8d.fsf@HIDDEN>
 <mailman.6027.1384398545.10748.bug-gnu-emacs@HIDDEN>
 <8638myzu9t.fsf@HIDDEN>
X-Spook: PGP Watergate AK-47 STARLAN defense information warfare
X-Ran: uYZ^+z!7}\[hDN|>Cko8"p^_)NcS:-s,C5B._F'zCs`/J3fU6=8{J6IaZr|8=ei.'Xu6wq
X-Hue: green
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 14 Nov 2013 17:01:12 -0500
In-Reply-To: <8638myzu9t.fsf@HIDDEN> (Sebastien Vauban's message of
 "Thu, 14 Nov 2013 19:57:02 +0100")
Message-ID: <3238myfxsn.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 15888
Cc: michael_heerdegen@HIDDEN, 15888 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

"Sebastien Vauban" wrote:

> Where is the black magic?

Somewhere in the labyrinthine depths of Org, so I suggest you ask the
Org maintainers to figure out why:

emacs -Q -L /path/to/git/org-mode/lisp
(with-eval-after-load "org"
  (message "Eval this when Org is loaded")
  (sit-for 3)
  (message ""))
(require 'org)

ends up loading org twice.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#15888; Package emacs,org-mode. Full text available.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 14 Nov 2013 19:13:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 14 14:13:19 2013
Received: from localhost ([127.0.0.1]:52574 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vh2Lu-0000JS-GN
	for submit <at> debbugs.gnu.org; Thu, 14 Nov 2013 14:13:18 -0500
Received: from mtaout22.012.net.il ([80.179.55.172]:48965)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Vh2Lr-0000JA-KD
 for 15888 <at> debbugs.gnu.org; Thu, 14 Nov 2013 14:13:17 -0500
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0MW900N00PBG5500@HIDDEN> for 15888 <at> debbugs.gnu.org;
 Thu, 14 Nov 2013 21:13:08 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MW900M2ZPDVOKE0@HIDDEN>;
 Thu, 14 Nov 2013 21:13:08 +0200 (IST)
Date: Thu, 14 Nov 2013 21:12:51 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
In-reply-to: <8638myzu9t.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Sebastien Vauban <sva-news@HIDDEN>
Message-id: <83siuyiyq4.fsf@HIDDEN>
References: <868uws6lgt.fsf@HIDDEN>
 <mailman.6013.1384380609.10748.bug-gnu-emacs@HIDDEN>
 <864n7f7u8d.fsf@HIDDEN>
 <mailman.6027.1384398545.10748.bug-gnu-emacs@HIDDEN>
 <8638myzu9t.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15888
Cc: michael_heerdegen@HIDDEN, rgm@HIDDEN, 15888 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: "Sebastien Vauban" <sva-news@HIDDEN>
> Date: Thu, 14 Nov 2013 19:57:02 +0100
> Cc: 15888 <at> debbugs.gnu.org
> 
> 0. Copy the minimal configuration in the clipboard
> 1. Go into C:/Program Files/emacs-trunk/bin/
> 2. Launch emacs -Q
> 3. Paste the minimal configuration in the scratch buffer
> 4. Eval it
> 5. Open one random Org file (~/Public/Repositories/worg/ChangeLog.org)
> 6. Look at the echo area
> 7. Check in the Messages buffer -> block has been executed twice!
> 
> See http://screencast.com/t/pfWMZStlb23Z.
> 
> I do not see where extra `load' instructions could stay hidden (and out of my
> mind) by applying this recipe.
> 
> Where is the black magic?

Instead of wondering, run all this under GDB, after putting a
breakpoint at Fload, and see whodunit.

Since 'load' is potentially called many times during startup, I
suggest the following setup:

 (gdb) break Fload
 (gdb) commands
   > p file
   > xstring
   > end
 (gdb) r -Q

Now, when the breakpoint breaks, you will see which file is being
loaded, and need just type "c RET" (or just "RET" after the first
time), and wait for "org-mode" to show in the output of the above
commands; then type "bt" to see who loaded it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15888; Package emacs. Full text available.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 14 Nov 2013 18:57:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 14 13:57:29 2013
Received: from localhost ([127.0.0.1]:52556 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vh26a-0007Df-Hn
	for submit <at> debbugs.gnu.org; Thu, 14 Nov 2013 13:57:28 -0500
Received: from dd5e0353a.access.telenet.be ([213.224.53.58]:48954
 helo=mail.missioncriticalit.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sva-news@HIDDEN>) id 1Vh26Y-0007DS-VJ
 for 15888 <at> debbugs.gnu.org; Thu, 14 Nov 2013 13:57:27 -0500
Received: from MUNDANEUM.i-did-not-set--mail-host-address--so-tickle-me
 (unknown [10.10.4.62])
 by mail.missioncriticalit.com (Postfix) with ESMTPS id 88FEF503A6F;
 Thu, 14 Nov 2013 19:59:55 +0100 (CET)
From: "Sebastien Vauban" <sva-news@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>, michael_heerdegen@HIDDEN
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
Organization: Sebastien Vauban
References: <868uws6lgt.fsf@HIDDEN>
 <mailman.6013.1384380609.10748.bug-gnu-emacs@HIDDEN>
 <864n7f7u8d.fsf@HIDDEN>
 <mailman.6027.1384398545.10748.bug-gnu-emacs@HIDDEN>
X-Url: Under construction...
X-Archive: encrypt
Date: Thu, 14 Nov 2013 19:57:02 +0100
Message-ID: <8638myzu9t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 15888
Cc: 15888 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

Glenn, Michael,

Glenn Morris wrote:
> "Sebastien Vauban" wrote:
>
>> So, the bug is that the block is eval'ed twice (not once as it should).
>
> OK, still can't reproduce it. Maybe you have an explicit (load "org")
> lying around somewhere, I don't know.

I don't understand why you would not be able to reproduce it. I really have
nothing special here.

Before (in the first exchanges of this thread), for firing up an minimal Emacs,
I did (in a shell):

--8<---------------cut here---------------start------------->8---
em
--8<---------------cut here---------------end--------------->8---

with:

--8<---------------cut here---------------start------------->8---
alias em=emacs-minimal
--8<---------------cut here---------------end--------------->8---

and `emacs-minimal' being a shell script:

--8<---------------cut here---------------start------------->8---
#!/bin/sh

# no init file
cmd="/cygdrive/c/Program\ Files\ \(x86\)/emacs-trunk/bin/emacs -q -l ~/.emacs-minimal.el $TESTEL"

echo "Launching '$cmd'..."
eval "$cmd"

echo "Exit status: $?"
--8<---------------cut here---------------end--------------->8---

Now, I even take the simplest approach:

0. Copy the minimal configuration in the clipboard
1. Go into C:/Program Files/emacs-trunk/bin/
2. Launch emacs -Q
3. Paste the minimal configuration in the scratch buffer
4. Eval it
5. Open one random Org file (~/Public/Repositories/worg/ChangeLog.org)
6. Look at the echo area
7. Check in the Messages buffer -> block has been executed twice!

See http://screencast.com/t/pfWMZStlb23Z.

I do not see where extra `load' instructions could stay hidden (and out of my
mind) by applying this recipe.

Where is the black magic?

Best regards,
  Seb

-- 
Sebastien Vauban




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15888; Package emacs. Full text available.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 14 Nov 2013 03:08:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 13 22:08:43 2013
Received: from localhost ([127.0.0.1]:51056 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VgnIQ-00032W-TO
	for submit <at> debbugs.gnu.org; Wed, 13 Nov 2013 22:08:43 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:53118 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1VgnIP-00032P-GE
 for 15888 <at> debbugs.gnu.org; Wed, 13 Nov 2013 22:08:41 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1VgnIO-0003Lc-UG; Wed, 13 Nov 2013 22:08:40 -0500
From: Glenn Morris <rgm@HIDDEN>
To: "Sebastien Vauban" <sva-news@HIDDEN>
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
References: <868uws6lgt.fsf@HIDDEN>
 <mailman.6013.1384380609.10748.bug-gnu-emacs@HIDDEN>
 <864n7f7u8d.fsf@HIDDEN>
X-Spook: lynch radar JSOFC3IP Kennedy Afghanistan FTS2000 Saudi
X-Ran: Q1S|HI4Ds![,rMG<;!'02oW/XKVct>$6'-6\tl`w+Ny,B-%dZ8/7BP~<kk{WAd(O;Q]Nk$
X-Hue: yellow
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 13 Nov 2013 22:08:40 -0500
In-Reply-To: <864n7f7u8d.fsf@HIDDEN> (Sebastien Vauban's message of
 "Thu, 14 Nov 2013 00:33:06 +0100")
Message-ID: <01habf8ytj.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 15888
Cc: 15888 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

"Sebastien Vauban" wrote:

> So, the bug is that the block is eval'ed twice (not once as it should).

OK, still can't reproduce it. Maybe you have an explicit (load "org")
lying around somewhere, I don't know.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15888; Package emacs. Full text available.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 14 Nov 2013 02:14:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 13 21:14:16 2013
Received: from localhost ([127.0.0.1]:50984 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VgmRk-0001ho-A4
	for submit <at> debbugs.gnu.org; Wed, 13 Nov 2013 21:14:16 -0500
Received: from plane.gmane.org ([80.91.229.3]:46275)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <public@HIDDEN>) id 1VgmRh-0001hf-NT
 for 15888 <at> debbugs.gnu.org; Wed, 13 Nov 2013 21:14:14 -0500
Received: from public by plane.gmane.org with local (Exim 4.69)
 (envelope-from <public@HIDDEN>) id 1VgmRf-0001E9-UB
 for 15888 <at> debbugs.gnu.org; Thu, 14 Nov 2013 03:14:11 +0100
Received: from mout.web.de ([212.227.17.12])
 by plane.gmane.org with esmtp (Exim 4.69)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1VgmRX-000113-8G
 for public-15888-ubl+/3LiMTaZdePnXv/OxA@HIDDEN;
 Thu, 14 Nov 2013 03:14:03 +0100
Received: from drachen.dragon ([90.186.112.34]) by smtp.web.de (mrweb103) with
 ESMTPA (Nemesis) id 0MHGaV-1Vuknl2t1f-00E1jh for
 <15888-ubl+/3LiMTaZdePnXv/OxA@HIDDEN>; Thu, 14 Nov 2013 03:14:02
 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Sebastien Vauban <public-sva-news-D0wtAvR13HarG/iDocfnWg@HIDDEN>
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
References: <868uws6lgt.fsf@HIDDEN>
Date: Thu, 14 Nov 2013 03:13:51 +0100
In-Reply-To: <868uws6lgt.fsf@HIDDEN> (Sebastien Vauban's message of
 "Wed, 13 Nov 2013 22:27:46 +0100")
Message-ID: <878uwrspb4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:KuCfdxH5bQImGwTF8fGxvKa89TheWEzJnrL2oEzAjrbj/8zKI8R
 YZOhqn1uZPuJ8qnrkAti6cXL2jPaGmDNRF4lpjQMlgHn7h+hFk22I+qgaECaLPw5WiMbIUl
 OYM4w6w2uY5HT2LMsfHpm5GMcoilVb1IF4HTjkOvCvrRy2noIy2aIMQLFqRdleOTjqP8Vlf
 ZCI5GaX4VC1WF4aUWdHag==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 15888
Cc: public-15888-ubl+/3LiMTaZdePnXv/OxA@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)



Hi Sebastien,

> (with-eval-after-load "org"
>   (message "Eval this when Org is loaded")
>   (sit-for 3)
>   (message ""))
>
> the code block in the `with-eval-after-load' is eval'ed twice whenever an Org
> file is loaded.

Sorry, can't reproduce it, too.

Since you use my log mode: does it maybe say that org has been load
twice?  Are you sure your customization is not related (do you maybe
load org somewhere explicitly?).  Or, the other way round, is your
problem reproducible with emacs -Q?

(Sorry if your screencast answers one of these questions, I can't watch
it currently.)


Thanks,

Michael.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15888; Package emacs. Full text available.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 13 Nov 2013 23:33:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 13 18:33:33 2013
Received: from localhost ([127.0.0.1]:50828 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VgjwC-0006DC-FP
	for submit <at> debbugs.gnu.org; Wed, 13 Nov 2013 18:33:33 -0500
Received: from dd5e0353a.access.telenet.be ([213.224.53.58]:39534
 helo=mail.missioncriticalit.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sva-news@HIDDEN>) id 1Vgjw9-0006Cv-NZ
 for 15888 <at> debbugs.gnu.org; Wed, 13 Nov 2013 18:33:30 -0500
Received: from MUNDANEUM.i-did-not-set--mail-host-address--so-tickle-me
 (unknown [10.10.4.62])
 by mail.missioncriticalit.com (Postfix) with ESMTPS id 1A926503A18;
 Thu, 14 Nov 2013 00:35:58 +0100 (CET)
From: "Sebastien Vauban" <sva-news@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
Organization: Sebastien Vauban
References: <868uws6lgt.fsf@HIDDEN>
 <mailman.6013.1384380609.10748.bug-gnu-emacs@HIDDEN>
X-Url: Under construction...
X-Archive: encrypt
Date: Thu, 14 Nov 2013 00:33:06 +0100
In-Reply-To: <mailman.6013.1384380609.10748.bug-gnu-emacs@HIDDEN> (Glenn
 Morris's message of "Wed, 13 Nov 2013 17:08:59 -0500")
Message-ID: <864n7f7u8d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 15888
Cc: 15888 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

Glenn Morris wrote:
> I can't reproduce this, even if I copy lisp/org/* to
> ~/Public/Repositories/org-mode/testing (etc), directories which
> obviously I don't normally have.
>
> What does C-h v after-load-alist say (just the relevant entries)?

--8<---------------cut here---------------start------------->8---
Value: (("\\(\\`\\|/\\)org\\(\\.elc\\|\\.el\\)?\\(\\.gz\\)?\\'"
  (lambda nil
    (message "Eval this when Org is loaded")
    (sit-for 3)
    (message "")))
 ("\\(\\`\\|/\\)quail/Punct-b5\\(\\.elc\\|\\.el\\)?\\(\\.gz\\)?\\'"
  (lambda nil
    (quail-defrule " " 12288 nil t)))
 ("\\(\\`\\|/\\)quail/Punct\\(\\.elc\\|\\.el\\)?\\(\\.gz\\)?\\'"
  (lambda nil
    (quail-defrule " " 12288 nil t)))
 ("\\(\\`\\|/\\)quail/PY-b5\\(\\.elc\\|\\.el\\)?\\(\\.gz\\)?\\'"
  (lambda nil
    (quail-defrule "ling2" 9675 nil t)))
...
--8<---------------cut here---------------end--------------->8---

>> the code block in the `with-eval-after-load' is eval'ed twice whenever
>> an Org file is loaded.
>
> Did you really mean that?

Maybe I did not express myself correctly. I should have said "whichever" Org
file... It's like that with every Org file... but only for the first one in any
session.

> Ie C-x C-f foo.org; get message twice; C-x C-f bar.org, get message twice?
> Because I can't reproduce that at all.
> I get a message once the first time the _lisp library org_ is loaded in
> a session, not "whenever an Org file is loaded".

I get the message twice the first time an Org file is loaded. After, not
anymore.

See http://screencast.com/t/AuPH9r420Spn.

So, the bug is that the block is eval'ed twice (not once as it should).

Best regards,
  Seb

-- 
Sebastien Vauban




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15888; Package emacs. Full text available.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 13 Nov 2013 22:18:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 13 17:18:17 2013
Received: from localhost ([127.0.0.1]:50687 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VgilM-00044a-PP
	for submit <at> debbugs.gnu.org; Wed, 13 Nov 2013 17:18:17 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:48135 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1VgilK-00044Q-W0
 for 15888 <at> debbugs.gnu.org; Wed, 13 Nov 2013 17:18:15 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1VgilK-00072d-By; Wed, 13 Nov 2013 17:18:14 -0500
From: Glenn Morris <rgm@HIDDEN>
To: "Sebastien Vauban" <sva-news@HIDDEN>
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
References: <868uws6lgt.fsf@HIDDEN>
X-Spook: Geraldton Bletchley Park Ron Brown supercomputer Adriatic
X-Ran: p:c|*3nR;'c[3L!h{U>5<\]>LBnLT]~EI\O0:vypXW2J{;Mw[^GvZX${]&XUVQQz~9H(!W
X-Hue: blue
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 13 Nov 2013 17:18:14 -0500
In-Reply-To: <868uws6lgt.fsf@HIDDEN> (Sebastien Vauban's message of
 "Wed, 13 Nov 2013 22:27:46 +0100")
Message-ID: <c7r4ak54k9.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 15888
Cc: 15888 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

"Sebastien Vauban" wrote:

>  of 2013-10-19 on LEG570
> Bzr revision: 114715 rgm@HIDDEN

PS I was using current trunk for my tests rather than ~ 400 revisions
ago.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15888; Package emacs. Full text available.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 13 Nov 2013 22:15:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 13 17:15:03 2013
Received: from localhost ([127.0.0.1]:50678 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VgiiD-0003wg-Su
	for submit <at> debbugs.gnu.org; Wed, 13 Nov 2013 17:15:02 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:48084 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1VgiiC-0003wJ-3x
 for 15888 <at> debbugs.gnu.org; Wed, 13 Nov 2013 17:15:00 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1VgiiA-0005op-T7; Wed, 13 Nov 2013 17:14:58 -0500
From: Glenn Morris <rgm@HIDDEN>
To: 15888 <at> debbugs.gnu.org
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
References: <868uws6lgt.fsf@HIDDEN> <fha9h8lzt0.fsf@HIDDEN>
X-Spook: Tony Blair oil Forte enforcers Serbian Bruxelles airframe
X-Ran: izk.YU:&FbN+UKKvXyAXP64&6.Wz@/6"y4%6y?fh-`0q#=)(:>(r~1WcpI"R>=-I`d<ki$
X-Hue: green
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 13 Nov 2013 17:14:58 -0500
In-Reply-To: <fha9h8lzt0.fsf@HIDDEN> (Glenn Morris's message of
 "Wed, 13 Nov 2013 17:08:59 -0500")
Message-ID: <xghabguexp.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -3.2 (---)
X-Debbugs-Envelope-To: 15888
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.2 (---)


For the record, my message bounced:
Haha, is it because I said "foo.org"...

  This message was created automatically by mail delivery software.
  
  A message that you sent could not be delivered to one or more of its
  recipients. This is a permanent error. The following address(es) failed:
  
    sva-news@HIDDEN
      SMTP error from remote mail server after end of data:
      host mygooglest.com [69.73.168.216]: 550-This message contains a virus or other harmful content
      550 (SecuriteInfo.com.Spammer.foo.org.UNOFFICIAL)





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15888; Package emacs. Full text available.

Message received at 15888 <at> debbugs.gnu.org:


Received: (at 15888) by debbugs.gnu.org; 13 Nov 2013 22:09:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 13 17:09:03 2013
Received: from localhost ([127.0.0.1]:50674 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VgicQ-0003ie-JB
	for submit <at> debbugs.gnu.org; Wed, 13 Nov 2013 17:09:02 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:47991 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1VgicO-0003iB-4D
 for 15888 <at> debbugs.gnu.org; Wed, 13 Nov 2013 17:09:01 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1VgicN-0003aR-3f; Wed, 13 Nov 2013 17:08:59 -0500
From: Glenn Morris <rgm@HIDDEN>
To: "Sebastien Vauban" <sva-news@HIDDEN>
Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice
References: <868uws6lgt.fsf@HIDDEN>
X-Spook: CNCIS Adriatic BLU-114/B EuroFed domestic disruption
X-Ran: Nkd\Xm|f[N;IH}p`('W3F:^@;cJoURuf`jQH}=cwLTig4gM)<FqeQN_4$#..%LD`INt-8[
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 13 Nov 2013 17:08:59 -0500
In-Reply-To: <868uws6lgt.fsf@HIDDEN> (Sebastien Vauban's message of
 "Wed, 13 Nov 2013 22:27:46 +0100")
Message-ID: <fha9h8lzt0.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: 15888
Cc: 15888 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.3 (----)


I can't reproduce this, even if I copy lisp/org/* to
~/Public/Repositories/org-mode/testing (etc), directories which
obviously I don't normally have.

What does C-h v after-load-alist say (just the relevant entries)?

> the code block in the `with-eval-after-load' is eval'ed twice whenever
> an Org file is loaded.

Did you really mean that?
Ie C-x C-f foo.org; get message twice; C-x C-f bar.org, get message twice?
Because I can't reproduce that at all.
I get a message once the first time the _lisp library org_ is loaded in
a session, not "whenever an Org file is loaded".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15888; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Nov 2013 21:28:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 13 16:28:35 2013
Received: from localhost ([127.0.0.1]:50648 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VghzG-0002iJ-30
	for submit <at> debbugs.gnu.org; Wed, 13 Nov 2013 16:28:35 -0500
Received: from eggs.gnu.org ([208.118.235.92]:35211)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sva-news@HIDDEN>) id 1VghzD-0002i5-9d
 for submit <at> debbugs.gnu.org; Wed, 13 Nov 2013 16:28:32 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sva-news@HIDDEN>) id 1Vghyz-0003w7-Az
 for submit <at> debbugs.gnu.org; Wed, 13 Nov 2013 16:28:25 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:60045)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sva-news@HIDDEN>) id 1Vghyz-0003w0-7P
 for submit <at> debbugs.gnu.org; Wed, 13 Nov 2013 16:28:17 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:36869)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sva-news@HIDDEN>) id 1Vghyt-0005hg-5D
 for bug-gnu-emacs@HIDDEN; Wed, 13 Nov 2013 16:28:17 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sva-news@HIDDEN>) id 1Vghym-0003sQ-Vh
 for bug-gnu-emacs@HIDDEN; Wed, 13 Nov 2013 16:28:11 -0500
Received: from dd5e0353a.access.telenet.be ([213.224.53.58]:25636
 helo=mail.missioncriticalit.com)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sva-news@HIDDEN>) id 1Vghym-0003rx-Ho
 for bug-gnu-emacs@HIDDEN; Wed, 13 Nov 2013 16:28:04 -0500
Received: from MUNDANEUM.i-did-not-set--mail-host-address--so-tickle-me
 (unknown [10.10.4.62])
 by mail.missioncriticalit.com (Postfix) with ESMTPS id CC96A503A18
 for <bug-gnu-emacs@HIDDEN>; Wed, 13 Nov 2013 22:30:37 +0100 (CET)
From: "Sebastien Vauban" <sva-news@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.50; Eval-after-load eval'ed twice
Organization: Sebastien Vauban
X-Url: Under construction...
X-Archive: encrypt
Date: Wed, 13 Nov 2013 22:27:46 +0100
Message-ID: <868uws6lgt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.3 (----)

Hello,

With the following minimal configuration file:

--8<---------------cut here---------------start------------->8---
(add-to-list 'load-path "~/Public/Repositories/org-mode/testing")
(add-to-list 'load-path "~/Public/Repositories/org-mode/contrib/lisp")
(add-to-list 'load-path "~/Public/Repositories/org-mode/lisp")

;; getting started
(require 'org-loaddefs)
(add-to-list 'auto-mode-alist '("\\.txt\\'" . org-mode))
(add-to-list 'auto-mode-alist '("\\.org\\'" . org-mode))

(with-eval-after-load "org"
  (message "Eval this when Org is loaded")
  (sit-for 3)
  (message ""))
--8<---------------cut here---------------end--------------->8---

the code block in the `with-eval-after-load' is eval'ed twice whenever an Org
file is loaded.

Best regards,
  Seb


In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
 of 2013-10-19 on LEG570
Bzr revision: 114715 rgm@HIDDEN
Windowing system distributor `Microsoft Corp.', version 6.2.9200
Configured using:
 `configure --enable-checking 'CFLAGS=-O0 -g3' CPPFLAGS=-DGLYPH_DEBUG=1'

Important settings:
  value of $LANG: en_US.utf8
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  gnus-topic-mode: t
  global-auto-complete-mode: t
  gnus-undo-mode: t
  auto-image-file-mode: t
  recentf-mode: t
  shell-dirtrack-mode: t
  helm-match-plugin-mode: t
  helm-occur-match-plugin-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
d:/Users/sva/.emacs.d/elpa/graphviz-dot-mode-20120821.1835/graphviz-dot-mode hides ~/.emacs.d/site-lisp/graphviz-dot-mode
~/Public/Repositories/org-mode/lisp/org hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org
~/Public/Repositories/org-mode/contrib/lisp/org-wl hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-wl
~/Public/Repositories/org-mode/lisp/org-w3m hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-w3m
~/Public/Repositories/org-mode/contrib/lisp/org-vm hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-vm
~/Public/Repositories/org-mode/lisp/org-version hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-version
~/Public/Repositories/org-mode/lisp/org-timer hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-timer
~/Public/Repositories/org-mode/lisp/org-table hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-table
~/Public/Repositories/org-mode/lisp/org-src hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-src
~/Public/Repositories/org-mode/lisp/org-rmail hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-rmail
~/Public/Repositories/org-mode/lisp/org-protocol hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-protocol
~/Public/Repositories/org-mode/lisp/org-plot hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-plot
~/Public/Repositories/org-mode/lisp/org-pcomplete hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-pcomplete
~/Public/Repositories/org-mode/lisp/org-mouse hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-mouse
~/Public/Repositories/org-mode/lisp/org-mobile hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-mobile
~/Public/Repositories/org-mode/lisp/org-mhe hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-mhe
~/Public/Repositories/org-mode/contrib/lisp/org-mew hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-mew
~/Public/Repositories/org-mode/lisp/org-macs hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-macs
~/Public/Repositories/org-mode/lisp/org-loaddefs hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-loaddefs
~/Public/Repositories/org-mode/lisp/org-list hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-list
~/Public/Repositories/org-mode/lisp/org-irc hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-irc
~/Public/Repositories/org-mode/lisp/org-install hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-install
~/Public/Repositories/org-mode/lisp/org-inlinetask hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-inlinetask
~/Public/Repositories/org-mode/lisp/org-info hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-info
~/Public/Repositories/org-mode/lisp/org-indent hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-indent
~/Public/Repositories/org-mode/lisp/org-id hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-id
~/Public/Repositories/org-mode/lisp/org-habit hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-habit
~/Public/Repositories/org-mode/lisp/org-gnus hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-gnus
~/Public/Repositories/org-mode/lisp/org-footnote hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-footnote
~/Public/Repositories/org-mode/lisp/org-feed hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-feed
~/Public/Repositories/org-mode/lisp/org-faces hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-faces
~/Public/Repositories/org-mode/lisp/org-eshell hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-eshell
~/Public/Repositories/org-mode/lisp/org-entities hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-entities
~/Public/Repositories/org-mode/lisp/org-element hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-element
~/Public/Repositories/org-mode/lisp/org-docview hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-docview
~/Public/Repositories/org-mode/lisp/org-datetree hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-datetree
~/Public/Repositories/org-mode/lisp/org-ctags hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-ctags
~/Public/Repositories/org-mode/lisp/org-crypt hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-crypt
~/Public/Repositories/org-mode/lisp/org-compat hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-compat
~/Public/Repositories/org-mode/lisp/org-colview hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-colview
~/Public/Repositories/org-mode/lisp/org-clock hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-clock
~/Public/Repositories/org-mode/lisp/org-capture hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-capture
~/Public/Repositories/org-mode/lisp/org-bibtex hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-bibtex
~/Public/Repositories/org-mode/lisp/org-bbdb hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-bbdb
~/Public/Repositories/org-mode/lisp/org-attach hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-attach
~/Public/Repositories/org-mode/lisp/org-archive hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-archive
~/Public/Repositories/org-mode/lisp/org-agenda hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/org-agenda
~/Public/Repositories/org-mode/lisp/ob hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob
~/Public/Repositories/org-mode/lisp/ob-tangle hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-tangle
~/Public/Repositories/org-mode/lisp/ob-table hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-table
~/Public/Repositories/org-mode/lisp/ob-sqlite hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-sqlite
~/Public/Repositories/org-mode/lisp/ob-sql hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-sql
~/Public/Repositories/org-mode/lisp/ob-shen hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-shen
~/Public/Repositories/org-mode/lisp/ob-sh hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-sh
~/Public/Repositories/org-mode/lisp/ob-screen hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-screen
~/Public/Repositories/org-mode/lisp/ob-scheme hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-scheme
~/Public/Repositories/org-mode/lisp/ob-scala hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-scala
~/Public/Repositories/org-mode/lisp/ob-sass hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-sass
~/Public/Repositories/org-mode/lisp/ob-ruby hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-ruby
~/Public/Repositories/org-mode/lisp/ob-ref hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-ref
~/Public/Repositories/org-mode/lisp/ob-R hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-R
~/Public/Repositories/org-mode/lisp/ob-python hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-python
~/Public/Repositories/org-mode/lisp/ob-plantuml hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-plantuml
~/Public/Repositories/org-mode/lisp/ob-picolisp hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-picolisp
~/Public/Repositories/org-mode/lisp/ob-perl hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-perl
~/Public/Repositories/org-mode/lisp/ob-org hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-org
~/Public/Repositories/org-mode/lisp/ob-octave hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-octave
~/Public/Repositories/org-mode/lisp/ob-ocaml hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-ocaml
~/Public/Repositories/org-mode/lisp/ob-mscgen hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-mscgen
~/Public/Repositories/org-mode/lisp/ob-maxima hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-maxima
~/Public/Repositories/org-mode/lisp/ob-matlab hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-matlab
~/Public/Repositories/org-mode/lisp/ob-lob hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-lob
~/Public/Repositories/org-mode/lisp/ob-lisp hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-lisp
~/Public/Repositories/org-mode/lisp/ob-lilypond hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-lilypond
~/Public/Repositories/org-mode/lisp/ob-ledger hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-ledger
~/Public/Repositories/org-mode/lisp/ob-latex hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-latex
~/Public/Repositories/org-mode/lisp/ob-keys hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-keys
~/Public/Repositories/org-mode/lisp/ob-js hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-js
~/Public/Repositories/org-mode/lisp/ob-java hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-java
~/Public/Repositories/org-mode/lisp/ob-io hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-io
~/Public/Repositories/org-mode/lisp/ob-haskell hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-haskell
~/Public/Repositories/org-mode/lisp/ob-gnuplot hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-gnuplot
~/Public/Repositories/org-mode/lisp/ob-fortran hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-fortran
~/Public/Repositories/org-mode/lisp/ob-exp hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-exp
~/Public/Repositories/org-mode/lisp/ob-eval hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-eval
~/Public/Repositories/org-mode/lisp/ob-emacs-lisp hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-emacs-lisp
~/Public/Repositories/org-mode/lisp/ob-dot hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-dot
~/Public/Repositories/org-mode/lisp/ob-ditaa hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-ditaa
~/Public/Repositories/org-mode/lisp/ob-css hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-css
~/Public/Repositories/org-mode/lisp/ob-comint hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-comint
~/Public/Repositories/org-mode/lisp/ob-clojure hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-clojure
~/Public/Repositories/org-mode/lisp/ob-calc hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-calc
~/Public/Repositories/org-mode/lisp/ob-C hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-C
~/Public/Repositories/org-mode/lisp/ob-awk hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-awk
~/Public/Repositories/org-mode/lisp/ob-asymptote hides c:/Program Files (x86)/emacs-r114715-20131019-w32/share/emacs/24.3.50/lisp/org/ob-asymptote

Features:
(shadow sort gnus-cite gnus-alias nnir emacsbug helm-command helm-elisp
helm-eval helm-mode gnus-topic mail-extr utf-7 nndraft nnmh nnimap parse-time
utf7 gnus-agent gnus-srvr gnus-score score-mode nnvirtual gnus-msg gnus-art
mm-uu mml2015 mm-view mml-smime smime dig gnus-cache bbdb-message sendmail
epa-file epa epg epg-config netrc gnutls network-stream starttls tls nntp
gnus-leuven gnus-dired bbdb-gnus bbdb-mua bbdb-com crm bbdb bbdb-site timezone
saveplace server auto-complete-config auto-complete popup time-stamp copyright
vc-dispatcher vc-svn org-table git-commit vc-git org-id org-gnus gnus-sum nnoo
gnus-group gnus-undo nnmail mail-source gnus-start gnus-spec gnus-int
gnus-range message rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse
rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev gmm-utils mailheader gnus-win
gnus gnus-ems nnheader mail-utils org-habit org-agenda org-info org-element
org-mime org-crypt ob-sql ob-sh ob-python ob-org ob-ledger ob-latex ob-gnuplot
ob-dot ob-ditaa ob-calc calc-store calc-trail calc-ext calc calc-loaddefs
calc-macs ob-awk ob-R appt diary-lib diary-loaddefs org-inlinetask mule-util
org org-macro org-footnote org-pcomplete org-list org-faces org-entities
org-version ob-emacs-lisp ob ob-tangle org-src ob-ref ob-lob ob-table ob-keys
ob-exp ob-comint ob-core ob-eval org-compat org-macs cal-menu calendar
cal-loaddefs eldoc edebug redshank skeleton paredit hideshow filecache
image-file bookmark pp recentf tree-widget wid-edit ido helm-files image-dired
whitespace flyspell ispell noutline outline tramp tramp-compat tramp-loaddefs
trampver shell pcomplete format-spec ffap thingatpt helm-buffers helm-elscreen
helm-tags helm-bookmark helm-adaptative helm-info helm-net browse-url xml url
url-proxy url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util url-parse auth-source eieio byte-opt bytecomp byte-compile cconv
eieio-core gnus-util mm-util mail-prsvr password-cache url-vars mailcap
helm-plugin helm-locate helm-help helm-match-plugin helm-grep helm-regexp grep
helm-external helm-utils dired-sort-map dired-single dired+ dired-x dired-aux
dired compile comint ansi-color ring helm emacs-leuven leuven-theme yasnippet
help-mode find-func paren mic-paren hl-tags-mode derived org-loaddefs uniquify
helm-config helm-aliases diff-mode- easy-mmode edmacro kmacro idle-require
finder-inf tex-site auto-complete-autoloads bbdb-autoloads
gnuplot-mode-autoloads idle-require-autoloads info easymenu lcs-autoloads
pager-autoloads rainbow-mode-autoloads tidy-autoloads tracking-autoloads
shorten-autoloads package cl-macs gv advice help-fns cl cl-loaddefs cl-lib
time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel dos-w32 ls-lisp
w32-common-fns disp-table w32-win w32-vars tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule custom
widget hashtable-print-readable backquote make-network-process w32notify w32
multi-tty emacs)

-- 
Sebastien Vauban




Acknowledgement sent to "Sebastien Vauban" <sva-news@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#15888; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.